2007-01-20  Timothee Besset  <ttimo@idsoftware.com>

	* replace ShowCursor/HideCursor by calls to CGDisplayShowCursor/CGDisplayHideCursor
	* fix broken in_restart leaving the mouse cursor floating up when editing controls

2007-01-18  Timothee Besset  <ttimo@idsoftware.com>

	* default depth to 24, fixes Z-fighting problems
	* fix qagame loading from the fs_game folder
	can remove it from the bundle resources directories, it's silly to have it there
	need to have it zipped up as qagame_mac under etmain/
	fixes the crash at end of warmup

2006-12-24  Timothee Besset  <ttimo@idsoftware.com>

	* work towards a mac unibin:
	* sanitize id386 define
	* remove HID manager stuff. don't have a unibin version
	looks like that was strictly for joystick functionality.
	* remove GameRanger. Some sort of online match making/game manager thing.
	* FIXME: code for IsPressed looked broken, and I had to stub it for compile
	* use system curl on the Mac
	* update compile/link settings, new release settings, 2 architectures etc.

05-07-2005		TTimo <ttimo@idsoftware.com>
- svn merge -r1911:1919 ET/branches/misc .

04-04-2005		TTimo <ttimo@idsoftware.com>
- svn merge -r1893:1911 ET/branches/misc .

27-03-2005		TTimo <ttimo@idsoftware.com>
- svn merge -r1875:1893 ET/branches/misc .
  SDK stuff

16-03-2005		TTimo <ttimo@idsoftware.com>
- svn merge -r1864:1869  ET/branches/mac .
	
15-03-2005		TTimo <ttimo@idsoftware.com>
- svn merge -1832:1860 ET/branches/installer .
add pak1.pk3 to the upgrade setup
update CHANGES to point to the 2.60 changes file ( html in Docs )
  - here it tends to hang while/right after doing the KDE links ( may be because I have KDE packages and never ever ran KDE )
  - start, cancel xsu, run the gtk interface as user, have it hang during links, cancel it ( getting 'abort this installation' dialog ) -> starts the installer again in ncurses mode
    if you abort during the install/copy step there may be a way to get the bogus ncurses installer start to reproduce

10-03-2005		TTimo <ttimo@idsoftware.com>
- cleanup Sys_SnapVector a bit, rint() for both client and dedicated server. hate having the same code in two places
- fix the XCode build some more, may have been silently failing before
- svn merge -r1843:1848 ET/branches/misc/etmain .
  merge in an assets update ( OSX trademark )
	
08-03-2005		TTimo <ttimo@idsoftware.com>
- svn merge -r1840:1843 ET/branches/misc .
== merge
	05-03-2005
		Dan <goemon at anime.net>
	+ Changed xxx - #ifdef'd DI_SUPPORT, we are disabling DI for now
	+ Fixed xxx - make mingw compile again (3.3.1 has problems with dx8?)
	+ Fixed xxx - movers would silently trigger enemy landmines
== end merge

01-03-2005		TTimo <ttimo@idsoftware.com>
- svn merge -r1821:1830 ET/branches/bani-fixes .
== merge
	28-02-2005
		Dan <goemon at anime.net>
	+ Added xxx - pak2.dat to tree so it gets included in pak2.pk3
== end merge

28-02-2005		TTimo <ttimo@idsoftware.com>
- fix WolfDed.exe .net 2003 build
- cleaned up dodgy DI init code ( ATVI 18 )
- svn merge -r1810:1816 ET/branches/mingw .
	23-02-2005
			Dan <goemon at anime.net>
	+ Added xxx - (zinx)mingw port
- svn merge -r1802:1821 ET/branches/bani-fixes .
== merge
	26-02-2005
			Dan <goemon at anime.net>
	+ Fixed 309/ATVI78 - Weird radar dynamite bug (both sides could plant dynamite near the truck for no apparent reason, and get XP for defusing it).
	+ Fixed xxx - some compile warnings from 309/ATVI78
	+ Fixed xxx - (zinx/bani)mounted mg42 fired too low
	+ Fixed xxx - (zinx/bani)player hitbox in tank was broken
	+ Changed xxx - with fps-independent rof code, the mg fired too fast. fixed.
	+ Fixed xxx - removed debug "Closed!" announcement from railgun map script.
	
	24-02-2005
			Chris <zinx at bluecherry.net>
	+ Fixed xxx - Unchecked buffer in pb guid code (hack cl_guid to a large value after connecting)
	
	24-05-2005		TTimo <ttimo@idsoftware.com>
	- turn off buffer checks on win32 release build
	- svn merge -r1780:1802 ET/branches/bani-fixes .
	== merge
		24-02-2005
				Chris <zinx at bluecherry.net>
		+ Fixed xxx - More trail lockup issues.
	
		24-02-2005
				Ben <rain at bluecherry.net>
		+ Fixed xxx - Several means of death were missing obituaries.
		+ Fixed xxx - Akimbo weapon TKs didn't cause a loss of skill points.
	
		23-02-2005
				Dan <goemon at anime.net>
		+ Fixed xxx - bounds violation in G_configSet(), should fix ATVI #95
	
		21-02-2005
				Chris <zinx at bluecherry>
		+ Changed xxx - reverted Dan's revert, added cvar which defaults to old-style.  Note to self: kill Dan.
	
		21-02-2005
				Dan <goemon at anime.net>
		+ Changed xxx - reverted linux keyfixes, since it breaks non-US keyboards
	== end merge
	- svn merge -r1786:1799 ET/branches/mac .
	  dedicated mac server binary	
== end merge

24-05-2005		TTimo <ttimo@idsoftware.com>
- turn off buffer checks on win32 release build
- svn merge -r1780:1802 ET/branches/bani-fixes .
== merge
	24-02-2005
			Chris <zinx at bluecherry.net>
	+ Fixed xxx - More trail lockup issues.

	24-02-2005
			Ben <rain at bluecherry.net>
	+ Fixed xxx - Several means of death were missing obituaries.
	+ Fixed xxx - Akimbo weapon TKs didn't cause a loss of skill points.

	23-02-2005
			Dan <goemon at anime.net>
	+ Fixed xxx - bounds violation in G_configSet(), should fix ATVI #95

	21-02-2005
			Chris <zinx at bluecherry>
	+ Changed xxx - reverted Dan's revert, added cvar which defaults to old-style.  Note to self: kill Dan.

	21-02-2005
			Dan <goemon at anime.net>
	+ Changed xxx - reverted linux keyfixes, since it breaks non-US keyboards
== end merge
- svn merge -r1786:1799 ET/branches/mac .
  dedicated mac server binary
	
19-05-2005		Zinx <zinx at bluecherry.net>
	+ Fixed xxx - random lockups occured when drawing trails

17-05-2005		TTimo <ttimo@idsoftware.com>
- zinx. fix -DNDEBUG in Linux bins
- svn merge -r1779:1786 ET/branches/mac .
== merge
	17-05-2005
			Dan <goemon at anime.net>
	+ Fixed xxx - mac port was missing the pb server/client event loop.
== end merge

16-05-2005		TTimo <ttimo@idsoftware.com>
- RC win bins
- RC mac bins
- svn merge -r1759:1780 ET/branches/bani-fixes .
== merge
	16-02-2005
			Dan <goemon at anime.net>
	+ Fixed xxx - make the MODS menu actually work!
	+ Changed xxx - fixed pak2.pk3 with et 2.60 credits
	+ Changed xxx - made qagame reference pak2.pk3

	16-02-2005	Ben <rain at bluecherry.net>
	+ Fixed xxx - round weapon heat down so that it doesn't wrap when
			transmitted to clients.

	14-02-2005	Ben <rain at bluecherry.net>
	+ Fixed 032 - etmain was more broken than I thought, not drawing
			any crosshair names for spectators now.
== end merge
- svn merge -r1768:1779 ET/branches/mac .
== merge
	16-05-2005		TTimo <ttimo@idsoftware.com>
	- fix XCode libcurl shell script compile and linking to have the dependencies right and use a specific libcurl name so
	  you can't link the system lib without noticing. I hate XCode.
	- mac: fixed command line params to work
	- mac: set the savepath right
	- mac: remove the weird dlfcn override thing and have PB code do dlsym without the _ prefix. seems to have fixed my PB kick problem
		
	15-05-2005		TTimo <ttimo@idsoftware.com>
	- fixing the fucking XCode projects AGAIN. Can't find the static libraries, have to run ranlib again on them
	  ( wtf is up with ranlib every time )
	  ripping out broken library search paths to use relative paths again ( I did that once already )
	- libcurl mac: is built with a custom shell script 
== end merge

14-05-2005		TTimo <ttimo@idsoftware.com>
- fix scons output shared libraries naming
- svn merge -r 1754:1759 ET/branches/bani-fixes .
== merge
	13-02-2005
			Dan <goemon at anime.net>
	+ Fixed xxx - proper fix for bugtraq 12534 which doesnt break protocol :x

			Ben <rain at bluecherry.net>
	+ Fixed xxx - Several errors that bounds checking turned up
	+ Fixed 032 - Both crosshair names drawn for disguised covert when
			spectating
	+ Fixed 013 - MAX_NAME_LENGTH is wrong, breaking UI with long names
== end merge

13-05-2005		TTimo <ttimo@idsoftware.com>
- svn merge -r 1743:1754 ET/branches/bani-fixes .
== merge
	13-02-2005
			Dan <goemon at anime.net>
	+ Changed xxx - Better debug info for Info_*() infostring functions
	12-02-2005
			Dan <goemon at anime.net>
	+ Fixed xxx - delete stale profile.pid if client changes fs_game
	+ Fixed xxx - bugtraq 12534 - http://www.securityfocus.com/archive/1/390286
	+ Changed xxx - players can override crash handling (eg unsafe cvar whining) with com_ignorecrash 1. com_ignoreunsafe removed.
== end merge

12-02-2005		TTimo <ttimo@idsoftware.com>
- build VC7.1 / .net 2003 binaries
- cleaned up my debug crap
- merge mac branch back into trunk
  built mac binaries. briefly tested. no mouse in window mode, fullscreen working ok
== merge
	07-02-2005		TTimo <ttimo@idsoftware.com>
	- added proper debug/release configuration to the build. checking in first mac dynamic modules for RC
	- imported updated mac PB binaries from Tony Ray
	- svn merge -r1695:1723 ET/trunk .
	== merge
		07-02-2005		TTimo <ttimo@idsoftware.com>
		- can't install VC6 on my new dev system anymore .. switching to build ET with VS.NET
		  would rather have avoided that, but no choice
		- svn merge -r1691:1722 ET/branches/bani-fixes .
		== merge
			07-02-2005
					Dan <goemon at anime.net>
			+ Added xxx - demoPlayback parameter to cgame source for CG_INIT (it already existed in engine)
			+ Added xxx - TEST_API_RENDERTOTEXTURE example code for render to texture
		
			04-02-2005
					Dan <goemon at anime.net>
			+ Fixed xxx - fix the profile.pid madness
			+ Added xxx - players can override unsafe cvars (from eg a crash) with com_ignoreunsafe 1
		
			02-02-2005
					Dan <goemon at anime.net>
			+ Fixed xxx - "Unable to load an official pak file" message should show pk3 at the very least.
		== end	
	== end merge
		
	05-02-2005		TTimo <ttimo@idsoftware.com>
	- gcc asked me to run ranlib against libGameRanger.a to update it - so I did. links in now ( same for HID thing )
	  got the client linking in completely .. now to get it running right ..
	
	03-02-2005		TTimo <ttimo@idsoftware.com>
	- more 'Linux' vs 'Darwin' changes to the scons scripts
	  static libs don't work their symbols the same, the splines lib is giving dupe symbols
	  commented out some unused stuff in splines ( Com_StringContains, Com_Filter )
	- set dynamic bundle names .. cgame.mp.ppc.so qagame.mp.ppc.so ui.mp.ppc.so
	- renamed some 'or' structure fields to 'orientation'. confuses gcc on mac ( C++ operator )
	- fix wacko Sys_ErrorMisc
	
	02-02-2005		TTimo <ttimo@idsoftware.com>
	- looking at compiling the mac build with gcc and scons
	  added OS detect and the basic environement setup for mac compile
	  using a __MACOS__ define as the general flag
== end merge
- upgrade to .net 2003, switch to single threaded runtime
- svn merge  -r1734:1743  ET/branches/bani-fixes .
== merge
	11-02-2005
			Dan <goemon at anime.net>
	+ Fixed xxx - (zinx/bani)hopefully fixed the vsnet crashing madness once and for all.
	+ Fixed xxx - removed more evil code so no-one will be tempted to use it :E

	09-02-2005
			Dan <goemon at anime.net>
	+ Changed xxx - unused code removed from splines/q_shared.cpp
	+ Changed xxx - renamed splines/q_shared.cpp -> splines/q_shared.c
== end merge
07-02-2005		TTimo <ttimo@idsoftware.com>
- TODO: com_dedicated broken in release build ( see // TMP in Com_Init ), also forced on 'logfile 2' to be cleaned up
- svn merge -r1722:1733 ET/branches/bani-fixes .
  fix *some* uninitialized variables breaking release builds. still crashing though
- can't install VC6 on my new dev system anymore .. switching to build ET with VS.NET
  would rather have avoided that, but no choice
- svn merge -r1691:1722 ET/branches/bani-fixes .
== merge
	07-02-2005
			Dan <goemon at anime.net>
	+ Added xxx - demoPlayback parameter to cgame source for CG_INIT (it already existed in engine)
	+ Added xxx - TEST_API_RENDERTOTEXTURE example code for render to texture

	04-02-2005
			Dan <goemon at anime.net>
	+ Fixed xxx - fix the profile.pid madness
	+ Added xxx - players can override unsafe cvars (from eg a crash) with com_ignoreunsafe 1

	02-02-2005
			Dan <goemon at anime.net>
	+ Fixed xxx - "Unable to load an official pak file" message should show pk3 at the very least.
== end

29-01-2005		TTimo <ttimo@idsoftware.com>
- svn merge -r1682:1691 ET/branches/bani-fixes .
== merge	local_env.Append( LIBPATH = [ '#mac/GameRanger SDK/Libraries' ] )

	27-01-2005
			Dan <goemon at anime.net>
	+ Added xxx - (fretn)allow server to redirect clients to other servers when full
			eg sv_fullmsg "ET://host.to.redirect.to:port"

	23-01-2005
			Dan <goemon at anime.net>
	+ Fixed 760 - ref kick = "disconnected for unknown reason"

	19-01-2005
			Chris <zinx at bluecherry.net>
	+ Fixed xxx - (rain)> 10 maps in a campaign would crash
	+ Fixed xxx - campaign count was only checked once per .campaign
== end

19-01-2005		TTimo <ttimo@idsoftware.com>
- svn merge -r1678:1682 ET/branches/bani-fixes .
	
17-01-2005		TTimo <ttimo@idsoftware.com>
- svn merge -r1639:1678 ET/branches/bani-fixes .
== merge
	15-01-2005
			Dan <goemon at anime.net>
	+ Added xxx - trap_R_Finish so cgame can sync rendering if needed

	12-01-2005
			Frederik <fretn@anime.net>
	+ Added xxx - clearviewlog -> a cmd to clear the windowsconsole
	
	10-01-2005
			Dan <goemon at anime.net>
	+ Fixed xxx - (rain)CG_AddPMItem breaks on multi-line messages
	+ Fixed xxx - (rain)fix the spectator can-move-partway-through-world weirdness

	09-01-2005
			Dan <goemon at anime.net>
	+ Fixed 328 - skulls would sometimes show in scoreboard for live players
	+ Fixed 480 - (rain)disguised covops has laggy health to enemy team
	+ Fixed xxx - support r_swapInterval in Linux
	+ Fixed xxx - fix firstperson tank muzzle origin if drawgun is off
	+ Fixed 589 - player can "fire" flamethrower + tank gun with cg_drawgun 0
	+ Fixed xxx - player thrown to soldier class upon attaining level 4 lw/hw skill
	+ Fixed 280 - (zinx)make movers predict a continuation rather than a stop (jittery tug on railgun)

	08-01-2005
			Frederik <fretn@anime.net>
	+ Fixed xxx - ref menu expands colors twice
	+ Fixed some directinput issues
	+ FIxed xxx - the console key (SE_KEY event) now ignores the equivalent SE_CHAR event
		this should fix all problems on foreign keyboards (a char that appears in the
		input line, there was a hardcoded fix for US keyboarads) when opening the console.

			Dan <goemon at anime.net>
	+ Fixed xxx - (rain)fixed incorrect class determination in CG_PlayerClassForClientinfo()
	+ Added xxx - rendering to textures trap_R_GetTextureId(), trap_R_RenderToTexture()
	+ Fixed xxx - (rain)wounded covops could steal uniforms if theyre close enough
	+ Fixed xxx - (rain)level 4 covops knife damage was wrong on wounded players

	07-01-2005
			Frederik <fretn@anime.net>
	+ Removed a duplicate Cvar_Get in renderer

	06-01-2005
			Chris <zinx at bluecherry.net>
	+ Fixed xxx - CG_TranslateString fails utterly if cl_language = 0,
		which was introduced when messing with CG_TranslateString
	+ Fixed xxx - curl downloading doesnt appear to handle 404 properly

	05-01-2005	
			Frederik <fretn@anime.net>
	+ Changed xxx - Unified Win32 & linux soundcvars, some cvarnames are changed wich 
		will break compatibility.
	+ Changed xxx - switch to GT_WOLF if "map" can't start a campaign
	+ Fixed	xxx - remove CL_buyNow_f / CL_singlePlayLink_f
	+ Fixed xxx - Make sure Com_BitSet() with ridiculous bit number is fixed
			in anim condition code.
== end merge

03-01-2005		TTimo <ttimo@idsoftware.com>
- svn merge -r1627:1639 ET/branches/bani-fixes .
== merge
	03-01-2005
			TTimo <ttimo@idsoftware.com>
	+ put gcc major detection at the right spot during scons init

			Dan <goemon at anime.net>
	+ Changed xxx - trap_R_LoadDynamicShader( NULL, NULL ) unloads all dynamic shaders
	+ Fixed xxx - allow opening of dm_83 explicitly, and try dm_83 and dm_84 if extension isnt specified

	02-01-2005
			Dan <goemon at anime.net>
	+ Fixed xxx - dynamic shader building (trap_R_LoadDynamicShader())

	01-01-2005
			Dan <goemon at anime.net>
	+ Fixed 274 - (rain)powerups are laggy

	31-12-2004
			Frederik <fretn@anime.net>
	+ Changed xxx - moved kick code into qagame, mods can choose to use the engine banning system or the qagame one
		#define USE_ENGINE_BANLIST qtrue , changing to qfalse makes use of the qagame bansystem

			Dan <goemon at anime.net>
	+ Fixed xxx - enable build with gcc33 / gcc4 (custom CC/CXX settings)
	+ Changed xxx - static link libXxf86dga.a, libXxf86vm.a as XFree86 4.2.1 doesnt have it shared

	30-12-2004
			Dan <goemon at anime.net>
	+ Fixed xxx - optimized myftol via lrintf (40% faster, helps RB_CalcDiffuseColor())
	+ Fixed 374 - (rain)silent landmines
== end merge

31-12-2004		TTimo <ttimo@idsoftware.com>
- svn merge -r1578:1627 ET/branches/bani-fixes .
== merge
	30-12-2004
			Chris <zinx at bluecherry.net>
	+ Fixed xxx - buddyClients not used; ignoreClients was too small and not using COM_Bit* functions.

	29-12-2004
			Frederik <frederik@anime.net>
	+ Fixed xxx - arnout: "Got another bug for you :)
		The engine does tolower on all binds, so if you do
		bind a "say You suck!" and you then press a, it says 'you suck!' in lowercase.
		Some people have been complaining about that"
	+ Added xxx - allow alternate messages to "server is full" (cvar perhaps?) -> sv_fullmsg
		I didn't touch the "UPDATE_SERVER", if there needs to be a cvar for this also, poke me \o/
		
			Dan <goemon at anime.net>
	+ Fixed xxx - omg CL_DemoFilename etc sux
	+ Fixed xxx - omg R_ScreenshotFilename, R_ScreenshotFilenameJPEG sux
	+ Added xxx - beginning of bspc scons (doesnt work yet, I have no idea why)
	+ Fixed 245 - revive usually snaps your view
	+ Fixed xxx - dont send snapshots when clients arent fully connected

	23-12-2004
			Dan <goemon at anime.net>
	+ Fixed 001 - (rain)re-enable wounded freelook                      
	+ Fixed 254 - (rain)move wounded freelook to cgame
	+ Fixed xxx - fixed listenserver for packetloss/packetlatency emulation
	+ Fixed 184 - Players_Axis/Players_Allies can get too large and crash server (replace with P=)

			Chris <zinx at bluecherry.net>
	+ Fixed xxx - fretn's garbage: http://www.d-e-sign.be/files/et/wtf.jpg (cl_language -1)

	22-12-2004
			Dan <goemon at anime.net>
	+ Fixed xxx - cvars to simulate packet latency on client(cl_packetdelay) and server (sv_packetdelay)
		requires sv_cheats 1

	21-12-2004
			Dan <goemon at anime.net>
	+ Fixed xxx - (rain)players "stick" to each other in collisions
	+ Fixed xxx - cvars to simulate packetloss on client(cl_packetloss) and server (sv_packetloss)
		requires sv_cheats 1

	20-12-2004
			Frederik <fretn@anime.net>
	+ Changed xxx - s_khz is now CVAR_LATCH
	+ Fixed xxx - wav recording doesnt increment file number
	+ Fixed xxx - some directinput issues

			Dan <goemon at anime.net>
	+ Fixed xxx - pb "haxed cvar" bug caused by engine changing cvar_t value directly
	+ Fixed 238 - dynamite on movers shouldnt trigger objectives
	+ Fixed xxx - wav recording doesnt show status
	+ Fixed xxx - wav recording should use proper linux cvars (sndspeed etc)
	+ Fixed xxx - renamed cg_demorecord_statusline to cg_recording_statusline
== end merge

23-12-2004		TTimo <ttimo@idsoftware.com>
- svn merge -r1582:1583 ET/branches/binarychannel .
== merge
	19-12-2004
				Chris <zinx at bluecherry.net>
	+ Added xxx - raw binary channel for client<->server
== end merge
- svn merge -r1599:1601 ET/branches/configstrings-fix .
== merge
	22-12-2004
				Chris <zinx at bluecherry.net>
	+ Fixed 225 - configstring > max_configstrings
== end merge

19-12-2004		TTimo <ttimo@idsoftware.com>
- got the Debug and Release configs working in VC6, building test binaries
- added pre-link step to wolf to get libcurl compiled and linked in
  NOTE: ET should not be using Multithreaded runtime, it's bad for performance and not needed. Single thread would be much better.
- the Internet SDK needs to be installed and configured in the VC6 paths for win_net.c compile
- remove bg_slidemove_prone.c from game and cgame VC6
- add COPYBINS to copy and strip. need to add brandelfing of the binaries for BSD
- fix curl local header include path for core
- fix libcurl configure svn propset svn:executable
- svn merge -r1469:HEAD ET/branches/bani-fixes .
== merge
	19-12-2004
				Dan <goemon at anime.net>
	+ Fixed 215 - (rain)don't allow binocs with mounted mobile MG42/mortar
	+ Fixed 218 - (rain)satchel detonator not working right when spectating
	+ Fixed xxx - (rain)Fix the annoying prediction error that occurs when a constructible is finished building.
	
	18-12-2004
				Ben <rain at bluecherry.net>
	+ Fixed 202 - fix level 3 engineering taking wrong charge for landmines
	+ Fixed 202 - fix field ops using medic charge time for ammo packs
	+ Fixed xxx - fix prediction error when cratering
	
	17-12-2004
				Chris <zinx at bluecherry.net>
	+ Added in_dgamouse 2 to kill built-in acceleration.
	
				Dan <goemon at anime.net>
	+ Fixed 166 - (rain)jump prediction is wrong quite often due to broken anti-bunnyhop
	+ Fixed 405 - (rain)doubled events fixed
	+ Fixed xxx - (rain)pistol prediction fixed
	+ Fixed xxx - (rain)fix fps dependency of mg42s
	+ Fixed xxx - wavefile recording _really_ works now.
	
	undated
				TTimo <ttimo@idsoftware.com>
	+ Changed xxx - MAX_GLOBAL_SERVER is now 4096 (browser needs testing though)
	
	15-12-2004
				Frederik <fretn@anime.net>
	+ Fixed xxx - fixed bug when /quit while wavrecording
	+ Fixed xxx - wave file recording works now, wav_record / wav_stoprecord, or set cl_wavefilerecord 1 to start recording from the moment the demo
	  is loaded.
	
				Dan <goemon at anime.net>
	+ Fixed xxx - remove unneeded memsets
	+ Fixed xxx - (zinx)NET_OutOfBandData,NET_OutOfBandPbPacket bugfix
	+ Fixed xxx - minor huffman optimizations to Huff_putBit,Huff_getBit,add_bit,get_bit
	+ Fixed xxx - (rain)tracemap generation is broken
			(tracemap generation code which breaks when there's a flat plane at lowest point in a map)
	
	14-12-2004
				Frederik <fretn@anime.net>
	+ Added: m_mouse -1 uses now DirectInput
	+ Fixed: s_khz was hardcoded in win32 on 22050
	+ Fixed: Initial stab at fixing the wavefile recording, works, but the header isnt correct yet,
	  so not all sound software can open it
				
				Chris <zinx at bluecherry.net>
	+ Fixed bug introduced by part of the fix for "xxx - crash renderer with too many stretchpics"
	+ Fixed xxx - arnout: "BTW, did you fix the bug that prevents models from being rendered in the FUI?
	
				Dan <goemon at anime.net>
	+ Fixed 212 - (rain)players randomly thrown to spectator upon attaining level 4 skills
	
	13-12-2004
				Dan <goemon at anime.net>
	+ Decreased MAX_CVAR_VALUE_STRING back to 256, consensus is there is not strong enough justification
	  to increase the size at the current time. (the session saving I committed handles splitting across
	  multiple cvars)
	+ Fixed 535 - antilag is busted (server frames, delag headshots)
	
	12-12-2004
				Ben <rain at bluecherry.net>
	+ Fixed a memcpy() and a strcpy() with overlapping arguments.
	+ Significantly enlarged MAX_CMD_BUFFER (I've had my etconfig.cfg grow
	  larger than the previous 16kb with just cvars and binds.)
	+ Enlarge MAX_CVARS to 2048 from 1024, as ET is relatively close to the 1024
	  limit with both client and server cvars.
	+ Enlarged FILE_HASH_SIZE to compensate for the enlarged cvar table size.
	+ Made MAX_CVARS error message more helpful.
	+ Increased MAX_CVAR_VALUE_STRING from 256 to 512 (it's ridiculously easy
	  to exceed 256 chars, especially with session saving stuff.)
	+ Fix compilation when __WITH_PB__ isn't defined.
	
				Chris <zinx at bluecherry.net>
	+ Changed Linux key handling so ctrl/shift/alt/etc don't make a difference for -any- keys, to match windows better.
	+ Added UserAgent to curl downloading
	
				Dan <goemon at anime.net>
	+ Fixed 150 - timestamps in logs are fixed width and get truncated
	+ Changed - added clc.demoplaying to CG_INIT, since some mods need this at init time, and drawactiveframe is too late for them
	
	11-12-2004
				Chris <zinx at bluecherry.net>
	+ Fixed xxx - crash renderer with too many stretchpics
	+ Changed - Also increased MAX_DRAWSURFS from 0x10000 to 0x40000
	+ Fixed 282 - falling bugfix
	
				Dan <goemon at anime.net>
	+ Changed - move demo recording status entirely to cgame \o/
	+ Fixed 015 - (bani,rain)battery bunker should autoselect spawnpoint when captured
	
	10-12-2004
				Frederik <fretn@anime.net>
	+ Fixed xxx - Win32 console key (²) appearing into console after opening it (only for non US keyboards)
	+ Fixed	xxx - move b_demorecord_statusline to engine where it belongs \o/ -> cl_demorecord_statusline
	+ Added xxx - CVAR_ROM - cl_demorecording so cgame knows when a demo is recording
	+ Added xxx - (rain)'MODS' menu (UI code is still all there, just needs menu)
	+ Changed - if the demofilenumber is out of range, ".tga" shouldn't be in the filename
	+ Fixed - win_glimp.c needs Q_stristr , it exists in linux_glimp.c so I copied it 
	+ Changed - when PERS_HWEAPON_USE the engine blocked the update of usercmd_t, which can be annoying for mods, I changed this code
	  and moved it to pmove_fixed.c
	
				Dan <goemon at anime.net>
	+ Changed - add curl-7.12.2
	+ Changed - if cl_demorecord_statusline is 0, don't display recording line at all
	
	09-12-2004
				Dan <goemon at anime.net>
	+ Fixed xxx - CG_SHUTDOWN not called on /quit
	+ Fixed xxx - Sys_IsLANAddress is broken (classful nets were abandoned ~10 years ago)
	+ Changed - Make r_textureAnisotropy only whine about out of range when r_ext_texture_filter_anisotropic is enabled
	
	07-12-2004		Ben <rain at bluecherry.net>
	+ Fixed sign extension bug in console code that caused high ascii
	  characters in the console to be displayed in the wrong color.
	+ Hopefully fixed 197 - artillery markers not properly drawn on compass
	+ Some minor fixes to Linux keyhandling:
	  . Capslock, kp_numlock, and kp_equals are all usable in Linux now
	  . F13-F15 will work if the user's keyboard/X mapping sends them (the keysyms
	    were already there from the mac port.)
	  . Ctrl-` for the mini-console works.
	
	06-12-2004		Ben <rain at bluecherry.net>
	+ Fixed xxx - <|Rain|> the if-hostname-is-x-chars-long-it's-always-treated-as-ipx bug
	+ Fixed the overflow when more than MAX_GLOBAL_SERVERS are returned from the master.
	
	05-12-2004
				Dan <goemon at anime.net>
	+ Fixed xxx - (rain)luger has greater spread than colt, and pauses on last shot
	+ Fixed 127 - cg_draw2D shouldn't be cheat protected
	+ Fixed 255 - (rain)akimbo rapid fire exploit
	
	04-12-2004
				Dan <goemon at anime.net>
	+ Fixed xxx - zoom exploit (http://bani.anime.net/banimod/forums/viewtopic.php?t=1661&start=50)
	
	03-12-2004
				Chris <zinx at bluecherry.net>
	+ Fixed xxx - security hole allowing clients to override ip (eg setu IP localhost to bypass server passwords)
	
	02-12-2004
				Dan <goemon at anime.net>
	+ Fixed 179 - spectator/limbo cameras slowly 'drift'
	+ Fixed xxx - download redirection notices print repeatedly in engine
	+ Fixed xxx - "//" bug
	
	01-12-2004
				Dan <goemon at anime.net>
	+ Fixed xxx - (rain)LMS sometimes wont show who drew first blood
	+ Fixed xxx - (rain)LMS sometimes wont show how many wins each team has
	+ Fixed xxx - (rain)players who connect after a vote is called get stuck with a vote on their screen through the whole round
	
	30-11-2004
				Dan <goemon at anime.net>
	+ Fixed 079 - In Fuel Dump you can plant dynamite and it says "base fortification", but destroys Fuel Dump.
	+ Fixed 202 - (rain)pmove and game disagree about weapon charge usage
	+ Fixed 238 - dynamite on movers shouldnt trigger objectives
	+ Fixed 309 - (rain)weird radar dynamite bug (both sides can plant dynamite near the truck for no apparent reason, and get XP for defusing it)
	+ Fixed 384 - (rain)When all of your team's mines are in use, you can't disarm enemy landmines
	+ Fixed 471 - (rain)team landmine count is wrong (you can plant 11 by triggering 10th and planting 11th) and borks defusing team landmines)
	+ Fixed 560 - dynamite mis-announcements (announcement planting dynamite near barrier 2, but it doesnt get destroyed)
	+ Fixed 512 - players can block dynamite from destroying constructible objectives
	
== end merge

28-11-2004		TTimo <ttimo@idsoftware.com>
- master server filtering for fs_game and gametype:
  ]\globalservers 0 84 [filter]
  filter: \game\etpro\gametype\5 for instance
	
27-11-2004		TTimo <ttimo@idsoftware.com>
- set different master from scons command line
- bump up protocol number
- ET master: no longer truncate the reply list for protocol 84
  sending back protocol 83 list for temporary testing
- svn merge -r1455:HEAD ET/branches/r_textureAnisotropy .
- svn merge -r1440:HEAD ET/branches/bani-fixes .
== merge
	26-11-2004
				Dan <goemon at anime.net>
		+ Fixed 424 - (zinx)client loses prone state after packet loss
		+ Fixed 444 - lms doesnt always end when a team is eliminated
		+ Fixed 447 - (fretn)switching weapon during pause shouldn't be possible
		+ Fixed 081 - (rain)akimbo weapons and deployed mobile MG42 ignore cg_autoreload
	
	22-11-2004
				Dan <goemon at anime.net>
		+ Fixed 102 - (rain)maxlives adjuster misbehaves on timelimit 0
		+ Fixed xxx - (rain)"Killed by <name>" in endround scoreboard (from quake3)
		+ Fixed xxx - (rain)remove cg_specswing (does nothing)
		+ Fixed xxx - (rain)crosshair names randomly dont work (tunnels in oasis, crypt in resurrection)
	
	21-11-2004
				Dan <goemon at anime.net>
		+ Fixed 113 - g_{axies,allies}mapxp overflows and crashes the server
		+ Fixed 470 - (zinx)static mg42s don't hurt props
		+ Fixed 402 - (zinx)'complaint dismissed' when player disconnects
	
	19-11-2004
				Dan <goemon at anime.net>
		+ Fixed xxx - clients can /userinfo and nuke their userinfo from console (among other things)
		+ Fixed xxx - (rain)client disconnect reasons are corrupted
		+ Fixed xxx - (rain)fixed mg42s arent antilagged
		+ Fixed xxx - riflegrenade-through-teamdoor exploit
	
	18-11-2004
				Dan <goemon at anime.net>
		+ Fixed 247 - (rain)intermission ready is broken
		+ Fixed xxx - (rain)cg_errordecay exploit
		+ Fixed xxx - covops landmine spotting was broken
		+ Fixed xxx - knife isnt antilagged
		+ Fixed xxx - prevent shooting ourselves in the head when prone, firing through a breakable	
	== end merge
	
17-11-2004		TTimo <ttimo@idsoftware.com>
- svn merge -r1435:HEAD ET/branches/bani-fixes/src .
  merging in bani-fixes branch ( varargs checks on printf functions )
- applying zinx-merge patch
== merge
	11-11-2004
				Dan <goemon at anime.net>
		+ Fixed 173 - print vote string to console when vote is called
		+ Fixed 345 - (zinx)Medic viewlocking will sometimes snap to non-medics
		+ Fixed 433 - (rain)oversize servercommands crash client

	10-11-2004
				Dan <goemon at anime.net>
		+ Fixed 105 - (rain)end of round ready should not wait on spectators
		+ Fixed xxx - engine eats // on commandline

	06-11-2004
				Dan <goemon at anime.net>
		+ Fixed 230 - Garand/K43 ammo exploit
		+ Fixed 326 - free ammo via spectators exploit
		+ Fixed 377 - limbo'd players can crash servers via following carriers and disconnecting

	05-11-2004
	 			Chris <zinx at bluecherry.net>
		+ Fixed 562 - distancefalloff bug
		+ Fixed 727 - setu ch crashes server

	04-11-2004
				Chris <zinx at bluecherry.net>
		+ Fixed 508 - if CS_SYSTEMINFO exceeds 1024 it will truncated on map change
		+ Fixed 342 - prone bug -> invisible player ( prone into wall )

== end merge

06-11-2004		Ben <rain@bluecherry.net>
	+ Made the tree -Wall -pedantic -std=c99 clean, removing all the
	noise from the silly warnings so that useful warnings are actually
	noticed.  No functional changes, except that HINT_CHAIR doesn't
	work at all now (where it worked, but unreliably, before.)

23-10-2004		Dan <goemon@anime.net>
	+ fixed cons script to build correctly for glibc2.2 and gcc2.x
	+ allow debug builds to core
	+ chris lais' libcurl ported to linux builds - use et-build-unix-curl.sh to build it

03-05-2004
			TTimo <ttimo@idsoftware.com>
	+ truncate the server list at 2048 servers
	this is a temporary solution until new PR, as it effectively drops some servers

20-03-2004
			TTimo <ttimo@idsoftware.com>
	+ Com_Printf typos in download stuff

16-10-2003
			TTimo <ttimo@idsoftware.com>
	+ more update server tweaking

11-10-2003
			TTimo <ttimo@idsoftware.com>
	+ update server 2.55 -> 2.56

07-10-2003
			TTimo <ttimo@idsoftware.com>
	+ ET master gets stuck every now and then, looping over an exception. Adding backtrace output.

16-09-2003
			TTimo <ttimo@idsoftware.com>
	+ ET master code (java) - misc updates. Updating stuff on etmaster

02-09-2003
			TTimo <ttimo@idsoftware.com>
	+ tweaking the www dl stuff. got bug reports about it (a bit late! .. and vague ones too)
	show_bug.cgi?id=629

01-09-2003
			TTimo <ttimo@idsoftware.com>
	+ show_bug.cgi?id=628
	Linux: catch broken XF86DGADirectVideo to disable in_dgamouse
	+ show_bug.cgi?id=627
	Linux: use r_gamma -1 to use the default X gamma.
	Some systems require gamma settings which we can't achieve with r_gamma
	
31-08-2003
			TTimo <ttimo@idsoftware.com>
	+ Building new Linux setups. update/patch and full.
	hooked up to the build bot, using mp_bin.pk3 checked in to CVS
	using glibc 2.3 compliant setup code
	added cons -- release patch setup (patch) to build an incremental update setup

28-08-2003
			Gordon <djbob@splashdamage.com>
	+ Changed dynamite defused message priority to be explosives then constructibles, to fix problem situations in fueldump
	+ Fixed clients with only numbers in their name not being able to be kicked
	+ Fixed field ops grenade counts
	
			Arnout <rr2do2@splashdamage.com>
	+ Changed internal fog image and ensured proper alpha clamping.
			
26-08-2003
			Gordon <djbob@splashdamage.com>
	+ Fixed client names being truncated in ui causing votes to not be cast properly
	+ Fixed oasis script causing axis to win instead of allies when dynamite is planted late in the game ( 30-38 secs left )
	+ Changed dynamite planted message priority to be explosives then constructibles, to fix problem situations in fueldump
	+ Fixed look at medic cam incorrectly following players who were being spectated by dead medics

22-08-2003
			Arnout <rr2do2@splashdamage.com>
	+ Fixed recursive rendering check not being functional.
	+ Fixed all situations recursive rendering takes place in (fixes vid_restart crash).

20-08-2003
			TTimo <ttimo@idsoftware.com>
	+ show_bug.cgi?id=626
		new setup for text mode installation on RH9

06-08-2003
			Gordon <djbob@splashdamage.com>
	+ Fixed votes not displaying on clients
	+ Bumped protocol version number
			
31-07-2003
			Gordon <djbob@splashdamage.com>
	+ Fixed XP not being given for kills with akimbo pistols 
	+ Fixed Ammo and health pack being given to yourself if standing next to another player
	+ Changed Server command typos will to no longer be broadcast in notification area
	+ Changed calling a vote during intermission to be disabled 
	+ Fixed private slots not working when the server is password-protected. 
	+ Fixed players waiting for a revive being dropped for inactivity 
	+ Fixed switching to spec and back on LL servers causing lives to be regained 
	+ Fixed stats for akimbo pistols not being logged

			TTimo <ttimo@idsoftware.com>
	+ switching cvsreport -> CVSToys, and hooking to the buildbot
		everything functional, rolling to mailing list report mode

27-07-2003
			TTimo <ttimo@idsoftware.com>
	+ hooking a buildbot to ET source #2:
		http://buildbot.sourceforge.net
		see the bot interface and file output to https section on ttimo.net

25-07-2003
			TTimo <ttimo@idsoftware.com>
	+ show_bug.cgi?id=620
		fix Linux et --version display
	+ show_bug.cgi?id=621
		catch explicit X window close for proper exit (cleanup .pid, restore gamma)
	+ show_bug.cgi?id=622
		catch SIGINT and SIGKILL for clean exit
	+ show_bug.cgi?id=625
		fix 'rcon say' with a garbage trailing char on a dedicated server

24-07-2003
			Gordon <djbob@splashdamage.com>
	+ Fixed grenades always having a fixed length second fuse
	
23-07-2003
			Gordon <djbob@splashdamage.com>
	+ Added XP Backup over map changes ( #ifdefed out for now )	
			
22-07-2003
			Gordon <djbob@splashdamage.com>
	+ Added Bill Brown's name to credits
	+ Added scripts to fix various sound / gameplay bugs
	+ Added cvar (g_disableComplaints) to disable complaint system for certain type of kills, 1 = mines, 2 = airstrike/ffe, 4 = mortar, add together for multiple types
	+ Raised (lowered) the health required to force someone into limbo
	+ Moved addrenaline needles to seperate weapon bank
	+ Moved landmines to seperate weapon bank
	+ Fixed switching to weapon after dropping dynamite/stachel/landmine
	+ Fixed panzerfaust no-shoot icon display incorrectly when spectating someone
	+ Fixed match_latejoin not working when g_noteamswitching was enabled
	+ Fixed bug with very long names not allowing a client to vote kick them from the menu correctly
	+ Made changing to public/competition settings do a map_restart, as various of the cvars set required it
	+ Fixed not being able to select a spawn point in warmup
	+ Added cvar (cg_instantTapout) to disable tapout popup in LMS/Max Lives modes
	+ Added ability for covert ops/engineer to pick up weapons from the opposing team of the same class
	+ Added filtering out of mouse commands whilst being revived to stop view snapping around later
	+ Added ability to show smaller popup messages (such as death messages) with cvar (cg_drawSmallPopupIcons)
	+ Made disguised Covert Ops indicator independant of cg_drawCrosshairNames
	+ Added temp banning system for when players are kicked (by vote, or from complaints), defaults to 5 mins
	+ Fixed exploits that allowed silent plants next to constructables
	+ Fixed defusing dynamite next to health/ammo cabinets giving XP
	+ Fixed covert ops/solider upgrades carrying over to other classes
	

17-07-2003
			TTimo <ttimo@idsoftware.com>
	+ testing cvsreport 0.3.0 #7

24-06-2003
			TTimo <ttimo@idsoftware.com>
	+ comment out devmap calls when developer 1, our debug servers end up running with sv_cheats 1 otherwise

23-06-2003
			TTimo <ttimo@idsoftware.com>
	+ more valgrind runs, and code tweaking. checked in unix/valgrind.txt with a summary of errors detected
	+ code tweaking: g_stats macro syntax ##XX is obsolete, cleaned up

			Gordon <djbob@splashdamage.com>
	+ Fixed up some unitited values in various places
	+ Changed MSG_Init and MSG_InitOOB to memset the data buffers they are passed
	+ Fixed prone head bbox position
	+ Changed all .NET project files to enable runtime error detection in debug builds, stack frame corruptions + uninited vars, 
		- was already enabled for some projects, not for others for some weird reason
	
22-06-2003
			TTimo <ttimo@idsoftware.com>
	+ gcc 3 build compatibility, removed linux_common.c (dead code)
		doing runs against gcc 3 version for valgrind test pass
		use ./cons -- gcc3

11-06-2003
			TTimo <ttimo@idsoftware.com>
	+ mapEntityData declaration fix - reported by gareth@nvidia.com

01-06-2003
			Gordon <djbob@splashdamage.com>
	+ Added structured exception handling to win32 version
		- Dumps (append mode) a crash.log file in mod (etmain) folder with stack trace, registers, etc

31-05-2003
			Gordon <djbob@splashdamage.com>
	+ Fix for malicious clients being able to crash server with invalid team parms
	+ Changed server to kick clients instantly on msg overflowed instead of waiting for them to timeout
			
---------------- BUILD 2.53.1 - 2.55 (etmain)

27-05-2003
			Gordon <djbob@splashdamage.com>
	+ Fixed game not ending in maxlives if final player on team suicides, ( CalculateRanks not called on suicides )
	+ Removed freelook option from game menu
	+ Upped version number to ET 2.55.

23-05-2003
			Gordon <djbob@splashdamage.com>
	+ ATVI Wolfenstein XP #4219 : Fixed MP No message when trying to kick the referee
	+ ATVI Wolfenstein XP #4220 : Fixed MP Spectator won the "Welcome Newbie Award"
	+ ATVI Wolfenstein XP #4225 : Fixed MP Shell Geometric  detail is not functioning in the shell
	+ ATVI Wolfenstein XP #4226 : Fixed MP Shell vid_restart is required for texture detail to change
	+ ATVI Wolfenstein XP #4226 : Fixed MP Global End game debriefing screen =wrong  amount of game time played 
	+ ATVI Wolfenstein XP #4216 : Fixed Missing map status pins on campaign map 

---------------- BUILD 2.53.1 - 2.54 (etmain)

23-05-2003
			Gordon <djbob@splashdamage.com>
	+ Fixed spectator seeing two guns in first person when spectating player in tank
	+ Backed up votes over referee commands, so votes will work when referee also executes a command at the same time
	+ Changed time on debriefing to be reset only on map changes, or end of campaign in campaign mode
	+ Fixed crash when player is killed with scoped weapon at end of round in LMS mode
	+ Fixed Arnout's fix for ATVI Wolfenstein XP #3952 to actually allow players to spawn in LMS mode
	+ Fixed name not showing above teammates' heads in certain parts of railgun

			Arnout <rr2do2@splashdamage.com>
	+ ATVI Wolfenstein XP #4184 : Added an 'execnow' ui script command, used for setrecommended, to ensure the cvars from the config are set before the vid_Restart.
	+ ATVI Wolfenstein XP #3952 : Fixed LMS 1on1 player joining empty team during GS_PLAYING spawning as ghost player.
	+ Upped version number to ET 2.54.

---------------- BUILD 2.53.1 - 2.53 (etmain)

22-05-2003
			Gordon <djbob@splashdamage.com>
	+ Fixed memory leak in patch collision generation code
		- Single case where winding wouldn't be freed in CM_ValidateFacet
	+ Fixed using clientinfo valid flag, rather than entitystate valid flag for tank mounted guns allowing duplicates to show, d'oh
	+ Fixed time displaying incorrectly on debreifing screen
		
			Arnout <rr2do2@splashdamage.com>
	+ Fixed antilag in voting menu (non-referee).
	+ Stopped FEEDER_ALLMAPS from setting ui_userTimelimit, ui_userAxisRespawnTime and ui_userAlliedRespawnTime.
	+ Upped version number to ET 2.53.

21-05-2003
			Arnout <rr2do2@splashdamage.com>
	+ Changed model shadow code to use the right lightmap index on shader lookup.
	+ ATVI Wolfenstein XP #4203 : Fixed render backend crash caused by remapshader not being set to NULL on a sucessful R_FindCachedShader.
	+ ATVI Wolfenstein XP #4188 : Fixed G_shuffleTeams not using the right clientnumber for cleanup operations.

---------------- BUILD 2.52.1 - 2.52 (etmain)

20-05-2003
			Gordon <djbob@splashdamage.com>			
	+ Fixed shader caching memory leaks
		- shaders with lightmaps being backed up, not grabbed from cache because they had lightmaps, then never being purged
		- similar story for all shaders with "*BLEH" in them
		- Purging these from cache imediately after backup now
	+ More fixes for the above, works fine with map changes now too, forcefully purges anything it can find that's left over, 
		not relying on teh counter anymore, as places weren't updating it, and it was generally silly...

			Arnout <rr2do2@splashdamage.com>
	+ Reworked initial profile creation popup to ensure none of the values get reset on re-opening of the window.
	+ When a negative CPU speed is detected, recommended settings now use normal quality.
	+ Normal quality now implies texturebits 32.
	+ Upped version number to ET 2.52.
	+ Added a fallback path for Sys_GetCPUSpeed, in case the first detection method fails.
	+ Reworked first detection method, syncs with *nix now.
	+ ATVI Wolfenstein XP #4160 : Changed some cpms that should have been prints causing vote help not to show properly.
	+ ATVI Wolfenstein XP #4165 : Fixed vote map button not dissapearing when map voting is disabled.
	+ Fixed Browning and MG42 not giving XP.
	+ Overhauled the CPU speed detection a bit more.
	+ Vote gametype interface quickfix.

---------------- BUILD 2.51.1 - 2.51 (etmain)

19-05-2003
			Arnout <rr2do2@splashdamage.com>
	+ Fixed memory leak (10288 bytes per map_restart) in CG_LoadObjectiveData.
	+ Upped version number to ET 2.51.
	+ Profile creation fix.

---------------- BUILD 2.50.1 - 2.50 (etmain)

16-05-2003
			Arnout <rr2do2@splashdamage.com>
	+ Fixed cg.serverRespawning not being reset when a double map load happens, this would result in a PM_FREEZE clientsided even though the player is fine and the server is running a map.
	+ Upped version number to ET 2.50.

---------------- BUILD 2.49.1 - 2.49 (etmain)

15-05-2003
			Arnout <rr2do2@splashdamage.com>
	+ ATVI Wolfenstein XP #4125 : Ensured keybindings always operate on the lowercase key.
	+ ATVI Wolfenstein XP #4112 : Removed respawnTime from timedelta adding section during pause.
	+ Renamed Shuffle Teams to XP Shuffle.
	+ Reworked cache purging, should now only happen when really needed.
	+ Upped version number to ET 2.49.

			Gordon <djbob@splashdamage.com>
	+ Removed the message loop pumping during loading, has various issues, need to investigate this later.
	
---------------- BUILD 2.48.1 - 2.48 (etmain)

13-05-2003
			Arnout <rr2do2@splashdamage.com>
	+ Fixed callvote nextmap in campaignmode not calling nextcampaign.
	+ Upped version number to ET 2.48.

			Randy <ydnar@splashdamage.com>
	+ Changed netchan queueing linked list end marker code to point at end rather than ptr to end

			Gordon <djbob@splashdamage.com>
	+ Recompiled goldrush with changed shader for stairs that doesnt allow placing of landmines
	+ Fixed axis engineer coat not being twosided
	+ Fixed multiple copies of tank gun showing up
	+ Added trap call to client to pump messages during loading, should cut down on server command overflows
	+ Changed various cvars to new defaults, etc
	+ Fixed grenade launcher stuff again...

---------------- BUILD 2.47.1 - 2.47 (etmain)

12-05-2003
			Randy <ydnar@splashdamage.com>
	+ Did Real Life Work (TM)
	+ Fixed renderer cull/crash bug on Railgun (I am a moron)

			Arnout <rr2do2@splashdamage.com>
	+ Fixed next map/next campaign button logic in callvote/misc menu.
	+ ATVI Wolfenstein XP #4102 : Fixed ui_currentNetMap not being in sync all the time with ui feeders.
	+ Upped version number to ET 2.47.

			Gordon <djbob@splashdamage.com>
	+ "Fixed" grenades flying through the screen when switching from gpg40/m7 to other weapon
	+ Fixed players not recieving proper map change info resulting in graphical glitches etc

11-05-2003
			TTimo <ttimo@idsoftware.com>
	+ Misc auto-update tweaks for easier win32 deployement
		show_bug.cgi?id=618 - python stderr/stdout piping to main app for win32
		show_bug.cgi?id=619 - win32 distribution		

---------------- BUILD 2.46.1 - 2.46 (etmain)

10-05-2003
			Arnout <rr2do2@splashdamage.com>
	+ Added an extra check to pure servers. If a server is pure, every client connecting to it
		has to have all 'official' pak files on the server and pure check must match.
	+ Upped version number to ET 2.46.

			Gordon <djbob@splashdamage.com>
	+ Fixed numeric health display not showing in LMS
	+ Fixed tank not being destroyable in goldrush after bank doors are blown
	+ Fixed weapon icons not displaying on HUD
	+ Fixed construction sounds not playing on some constructions
	+ Fixed various issues with LMS round progression
	+ Changed medic cry to be played from player, rather than full volume on all clients
	+ Changed avidemo to reset to 0 upon connecting to a server
	+ Added script command to disable the "you are near" messages on constructions

---------------- BUILD 2.45.1 - 2.45 (etmain)

08-05-2003
			Gordon <djbob@splashdamage.com>
	+ Merged in changes from "defiant" test server, fixes server crashing relating to item pickups
	+ Fixed grenades auto-undisguising you upon throwing
	+ Added medic icon to scoreboard for when waiting for medic, instead of skull
	+ Medic syringe is green at high skill level in 3rd person now too
	+ Changed all instances of PC_LT to PC_FIELDOPS for clarity
	+ Changed CanDamage to allow for hitting non-solid objects... (non-tripod mounted mg42s) go figure
	+ Fixed various issues with weapons displaying with no ammo/shouldn't be selected
	+ Removed some redundant fireteam quickchat.
	+ Fixed referee warnings not printing to screen
	+ Fixed client timeout (usually with crash), and quick reconnect screwing up various things by missing out ClientDisconnect
		- Would cause flags to vanish into the ether and horrible stuff like this...

			Arnout <rr2do2@splashdamage.com>
	+ ATVI Wolfenstein XP #4015 : R_oldmode check now only activates when r_oldMode isn't the same as r_mode.
	+ Autodownload UI quickfix, now says "DOWNLOADING..." instead of "CONNECTING...".
	+ ATVI Wolfenstein XP #3997 : updated video card identification table.
	+ ATVI Wolfenstein XP #3963 : Made a FS_Restart on an active client force a schedule of a cache purge on the first re.shutdown called from cl_shutdown.
	+ ATVI Wolfenstein XP #4022 : Clients as TEAM_FREE no longer try to use SelectCTFSpawnPoint.
	+ ATVI Wolfenstein XP #3928 : Chanted '/READY' into 'Ready'.
	+ ATVI Wolfenstein XP #3916 : Tool-tip-typo.
	+ ATVI Wolfenstein XP #3932 : Allies -> Allied.
	+ ATVI Wolfenstein XP #3924 : prefered -> preferred.
	+ Re-enabled missing sound warning print in CG_SoundPlaySoundScript.
	+ Hooked vote_allow_muting in so it actually works.
	+ ATVI Wolfenstein XP #4004 : Increased red flashing error string in windows syscon to 128 characters (was 80) so error messages don't get truncated.
	+ ATVI Wolfenstein XP #4032 : Fixed weapon animation not getting set on respawn and revive.
	+ ATVI Wolfenstein XP #3613 : Updated credits.
	+ ATVI Wolfenstein XP #3933 : stop watch -> Stopwatch.
	+ ATVI Wolfenstein XP #3921 : Fixed tooltip.
	+ CG_DrawPlayerWeaponIcon now only uses selected icon.
	+ Upped version number to ET 2.45.

			TTimo <ttimo@idsoftware.com>
	+ switched the auto update to ATVI's box

			Jason <rhea@OrangeSmoothie.org>
	+ Fix to actually honor the vote_limit settting :p

07-05-2003
			TTimo <ttimo@idsoftware.com>
	+ autoupdate: 'status' shows connected clients and IPs - goes to python module logging too
	+ exceptions get printed out to log also
	+ python module activity logging to 'autoupdate.log'

---------------- BUILD 2.44.4 - 2.44d (etmain)

07-05-2003
			Arnout <rr2do2@splashdamage.com>
	+ ATVI Wolfenstein XP #3995, #3971 : Fixed initial profile creation menu spawning script.
	+ ATVI Wolfenstein XP #3807 : Fixed missing voteflags in .menu
	+ ATVI Wolfenstein XP #3964 : Fixed landmines giving heavy weapons skill and grenades giving engineering skill when destroying objectives.
	+ Changed version check code to be server sided as well, so clients can connect to debug servers fine, but mismatched clients can't connect to any.
	+ Added Tool Tips cvar and ensured it is always set to 1 when a new profile is created.
	+ "No or bad challenge for address." now disconnects you properly to the main menu.
	+ ATVI Wolfenstein XP #4005 : Fixed gametype voting help.

			Jason <rhea@OrangeSmoothie.org>
	+ ATVI Wolfenstein XP #3993: Stat logs weren't honoring time sets correctly
	+ Clean extraneous bits on server_settings upon server init

			TTimo <ttimo@idsoftware.com>
	+ show_bug.cgi?id=613
		progress percentage screwing up above 50%
	+ show_bug.cgi?id=612
		URL redirect on win32 trigger multiple times - could cause a freeze
	+ fix linux console setup starting twice

			Gordon <djbob@splashdamage.com>
	+ Reduced allowed number of chars on "You are near" messages before wrapping
	+ Adjusted alignment of chat popup
	+ Removed g_synchronousclients totally (ifdefed it out)
	+ Added giving syringes to ammo packs
	+ Fixed spawn counters for axis autospawns not working properly
	+ Fixed xp loss from teamkills using wrong client to check which skill to remove from
	+ Stopped some messages popping up for joining/creating fireteam upon quick team changes
	+ Changed CanDamage function to use some decent hit detection for a change...
	+ Changed combatstates to only be set during real gameplay
	+ Changed toi's to use midpoint of entity if no origin found for configstring origin
	+ Adjusted dynamite damage blast radius/damage	
	+ Fixed/changed messages for arty/airstrike
	+ Fixed engine setting default complaint limit to wrong value
	+ Fixed	medals not showing on player debriefing
	+ Fixed Airstrike bombs having their origins snapped into walls, thus causing them to explode prematurly
		- Changed to snapping towards point projected along normal of ground surface rather than just "up"
	+ Fixed eng/medic/fieldops not being able to spawn with single pistol once akimbo pistols earned
	+ Fixed flamethrower pickup not giving ammo properly
	+ Fixed airstrike sounds not playing properly
	+ Added sound to build start event
	
06-05-2003
			Arnout <rr2do2@splashdamage.com>
	+ ATVI Wolfenstein XP #3952 : Fixed LMS dead counter not counting spectators just joined the team (as they had health 100).

			Randy <ydnar@splashdamage.com>
	+ Fixed decal overflow bugs
	+ Frustum culling decal projectors before insertion into list
	+ LOD player shadow now better matches torso shadow (less visible pop-in)
	+ Better error messages on FS_Write() failures

---------------- BUILD 2.44.3 - 2.44c (etmain)

06-05-2003
			TTimo <ttimo@idsoftware.com>
	+ tracker #3754 missing '(' in download UI
	+ show_bug.cgi?id=607
		fixed no progress showing during ftp downloads
	+ show_bug.cgi?id=605
		fixed crash at end of ftp download (god damn libwww bugs)
	+ don't try to shutdown libwww at all in release (too unstable)
	+ removed sv_wwwCheckPath - confusing and not really useful
	+ tweak PB typo
	+ tweak disconnected dl mode to properly disconnect and still print download progress
		show_bug.cgi?id=610
	+ Upped version number to ET 2.44c.

			Arnout <rr2do2@splashdamage.com>
	+ ATVI Wolfenstein XP #3927 : Added check if a demo exists before you can delete it.
	+ ATVI Wolfenstein XP #3923 : Made sliders highlight on mouse-over.
	+ ATVI Wolfenstein XP #3926 : Fixed waterwarp effect calculation.
	+ Fixed airstrike sounds not using the proper samples.

			Gordon <djbob@splashdamage.com>
	+ Fixed yesterday's timetravelling
	+ Added "You have lost XP" to complaint message
	+ Fixed sprinting recharge rate for battlesense
	+ Fixed event string list being totally out of sync with the real event list
	+ Added shadows to various ingame print messages for visibiliy
	+ Removed malloc/free in ai code
	+ Fixed fireteam player text drawing on command map
	+ Changed "XP" to read "Score" in LMS on debriefing screen
	+ Moved loads of text displays around to stop overlaps, and gave everything drop shadows
	+ Added multiple sounds per sound script per Tim's request
	+ Fixed smoke from tank mounted gun overheat not displaying properly
	+ Added promotion sounds for new ranks
			
05-05-2003
			Arnout <rr2do2@splashdamage.com>
	+ Fixed g_warmup not defaulting to 10.
	+ Added vote_allow_muting.
	+ ATVI Wolfenstein XP #3900 : Next Campaign and Next Map buttons now dissapear when nothing is set.
	+ ATVI Wolfenstein XP #3689 : HACK if item starts with an 'A', make the prefix 'an'.
	+ ATVI Wolfenstein XP #3889 : Timelimit 0 now just results in Mission Time: 0:00.
	+ ATVI Wolfenstein XP #2945 : Only call uiscript loadArenas when it's really needed.
	+ ATVI Wolfenstein XP #3782 : Changed the autowrap function to deal with long strings without spaces/tabs.
	+ As per Kevin, g_doWarmup defaults to 0 again, match_readypercent 100 and g_warmup 30.
	+ Increated tracemap loading speed by a factor ~2.5.
	+ Removed "model", "head", "color" and "handicap" from userinfo.
	+ ATVI Wolfenstein XP #3937 : Fixed NULL tagParent crash.
	+ ATVI Wolfenstein XP #3946 : Fixed add to favourites in ingame serverinfo not working.

			Gordon <djbob@splashdamage.com>
	+ Fixed airstrikes that didn't go off staying around forever
	+ Massively cleaned up mapentityinfo, sends about 25% as much info as it used to
		- caching a bunch of things in some configstrings set when the toi's spawn (custom images, etc)
		- filtering out now unneeded info on a per type basis
	+ Fixed being able to exploit mg42 destroy/repair to gain eng XP
	+ Fixed objective failed/completed messages being one index out of place
	+ Added deployment counter updating to various places, so it should be updated more often => be more accurate
	+ Fixed ref login not always updating player's menu
	+ Fixed stopwatch typo in load screen
	+ Fixed limit on playerlist on debriefing being too high

---------------- BUILD 2.44.2 - 2.44b (etmain)

03-05-2003
			Arnout <rr2do2@splashdamage.com>
	+ ATVI Wolfenstein XP #3815 : Made it possible to disable SP through gameindo.dat.
	+ Some more media cleanup, removing loading of never used shaders.
	+ Re-enabled yellow warning prints for missing images, makes it easier to track these down.
	+ Fixed fallthrough in CG_R_REGISTERFONT.
	+ Removed "blood" particles (weren't used).
	+ Removed mvcursor, using normal cursor.
	+ Fixed connection shader.
	+ Fixed default rope shader.
	+ Reoved ammoIcon from .weap files, wasn't used anyway.
	+ Removed nonexisting shader references from item array.
	+ Changed main menu to only have one type of background track.
	+ ATVI Wolfenstein XP #3837 : Fixed keyhandling of debriefing screen editbox.
	+ Changed g_doWarmup default back to 1. (As requested) - the tracker bug #3839 is invalid and should be ignored.
	+ Changed chat edit box on debriefing back to not require focus for input
	+ ATVI Wolfenstein XP #3858 : Fixed scoring multiple times for defusing satchel chargers or landmines.
	+ Fixed LMS briefing not showing in loading panel.
	+ ATVI Wolfenstein XP #3861 : Fixed campaign and listcampaigns not working from non-campaign gametypes. (*slaps gordon*)
	+ ATVI Wolfenstein XP #3721, #3723 : Fixed loadpanel information not being correct. USE CGS.GAMETYPE THERE, cg_gameType.integer is not updated yet!!!
	+ ATVI Wolfenstein XP #3713 : Fixed fireteam quickchat to report to sender at all times.
	+ Upped version number to ET 2.44b.

			TTimo <ttimo@idsoftware.com>
	+ remove parasite .consign from setup

			Jason <rhea@OrangeSmoothie.org>
	+ ATVI Wolfenstein XP #3717: Refs can now set other refs w/o a minimum client count
	+ ATVI Wolfenstein XP #2113: "Blood Splatter" View option was pointing to the wrong cvar
	+ Added more tooltips that were missing
	+ ATVI Wolfenstein XP #3839: g_doWarmup defaults to 0 with g_warmup defaulting to 30 (comp settings still at 1/10 respectively)

---------------- BUILD 2.44.1 - 2.44a (etmain)

02-05-2003
			Randy <ydnar@splashdamage.com>
	+ Nuked fade-to-black on server map change [bug 3793]
	+ Multiple delayed map_restart commands now override previous [bug 3813]
	+ Added missing newline to "Match Starting..." console print
	+ Colored server names are now properly sorted [bug 3812]
	+ Disabled SMP on Win32 for now'
	+ Static misc_gamemodel entites do not project decal shadows
	
			Gordon <djbob@splashdamage.com>
	+ Changed chat edit box on debriefing to require focus for input
	+ Fixed tank showing gun in incrorrect orientation
	+ Fixed multiple guns showing on tank at once
	+ Fixed getting health bar on disguised covertops incorrectly at close range
	+ Bumping network protocol version number
	+ Added new rank strings + other related stuff
	+ Fixed tank/configstring issue, code was using inconsistant MAX limits for dlight comfingstrings...
	+ Fixed picking up a k43 (engineer version), printing you picked up a Kar98
	+ Added defusing satchel charge gives 6xp to exp+con skills
	+ Fixed death anims being screwed up with corpses
	+ Fixed typo on fireteam menu
	+ Changed flag spawncounts to update when a player changes(joins a) team
	+ Added XP sorting when shuffling teams
	+ Upped default complaint limit to 12
	+ Added complaint ip tracking
	+ Fixed some issues with multiple dead bodies showing up
	+ Fixed back button appearing on debrieifing under certain circumstances
	+ Added option for servers to enable filtering of limbo camera
	+ Added varied skins for syringe/ammo packs when skills are gained
	+ Fixed spawn selection being preserved over map changes
	+ Added out of power animation for health packs and ammo packs

			TTimo <ttimo@idsoftware.com>
	+ (from BUILD-2_43_3-branch) neutralize GAME_VERSION_DATED for Linux debug builds so that I can run debug servers
	+ load balancing done with a list of download slots and max rate settings (rate is evaluated from average download rates of the files)
	+ reworked the C/Python APIs a bit
	+ hooked the idAutoupdate class with idLogger 
	+ tweaked the dl ui code to remove login/pass from cl_downloadName to avoid indiscretions
	+ fixed uppercase F interpreted as backspace by tty code
		show_bug.cgi?id=598

			Arnout <rr2do2@splashdamage.com>
	+ Changed GAME_VERSION_DATED to use the version number instead.
	+ Com_DPrintf quickfix.
	+ ATVI Wolfenstein XP #3727 : Added callvote campaign, removed option to vote for campaigns using callvote map.
	+ Fixed water gasping sound, also only play it if the player has been underwater for more than 6 seconds.
	+ Made 'Server is full' error no longer drop the player back to the main menu.
	+ Com_setrecommended now sets a com_recommended cvar that is used in profile creation menus to specify the default gfx quality.
	+ Cleaned media tree from unused media.
	+ ATVI Wolfenstein XP #3738 : Added .skin support for damage states of hudhead.
	+ ATVI Wolfenstein XP #3327 : Added a PunkBuster button to the initial profile creation screen.
	+ Added g_ipcomplaintlimit control to the advanced host server menu.
	+ ATVI Wolfenstein XP #3425 : Added a default button to the host game - advanced menu.
	+ ATVI Wolfenstein XP #3817 : Hardcoded default configs in UI again (bleh).
	+ Added messagemode3 bind to controls menu.
	+ ATVI Wolfenstein XP #3819 : Made vote result messages print to the notify box at the left of the screen.
	+ ATVI Wolfenstein XP #3595 : Added Double-Tap Prone button to options->game->physics.
	+ Adrenaline Syringe is now no longer an alt weapon.
	+ Upped version number to ET 2.44a.

			Jason <rhea@OrangeSmoothie.org>
	+ ATVI Wolfenstein XP #3711: Fixed stat log spam issues
	+ ATVI Wolfenstein XP #3715: Rolled intermission auto-actions from the old scoreboard code to the debriefing draw

01-05-2003
			Randy <ydnar@splashdamage.com>
	+ Grenade physics no longer affected by player direction
	+ Foliage: refactored instance arrays, interleaving color with origin
	+ Foliage: added radix filter to variably scale distance fading
	+ Added r_developer > 1 == no console spam
	+ Added model frame count to developer spam on missing frames of md3 models
	+ Zooming works in 3rd person if developer cvar is set

---------------- BUILD 2.43.3 - 2.43c (etmain)

01-05-2003
			Arnout <rr2do2@splashdamage.com>
	+ ATVI Wolfenstein XP #3713 : Made fireteam quickchat broadcast to all selected players and the player who is chatting. (The last bit wasn't the case).
	+ Made profile creation check if the user entered both a name, and a valid cleaned name (so it will now dissallow "\\\\\\" as a name).
	+ ATVI Wolfenstein XP #3726 : Updated gamenames array in gamecode (this should really use the information from gameinfo.txt).
	+ Upped version number to ET 2.43c.
	+ ATVI Wolfenstein XP #3726 : Fixed flickering connection screen.
	+ ATVI Wolfenstein XP #3701 : Server host can't have his referee status removed anymore.

			Jason <rhea@OrangeSmoothie.org>
	+ ATVI Wolfenstein XP #3405: Changed "Enhancved Referee" tag to "Disable Team Controls" in Advanced server settings
	+ ATVI Wolfenstein XP #990: Maxlives as a percentage of time remaining on a fresh join-in-progress
	+ Fixed a couple of the tooltips in the Game Options menu (inaccurate or missing)
	+ Suppressed message of a player going spec if they are already a spec
	+ ATVI Wolfenstein XP #3445: Could not repro, so put in a safety net of resetting a player's stats when switching teams

			TTimo <ttimo@idsoftware.com>
	+ merge back autoup-balance branch to trunk
-- autoup-balance branch, tagged as autoup-balance-tag

	01-05-2003
				TTimo <ttimo@idsoftware.com>
		+ compiled the auto update server code on win32
			requires compiling Python 2.2.2 from source first:
			http://www.python.org/ftp/python/2.2.2/Python-2.2.2.tgz
			make sure pythoncore is Debug Multithreaded DLL and Multithreaded DLL
			set up include path and library paths correctly, default is C:\Python-2.2.2\Include and C:\Python-2.2.2\PCbuild

	30-04-2003
				TTimo <ttimo@idsoftware.com>
		+ building on holy box. auto update server running on zerowing now
		+ add fs_basepath to Python's sys.path so that the module is found right away

	29-04-2003
				TTimo <ttimo@idsoftware.com>
		+ extension of auto update server to support a list of download URLs with balancing
				using a python module as versionmap and balancing script
				Linux only atm, gotta fight some more with win32 to compile Python bindings
		+ quick tips:
			use reloadUpdate to reload the python module on the fly
			set PYTHONPATH to the directory holding the python script
			run auto-update.py directly for some primitive regression tests

			Gordon <djbob@splashdamage.com>
	+ Added tapout menu
	+ Fixed not getting XP display on debriefing for any gametype bar campaign
	+ Cleaned up configstrings, to get us below 1024 entries again
		- Also changed to not propogate changes to configstring till the end of a server frame
			saves multiple copies of the same configstring being sent when multiple changes done to same configstring in one frame, 
			which is icky, and annoying to work around
	+ Added ability for gamecode to grab latched cvar values
	+ Fixed being able to change gametype to campaign on a non-valid map
	+ Adjusted mounted tank arc range to stop players shooting through the tank on goldrush
	+ Removed r_compressmodels, and r_exportcompressedmodels as they are redundant and appeared to be crashing
	+ Changed full-screen mode to attempt to use desktop refresh rate on windows systems
	
---------------- BUILD 2.43.2 - 2.43b (etmain)

30-04-2003
			Arnout <rr2do2@splashdamage.com>
	+ Added cvar initialisations to the UI for: cg_showblood, cg_bloodFlash, cg_autoReload, cg_noAmmoAutoSwitch, cg_useWeapsForZoom,
		cg_zoomDefaultSniper, cg_zoomstepsniper, cg_voicespritetime, cg_complaintPopUp, cg_announcer, cg_printObjectiveInfo,
		cg_useScreenshotJPEG, cg_drawGun, cg_drawCompass, cg_drawRoundTimer, cg_drawReinforcementTime, cg_cursorHints,
		cg_crosshairPulse, cg_drawCrosshairNames, cg_crosshairColor, cg_crosshairAlpha, cg_crosshairColorAlt, cg_coronafardist,
		g_password, g_antilag, g_warmup, g_lms_roundlimit, g_lms_matchlimit, g_lms_followTeamOnly
	+ ATVI Wolfenstein XP #3005 : Added dedicated server starting warning menu.
	+ Fixed not getting any XP for dynamiting a func_explosive objective.
	+ Added multiline tooltip support.
	+ Modified COM_ParseExt to support string-in-string parsing.
	+ Added abort command to ui scripts, so a script can be terminated at any point.
	+ ATVI Wolfenstein XP #2826, #3507 : Added better error handling to profile renames, creation, etc.
	+ ATVI Wolfenstein XP #3374 : You can now type a 36 character player alias everywhere in the UI (MAX_NETNAME).
	+ ATVI Wolfenstein XP #3636 : G_dowarmup goes to 1 again by default (AGAIN.. grr) and match_Readypercent 66.
	+ Added __DATE__ to GAME_VERSION for release builds.
	+ Removed lodbias setting not loading high polygon models. As we hardly use any lods, this is not really an issue. We need it as
		we want to load all lods of the hudhead at all times.
	+ Fixed range for Do_Activate_f being 256 instead of 96. Fixes telepatic door opening.
	+ Upped version number to ET 2.43b.
	+ ATVI Wolfenstein XP #3537 : New shader from Randy fixes this.
	+ Panzerfaust now has a radius damage range of 300 instead of 400.

			Jason <rhea@OrangeSmoothie.org>
	+ Fixed late join/team locking semantics
	+ Fixed vote spam when a ref performs certain ref commands (callvote aliases)
	+ LMS was locking teams regardless of current gamestate
	
			TTimo <ttimo@idsoftware.com>
	+ Fixed double download win32 bug in libwww
	+ Linux setup script: add stuff to build final setup remotely (much less upload wait)
	+ Linux 2.43b: upped libwww timeout to 30s

			Gordon <djbob@splashdamage.com>
	+ Changed "to global" toggle button on debriefing to be colour coded.
	+ Fixed spectator commandmap having totally screwed up entities being display
		- double entries for some teams, none for other, etc
	+ Adjusted MG42 kill/repair messages to just say MG
	+ Fixed airstrike level 2 not having appropriate charge time loss
	+ Fixed info_player_intermission points not working correctly for greater than 2 positions
	+ Fixed "damaging" landmines causing them to take longer to defuse
	+ Changed health of players waiting to go into limbo
	+ Fixed 3rd person landmine animation not playing
	+ Fixed covertops level 3 not functioning for scoped fg42
	+ Fixed switching from panzerfaust to a picked up mobile mg42 causing the client to switch to pistol
	+ Fixed grammar problems with some pickup messages
	+ Fixed commandmap spawnflags showing incorrectly for spectators
	+ Added "tooltips" for medal icons on limbo panel
	
29-04-2003
			Randy <ydnar@splashdamage.com>
	+ Fixed decals on entities
	+ Fixed bug in leaf surface bounds generation (starting with leaf bounds as seed now)
	+ Fixed old bug where dlights would drop out for 1 frame because transformed vector wasn't set
	+ Directional dlights are no longer culled
	+ Quickfix to SV_TouchCGameDLL so mp_bin.pk3 isn't *required*
	
			TTimo <ttimo@idsoftware.com>
	+ fixed Cvar_Set2 ui_connecting 0 spamming when developer 1
	+ fix mp_bin checksum failure crash before displaying error
	+ fix pure server starting without an mp_bin (SV_TouchCGameDLL)
	+ quickfix Linux setup
	+ Linux dedicated with no server: sleep instead of spinning headless
	+ added com_watchdog and com_watchdog_cmd:
			If a dedicated server is idle (because there is no map loaded, or the running server was killed or died),
			com_watchdog_cmd command will be executed after com_watchdog seconds of waiting.

			Default value for com_watchdog is 60. Set to 0 to disable.
			There is no default com_watchdog_cmd command. If the cvar is empty, the server will quit so that
			cron scripts can detect server dying.

			Arnout <rr2do2@splashdamage.com>
	+ Muzzleflash quickfix.
	+ Fixed smoke grenades with moving origins.
	+ ATVI Wolfenstein XP #1983 : Fixed bouncesound for grenades not playing on entities that could take damage.
	+ Removed drawing of players to spawn count in the compass commandmap.
	+ ATVI Wolfenstein XP #2753 : Added 'Add to favorites' button to ingame server info.
	+ ATVI Wolfenstein XP #3591 : Fixed sounds on the same channel cancelling out all other audio on that channel.

			Gordon <djbob@splashdamage.com>
	+ Fixed shuffle teams allowing members of opposing teams to be on the same fireteam, and other associated issues
	
---------------- BUILD 2.43.1 - 2.43a (etmain)

29-04-2003
			Arnout <rr2do2@splashdamage.com>
	+ Upped version number to ET 2.43a.

28-04-2003
			Randy <ydnar@splashdamage.com>
	+ Implicit shaders now obey nopicmip/nomipmaps directives
	
			Arnout <rr2do2@splashdamage.com>
	+ Server performance counter now takes 6 30 second samples and averages them again (so basically an average over 3600 samples).
	+ Made "Medic!" dead scream voice only.
	+ ATVI Wolfenstein XP #3381, #1809 : added sounds to menu scripts.
	+ Modified tooltip design and colours.
	+ Fixed fallback to \ready typing being broken.
	+ Made tooltips only draw if there is a string.
	+ Upped version number to ET 2.42d.
	+ cg_drawRoundTimer and g_heavyWeaponRestriction are now initialized in the UI as well. (any other cvars I missed?)
	+ missileAxisSkin quickfix.
	+ ATVI Wolfenstein XP #3125 : fixed ingame serverinfo not working for local servers.
	+ ATVI Wolfenstein XP #2406 : Added a big hack to get akimbo pistol muzzle flashes working properly in third person.
	+ Fixed server performance counter (whoops)
	+ New .objdata files so the objective descriptions aren't sent over the network anymore.
	+ Made 'nextmap' work for campaigns.
	+ Made callvote map work for campaigns.
	+ Fixed smoke grenade dropping just under solids resulting in no smoke being spawned.
	+ Tweaked the light orange colour.
	+ Fixed trigger_objective_info's with a IS_OBJECTIVE flag not working when they were targetting func_explosives.
	+ Made scoped K43 and scoped Garand helmet-armour piercing.

			TTimo <ttimo@idsoftware.com>
	+ win32 libwww upstream build would require perl to generate some headers
		going to gen the headers manually, keep them in a list to ignore and check them in
	+ cleanup of bootstrap header files, remove the CVS $Id crap
	+ tested new libwww code on Linux to iron out anything obvious
		connected and disconnected dl working - also working for 2 pk3 files
	+ cvs keyword cleaning script had a bug, re-ran and cleaned up more stuff
		need to regen the starting clean tarball I suppose
	+ added the VC6/VC7 static building for new libwww-cvs code, misc cleanups
		rolling new code (the double download bug is still in though)	

			Gordon <djbob@splashdamage.com>
	+ Fixed players being revived with set mobile mg42s keeping the bipod out (along with no kickback, etc...)
	+ Fixed ammo packs from opposing team not disappearing when stepped over
	+ Added reporting of which player filed a complaint against you
	+ Fixed echo not handling spaces properly
	+ Re-added the "you will spawn as..." text
	+ Fixed mortar icon still showing when out of mortar ammo
	+ Added heading to player debriefing screen, and reshufled page orders
	+ Changed crosshairclient to allow display, even before confirmation from server is recieved, assumes clientinfo->health is valid
	+ Fixed disconnect icon drawing in incorrect location
	+ Added tack to load screen for levelshot
	+ Chaned fireteam hover icons to only display when appropriate client is selected
	+ Fixed weapon sounds from emplaced mg42s being screwed for thirdperson
	+ Fixed getting ammo from empty weapons
	+ Fixed not being able to plant dynamite near neutral constructions, even if construction is built by other team
			
27-04-2003
			Randy <ydnar@splashdamage.com>
	+ Dlights are now frustum culled
	+ Decal projection/culling done further down the pipe, to minimize number of decal clip tests
	+ Dlight & decal culls down to the leafnode level
	+ Added a few more decal-related statistics to r_speeds (7)
	+ Limiting r_overbrightbits to [0,1] and r_mapOverbrightBits to [0,3]
	+ Fixed VC .net Release project settings
	+ Re-enabled player shadow LOD
	+ Fixed orientation of player feet shadows
	
			Arnout <rr2do2@splashdamage.com>
	+ ATVI Wolfenstein XP #3552 : Undid last fix for this bug, fixed actual pickup_weapon. The side-effect is that a soldier that
		reaches skill level 4 and has a thompson/mp40 can - for that live only - pickup another heavy weapon (mg42/panzer/flamethrower/mortar)
		resulting in him having a pistol, a submachinegun and one of the other heavy weapons. On next spawn he will lose his pistol or
		submachinegun depending on his limbo settings.
	+ ATVI Wolfenstein XP #3341, #3342 : Updated skill awards.
	+ Server performance counter now samples over an approx 30 second period (with sv_fps 20).
	
			Gordon <djbob@splashdamage.com>
	+ Updated firetean overlay to only send messages to selected clients or all if none selected
	+ Removed intro wav from limbo panel in LMS mode
	+ Added thrid page to debriefing screen, reshuffled the old player debriefing
	+ Added floating fireteam icons above people on your fireteam
	+ Added arrow to weapon card panel

26-04-2003
			Arnout <rr2do2@splashdamage.com>
	+ Upped max script size in PC_Script_Parse to 4096.
	+ Added serversort_* dependant conditionalScript.
	+ ATVI Wolfenstein XP #3524 : Cleaned up server browsing sorting when switching between dialogs.
	+ Increased server info buffer size (caused only around 10 clients to show).
	+ Fixed favourites checkbox mouseinput handling.
	+ ATVI Wolfenstein XP #3632 : Friendly fire off disables knockback as well.
	+ ATVI Wolfenstein XP #1361 : Widened the backstab angle.
	+ ATVI Wolfenstein XP #3293 : Added un-mute voting.
	+ ATVI Wolfenstein XP #3507 : Added ReadyToCreateProfile conditionalScript to prevent profile creation when no rate or profile name is set.
	+ ATVI Wolfenstein XP #3126 : Reverted g_doWarmup default to 0.
	+ ATVI Wolfenstein XP #3555 : Callvote matchreset without parameters now does what it is supposed to do.
	+ ATVI Wolfenstein XP #3447 : Added g_maxlivesRespawnPenalty cvar to set amount of penalty rounds.
	+ ATVI Wolfenstein XP #3552 : A soldier with heavy weapon skill 4 can't select a Thompson or MP40 as primary weapon anymore. (Bad values give him a MG42 now.)
	+ ATVI Wolfenstein XP #3552 : Renamed max lives enforcement temp ban.
	+ ATVI Wolfenstein XP #3630 : Updated skill awards.
	+ ATVI Wolfenstein XP #3631 : Added server load calculation, right now displays as ping colour (green is low load, yellow is average load, red is high load)
	+ Bumped net protocol to 72 and 81.

			Randy <ydnar@splashdamage.com>
	+ Shaders with texMods will no longer be fastpathed
	+ More dynamic light bugfixes
	+ Added hierarchical surface bounding volumes for nodes
		- re-enabled/modified dlight culling code to cull dlights at node level
		- re-enabled/modified decal projector culling code to cull projectors at node level
	+ Limiting to 32 decal projectors per scene instead of 256
	
			TTimo <ttimo@idsoftware.com>
	+ going to libwww cvs in an attempt to get the win32 libwww bugs fixed
		need to work with delta from w3c's CVS version of the library
		using a script to cleanup cvs keywords (those suck)
		start tarball, checkout 26-04-2003
			c0f9df7ee80b67036692f6e80863d83e  libwww-26042003-orig.tgz
		cleanup with cvs-clean.sh script to have a correct start point
			sos2cvs/utils/cvs-clean.sh
			23fdb8b2ef4065070d5d4d665267b8a2  libwww-26042003-cvsclean.tgz
		need to propagate win32 build system and play some more - Linux side more or less done

25-04-2003
			Randy <ydnar@splashdamage.com>
	+ Fixed misc dynamic lighting bugs
	+ Dynamic lighting defaults to optimized single-pass mode
	+ HUD player head now lit from the position in map the player is in
	+ Fixed lighting of player head in limbo
	+ Fixed bug with fast path shader iterator

			TTimo <ttimo@idsoftware.com>
	+ merging wwwdl-discon back to trunk
-- wwwdl-discon branch, tagged the branch point as wwwdl-discon-tag

25-04-2003

			TTimo <ttimo@idsoftware.com>
	+ added download data cleanups, and handling of DL_DONE/DL_FAILED in disconnected downloads
	+ works for regular server doing disconnected downloads of their pk3 files (client reconnects between each pak - ERR_DROP on error)
	+ tested a 2 pk3 disconnected server download
	+ tested a 2 pk3 disconnected server download, with failure in the middle (web server goes down) - successfully ERR_DROPing with message
	+ ack the server disconnect, stay on the connecting UI to display download information
	+ http download needs to create the updates/ or other target directory, exposed FS_CreatePath
	+ re-enabling autoupdate check by default
	+ testing:
		- URL redirect working on win32
		- ran a connected auto-update
		- ran a conencted auto-update with bad URL (fails and URL fallback)
		- ran a disconnected download auto-update
		- ran a disconnected download auto-update with bad URL (ERR_DROP "download failure")
		- connected and disconnected single pk3 download (multiple breaks)
		
		- fails: if the download is interrupted (connected dl or not).
			timeout doesn't trigger to properly abort. (may be win32 specific)
		- fails: multiple pk3 download from server - Winsock error (win32 specific)

			Gordon	<djbob@splashdamage.com>
	+ Fixed pointcontents using s.angles instead of r.currentangles
	
24-04-2003

			TTimo <ttimo@idsoftware.com>
	+ switched back default autoupdate server to zerowing for testing (make sure we reset this later on!)
	+ auto-update toggles on the download control cvars - cl_allowDownload and cl_wwwDownload
	
23-04-2003

			TTimo <ttimo@idsoftware.com>
	+ DL_FLAG_URL redirect working on Linux (no UI prompt)
	+ sv_wwwFallbackURL defaults to "", if != empty we don't do use legacy download, instead we redirect to fallback

22-04-2003

			TTimo <ttimo@idsoftware.com>
	+ fix libwww debug build on Linux (-g -DHTDEBUG to have tracing and debugging symbols)
	+ fix an HTLibTerminate crash on Linux (in libwww code)
	+ fix double fault exit stuff on Linux (useless endless loop)
	+ add an int with download flags to the protocol. the new download protocol is incompatible with older one.
	+ sv_wwwDlDisconnected CVAR_ARCHIVE, defaults to 1 on update server, 0 otherwise
		sets the response flag to indicate that the download should be done while disconnected from server
	+ added wwwdl bbl8r message client -> server, acks a disconnected mode download (then server drops client)
		migration of www download variables to cls in order to survive a CL_Disconnect
	+ got a disconnected download running successfully, and verified that a synchronous dl would still work	

---------------- BUILD 2.42.3 - 2.42c (etmain)

25-04-2003
			Arnout	<arnout@splashdamage.com>
	+ Added alliedskin/axisskin support to .weap files for missiles. ("missileAlliedSkin" and "missileAxisSkin").
	+ Removed cg_uselessNostalgia.
	+ ATVI Wolfenstein XP #1204 : Added doubleclick event to profile listbox.
	+ Added onEnter and onEsc events to itemDef_t.
	+ Hitting esc now closes the chat dialog.
	+ Added mousewheel support to listboxes.
	+ Fixed keybourd input for listboxes.
	+ Changed recursive error error to list both the last and the current error message.
	+ ATVI Wolfenstein XP #3583, #3585 : Fixed memory leak in virtual memory allocation.
	+ Added con_autoclear, defaulting to 1.
	+ Changed max input length of MOTD in the hostgame, advanced menu to 26.
	+ Fixed akimbo pistols not being headshot weapons.
	+ ATVI Wolfenstein XP #3559 : Fixed gametype voting.
	+ ATVI Wolfenstein XP #3561 : Fixed warmup damage voting.
	+ Upped version number to ET 2.42c.
	+ ATVI Wolfenstein XP #3559 : Fixed not getting any XP for defusing dynamite near friendly constructions.
	+ Fixed not getting any XP for destroying multi-stage constructions' non-final states.
	+ Added DAMAGE_NO_PROTECTION flag to death-by-construction-crushing.

			Gordon	<djbob@splashdamage.com>
	+ Fixed various OSP messages not printing to screen
	+ Fixed dying from flames incorrectly assigning the kill to the world, not the player
	+ Changed cursor on edit field on debriefing to be white
	+ Adjusted "Following bleh" text to not overlap compass, and have consistant shadowing
	+ Added meansofdeath for browning/mg42 on tank
	+ Added forcing of bypassmouseinput to 0 when opening all cgame based guis
	+ Fixed blood spurts not showing from players that are shot
	+ Fixed player names overlapping class on scoreboard
	+ Fixed some revive issues with setting angles
	+ Fix for referee menu still showing after changing servers
	+ Fixed bugs with edit fields with maxchars overflowed not accepting input
	+ Fixed bugs with editfields not correctly terminating strings
	
24-04-2003
			Gordon	<djbob@splashdamage.com>
	+ Fixed server restart during server spawning killing the server
	+ More code speedups, rest looks mainly like it's just cuz fueldump is way way too complex...

---------------- BUILD 2.42.2 - 2.42b (etmain)

24-04-2003
			Gordon	<djbob@splashdamage.com>
	+ Fixed echo not outputting to lower left
	+ Fixed spectators not going to debriefing at end of game
	+ Fixed being able to get into a tank with a ticking grenade/armed panzer
	+ Fixed being able to stop a grenade throw my moving while prone (just autofires now)
	+ Added some better feedback to g_spawnstring errors
	+ Fixed PM_CorectAllSolid being called constantly for players in tanks
	+ Fixed tinfo parsing offset being 1 off
	
			Arnout <rr2do2@splashdamage.com>
	+ Removed item give capabilities (would make the server go down).
	+ Fixed cg.lastFiredWeapon being set even if it wasn't the local client firing. (fixes mortar reticle indicator dissapearing)
	+ ATVI Wolfenstein XP #3463 : Only explosives now gib bodies.
	+ Fix0r3d jittery clients (again) : "// Gordon: is never set...." - yeah. right. :P

---------------- BUILD 2.32.2 - 2.32 (ettest (woohoo!))

23-04-2003
				Arnout <rr2do2@splashdamage.com>
	+ Fixed Gordon's fix for LLoyds BG_GetMarkDir crash. Also fixed the fix again. So it's fixed. Ok?
	+ Disabled Cmd_Activate_f for when you have your mortar setup or are in bipod mode for the MG42.
	+ Upped version number to ET 2.42b.
	
			TTimo <ttimo@idsoftware.com>
	+ show_bug.cgi?id=586
		do not bother trying the qvm if opening .dll/.so failed

			Gordon	<djbob@splashdamage.com>
	+ ALT-Enter crash on debriefing screen fix
	+ Fireteam admin alterations (ability to select players regardless of leader status)
	+ Fix to debugskills printing the wrong skill type for scoped kills
	+ Keyhandling fixes for chat/quickchat/pressing escape
	+ Added option to join/not join fireteam when autofireteams is on
	+ Fixed some reward message typos
	+ Fixed weapon pickups allowing you to go over ammo limits, and mortar getting ammo shoved into wrong slot
	+ Fixed enter keyUP event closing the chat dialog (or any onEnter events for menus)
	+ Changed tinfo to not send class info across (totally pointless...) and let it send across as many players as there are on your team
	+ Fixed widescreen not showing loading screen (need to look into why what was breaking it was breaking it)
	+ Adjust legshot height
	+ Stopped weapons dropping from players at intermission
	+ Fixed not getting rifle grenade ability when picking up a rifle grenade equiped er, rifle! rifle rifle rifle
	
22-04-2003

			Arnout <rr2do2@splashdamage.com>
	+ Fixed all listbox logic, which was utterly broken.
	+ ATVI Wolfenstein XP #3502, #3503, #3504 : Servers with ping 0 are bad servers and shouldn't be shown.
	+ Made mortars that end in the void be deleted and send an EV_MORTAR_MISS event to the client.
	+ ATVI Wolfenstein XP #3069, #3353 : Mortar impacts now show the direction from where they came, mortar misses that flew out of the map are now drawn transparently near the edge.
	+ Disabled auto update again for ETTest.
	+ Made medic request icons on the commandmap a bit bigger.
	+ Changed limbo menu that when you don't modify anything, cancel or escape don't actually do anything.
	+ Bumped protocol to 71 for ETTest.
	+ ATVI Wolfenstein XP #3069 : Fixed cg_trace uses capsule boxes for entities instead of normal.
	+ Reworked fireteam overlay to follow the style of other menus.
	+ Upped version numbers to ET 2.32 and ET 2.42a.

			Randy <ydnar@splashdamage.com>
	+ Knife and pliers no longer check for ammo on client side [bug 2135]
	+ Added r_shownormals 2 mode to debug lightgrid (test 10 fueldump had buggy lightgrid)
	+ Misc lightgrid fixes
	
			TTimo <ttimo@idsoftware.com>
	+ take out dead code in linux_qgl.c
	
			Gordon	<djbob@splashdamage.com>
	+ Tracker bug fixes
	+ Fixed mortar infinite loop within some mark code
	+ Added autofireteam support
	+ Added second page to debriefing showing scoreboard
	+ Fixed scoreboard drawing for various cases
	+ Centerprint detailing rewards given back in
	+ Fixed bug with messagemode3 not showing correct type on chat dialog (fireteam)
	+ Updated endgame stats text, and added prerequisite skills etc for gaining some awards
	+ Removed +dropweapon as it doesn't actually do anything, and was confuzing rtcw players
	+ Scoreboard colour/format changes
	+ ATVI Wolfenstein XP #3529: Fixed getting knockback whilst invulnerable
	+ Changed campaign debrieifing to show last map winner instead of current campaign winner, unless it's the final campaign.
	+ ATVI Wolfenstein XP #3531: Fixed can't tell current progress through a campaign
	+ ATVI Wolfenstein XP #3527: Fixed spectators can see landmines

18-04-2003
			TTimo <ttimo@idsoftware.com>
	+ guarded Com_Error CL_Autoupdate with DEDICATED define 

---------------- BUILD 2.31.3 - 2.31c (ettest)

17-04-2003
			Randy <ydnar@splashdamage.com>
	+ Dynamic light & fog shader fixes for fueldump
	+ Fixed (magic) ammo stand to give mortar ammo, not clips [bug 3408]
	+ Fixed limbo camera XYWH and radio mast shader position for VO announcer
	
			Arnout <rr2do2@splashdamage.com>
	+ ATVI Wolfenstein XP #3400 : fixed r_textureMode being set to an integer instead of string (d'oh :).
	+ ATVI Wolfenstein XP #3390, #3387, #3367 : fixed keys not being bindable through the menu.
	+ ATVI Wolfenstein XP #3390, #3386 : fixed sensitivity number not updating.
	+ ATVI Wolfenstein XP #2744 : Added default controls button.
	+ Fixed trigraph in binding lookup : (???) was compiled as (?].
	+ Precaching gfx/2d/net.tga now.
	+ Added CPU-speed determination.
	+ ATVI Wolfenstein XP #1866 : Updated Com_SetRecommended to make decisions that make more sense and added new configs.
	+ When you've voted, it now shows 'You voted on %s' text.
	+ ATVI Wolfenstein XP #3438 : Fixed unreferee button referencing the wrong command.
	+ Added antilag and force team balance voting.
	+ ATVI Wolfenstein XP #3434 : Fixed Warmup Damage button for referee calling the wrong command.
	+ ATVI Wolfenstein XP #3436 : Fixed gametype voting for both referee and normal players.
	+ ATVI Wolfenstein XP #3433 : Fixed typo in usage of ref matchreset.
	+ Players now sort on top in the command map.
	+ Removed waypoint filter from the limbo menu.
	+ Removed single player code that made voicechats world origin based.
	+ Fixed volume for impacts being set to 64 instead of 127.
	+ Added droppedAnglesHack to .weap files to roll them 90 degrees. Ensures weapons are flat on the ground.
	+ Changed mortar reticle to make more sense on the horizontal axis.
	+ ATVI Wolfenstein XP #3338 : Fixed all menus closing when hosting a game.
	+ Fixed pressing fire after joining a server for the first time would put you on the spectators another time.
	+ Fixed being able to go prone when a mortar is set and being able to set a mortar when prone.
	+ Fixed muzzleflash not showing on tank mounted guns (in 3rd person).
	+ Put cg_draw2d back in.
	+ ATVI Wolfenstein XP #3149 : Added radio broadcast image when newsreel is playing.
	+ Upped version numbers to ET 2.31c and ET 2.41c.

			Jason <rhea@OrangeSmoothie.org>
	+ Changed vote_allow_referee default to 0 (per Kevin's request)

			TTimo <ttimo@idsoftware.com>
	+ ported over Sys_GetCPUSpeed to Linux

16-04-2003
			TTimo <ttimo@idsoftware.com>
	+ 2.31b won't be Linux compatible. Undefined symbol in cgame, was not caught by the build host.
	+ fixed automatic build host to properly report undefined symbols

			Gordon	<djbob@splashdamage.com>
	+ Added new debriefing menu
	+ Fixed some bugs with alphachars based fireteam stuff
	+ Added new fireteam chat sections
	+ Added new button surrounds for limbo menu
	+ Fixed some misc tracker bugs
	+ Added heavy weapon restrictions for artillary/airstrike
	
---------------- BUILD 2.31.2 - 2.31b (ettest)

15-04-2003
			Randy <ydnar@splashdamage.com>
	+ Lowered body bounding box height when dropped into body queue [bug 3317]
	+ New main menu background + effects
	
			Gordon	<djbob@splashdamage.com>
	+ Fixed numlock issues
	+ Fixed some other numlock issues relating to binding stuff in menus
	+ Tracker bug fixes
	+ Changed fireteam menu to only show class specific chat when appropriate players are selected
	+ Changed fireteam class voice msgs to only go to specific class
	+ Changed fireteam menu bg colour to be the same as the quickechat menu
	
			Arnout <rr2do2@splashdamage.com>
	+ Fixed moving while prone still allows you to fire.
	+ Fixed mortar impacts not reliably reaching the client.
	+ Loading screen changes, capped length of motd being displayed to 26 per line.
	+ Server browser now defaults to 1 (AS_GLOBAL).
	+ Fixed bug in mortar hud with out of range indicators.
	+ Score sent to server browsers now indicates total XP of a client.
	+ Re-added lod support for MD3s.
	+ Added new vote/referee sounds.
	+ Upped version numbers to ET 2.31b and ET 2.41b.

			Jason <rhea@OrangeSmoothie.org>
	+ Stubbed out (#ifdef MV_SUPPORT) all MV controls/commands/overlays :'(
	
---------------- BUILD 2.31.1 - 2.31a (ettest)

15-04-2003
			Arnout <rr2do2@splashdamage.com>
	+ ATVI Wolfenstein XP #3225 : if a user doesn't set his rate (ui_rate) it now defaults to 5000.
	+ Fixed bad server adress not kicking you back to main menu (left ui_connecting set to 1).
	+ Fixed pickup hint not showing for Thompsons and MP40's.
	+ Upped version numbers to ET 2.31a and ET 2.41a.

			Gordon	<djbob@splashdamage.com>
	+ Fixed weapon ammos not capping correctly
	+ Finished off some little bits of the fireteam admin
	+ Added quickchat button to the debriefing screen
	+ Fixed combatstates being set for team damage
			
14-04-2003
			Arnout <rr2do2@splashdamage.com>
	+ Added force team balance reporting to server browsers.
	+ Added mute capabilities to referee.
	+ Fixed smoke grenade impacts not breaking func_explosives.
	+ Added Ref and Mute status to clientinfo so the status is available to the UI.

		Randy	<ydnar@splashdamage.com>
	+ More MG42 heat/steam fixes [bug 3229]
	
			TTimo <ttimo@idsoftware.com>
	+ Q_vsnprintf implementation was still buggy and could lead to overflow crashers.
		Updating ET code to use a sanitized version.
		Merged back from test branch after win32 and Linux testing

			Gordon	<djbob@splashdamage.com>
	+ Fixed damageparent not working when the parent was damagable but the child wasnt
	+ Added "levelshot" thumbnail drawing to the load screen
	+ Fixed spawnobjective still being set for a client after a map load
	
---------------- BUILD 2.30.7 - 2.30g (ettest)

14-04-2003
			Arnout <rr2do2@splashdamage.com>
	+ ME_DESTRUCT and ME_CONSTRUCT quickfix (configstring out of bounds).
	+ Upped version numbers to ET 2.30g and ET 2.40g.

---------------- BUILD 2.30.6 - 2.30f (ettest)

13-04-2003
			Arnout <rr2do2@splashdamage.com>
	+ ATVI Wolfenstein XP #3225 : Cvar setting was outside the list bounding check.
	+ ATVI Wolfenstein XP #428 : ui_netgametype now gets set right on open.
	+ ATVI Wolfenstein XP #3087 : Added IP banning for maxlives which is used when PunkBuster isn't active.
	+ Removed some message of the day lines for the server( only 6 lines now).
	+ Upped version numbers to ET 2.30f and ET 2.40f.
	+ Stopped r_uifullscreen from removing fog.

			Randy	<ydnar@splashdamage.com>
	+ Commandline history in Win32 dedicated console [bug 1904]
	+ Fixed pmove/gravity for set mortar [bug 1999]
	+ Scaled knockback by half for met mortar/mobile mg42
	+ Can't set mortar while moving anymore (fixes set sliding on Fueldump ice)

---------------- BUILD 2.30.5 - 2.30e (ettest)

12-04-2003
			TTimo <ttimo@idsoftware.com>
	+ building ettest setup for Linux testers
	+ added some semi-automated building upon cvs checkin
	+ PB ~/.etwolf-test/etmain/ fix
	
			Arnout <rr2do2@splashdamage.com>
	+ Changed all references of Team Damage to Friendly Fire.
	+ Added mute voting.
	+ Upped version numbers to ET 2.30e and ET 2.40e.
	+ Changed windows soundcode to Team Arenas more stable code.
	+ Another fix to the cinematic code related to audio.

			Gordon	<djbob@splashdamage.com>
	+ Fixed quickchat crash
	+ Tracker bug fixes
	
11-04-2003
			Arnout <rr2do2@splashdamage.com>
	+ Changed colour null to ^* (as ^~ wasn't liked by the console, you couldn't actually type it).
	+ Console supports null colour fine now.
	
			Randy	<ydnar@splashdamage.com>
	+ [bug 2922]
		+ GL texture names now all generated through qglGenTextures() instead of linear list
		+ lightmap images will not be cached
		+ BSP lightmap loading phase clears out tr.lightmaps/tr.numLightmaps correctly
		+ shaders referencing lightmaps are no longer cached
	+ Win32 dedicated console
		+ legible colors, win32 ui
		+ commandline completion

---------------- BUILD 2.30.4 - 2.30d (ettest)

10-04-2003
			Arnout <rr2do2@splashdamage.com>
	+ Campaign roulation quickfix.
			
---------------- BUILD 2.30.3 | 2.40.3 - 2.30c (ettest) | 2.40c (etmain)

10-04-2003
			Randy	<ydnar@splashdamage.com>
	+ Modified atmospheric effects to spawn randomly within radius instead of near sky,
	  including when particle is moved out of range, allowing full particle list to be spawned
	  instantaneously, fixing problem where teleporting/moving camera fast caused snow/rain to screw up [bug 3134]
	+ Tiny change to diffuse RGB gen code, to allow fullbright (within entity color) on near-1.0 dot product
	+ Made loading screen map info box 6 pixels higher for bottom margin
	+ Fixed bug with "unsafe" being appended to cvar values

			TTimo <ttimo@idsoftware.com>
	+ test uses ~/.etwolf-test on Linux
	+	creating a ~/.etwolf-test/etmain in the test version for PB to store it's etkey

			Arnout <rr2do2@splashdamage.com>
	+ Fixed pickup hints for weapons.
	+ Added G_GetTeamFromEntity function.
	+ Fixed bug with campaign command (campaign not found check not working).
	+ Changed campaign finding logic so it now only allows campaigns to be loaded through the /campaign command, or typing map mapname where mapname is the first map of a campaign.
	+ Sync with Q3's commandline parsing.
	+ Demo BASEGAME define fix.
	+ Made clientsided campaign determination dependant on servers wolfinfo.
	+ Fixed corpses always facing the direction the player spawned at. (Don't use s.angles on a player, use viewangles!)
	+ Removed scope bar rendering, zooming, sway meter rendering if thirdperson.
	+ Added r_trisColor, can use the formats "1.0 1.0 1.0 1.0" and "0xFFFFFFFF" ( "R G B A", 0-1 range or "0xRRGGBBAA", 00-FF range )
	+ Fixed bug with magic ammo and panzerfausts (could get up to 8 missiles).
	+ Fixed mortar having 9 as maxammo (8+1 in clip) instead of 8.
	+ Upped version numbers to ET 2.30c and ET 2.40c.

			Gordon	<djbob@splashdamage.com>
	+ Tracker bug fixes
	
09-04-2003
			Arnout <rr2do2@splashdamage.com>
	+ Removed Nerve hack that prevented loading maps from pak0.
	+ Fixed pin drawing in non-campaign mode.
	+ Should have fixed flickering on direct connecting through the console.
	+ Fixed disguiserank/netname.

			Randy	<ydnar@splashdamage.com>
	+ Added "unsafe" parameter to set/seta/setu/etc in cfg files
	+ Added CVAR_UNSAFE flag for volatile, potential crash-causing cvars (r_mode, etc)
	+ Changed .pid file handling to set com_crashed cvar
	+ When com_crashed cvar is set, "unsafe" or CVAR_UNSAFE vars cannot be set from the console or cfg files
	+ model shadows (tank shadow on fueldump) now loaded for cached models
	+ mines can be triggered (but do not hurt) by same team now, allowing them to be defused when g_friendlyfire is set to 0

			Jason <rhea@OrangeSmoothie.org>
	+ Update to MV viewing text to match ET UI scheme

			Gordon	<djbob@splashdamage.com>
	+ Tracker bug fixes
	
---------------- BUILD 045 - 2.30b (ettest) | 2.40b (etmain)

08-04-2003
			Randy	<ydnar@splashdamage.com>
	+ Added 2 second delay before a UI menu can be dismissed via enter keypress [jm bug]
	+ Jittered bulletmark origins a bit to account for origin snapping
	
			Jason <rhea@OrangeSmoothie.org>
	+ Fix for team-switching in LMS while a match is in progress
	+ New overlay for demo playback, which disappears if key catcher is disabled
	+ Removed spec overlay for demo playback (demo help overrides)
	+ Added tagged ent support for MV windows
	+ Guarantee timescale set to 1 after demo is over
	+ New spec overlay to match the ET color/format scheme
	+ Replaced "???" with "(command)" on unbound key displays

			TTimo <ttimo@idsoftware.com>
	+ Update the cons scripts for demo builds and setups
	+ added ./cons -- distclean to clear up all non-cvs stuff
	+ fixed libwww bootstrap build on Linux (Conscript-dl)
		removed dependency of dedicated server upon libwww stuff
		(suspecting there are still issues with the wrapping)
	+ updated makeself from latest loki_setup	source
	+ build new setup binary image from loki_setup source
		xsu is broken, not using it yet - doing root auth directly through su
		several fixes to the current loki_setup stuff. see loki_setup.patch file
		brandelf'ing and symlinking for BSD clients

			Arnout <rr2do2@splashdamage.com>
	+ Fixed friendly shader not precaching.
	+ Fixed RoQ decoder sound problem.
	+ Made video apply work from the ingame menu.
	+ Upped version numbers to ET 2.30b and ET 2.40b.
	+ Disconnect / ui re-init quickfix.

			Gordon	<djbob@splashdamage.com>
	+ Tracker bug fixes
	
---------------- BUILD 044 - 2.30a (ettest)

08-04-2003
			Jason <rhea@OrangeSmoothie.org>
	+ Fix for team-switching in LMS while a match is in progress

07-04-2003
			Randy	<ydnar@splashdamage.com>
	+ projection shadow support for tanks & other models
	+ r_dynamiclight 2 for single-pass rendering of all dlights
	+ fixed Options/System menu to use r_dynamiclight instead of r_dynamiclights (should work now)
	+ r_speeds 7 now reports decal/projector stats
	+ decal projectors are now frustum culled
	+ Added COM_FixPath() function to unixify pathnames
	+ Forcing all shader requests to unix '/' style pathnames
	+ Applied COM_FixPath() to shadertext once loaded (temporary)
	+ Cleaned up power-of-2 check on image size
	+ tiny fix to map sound script loading (not present will not cause map to not load anymore)
	
			Arnout	<rr2do2@splashdamage.com>
	+ Made all effect sounds clientsided (for props), removed unused, nonexistant ceramic in the process.
	+ Removed unused icons.
	+ Cleaned up media loading, loads of unused files aren't loaded anymore now.
	+ Binoculars animation quickfix.
	+ Changed battle sense time to 45 second (from 30).
	+ Arena parsing in the FUI now uses the precompiler (Gets rid of max infostring issues).
	+ Removed 20K buffer from soundscript parsing.
	+ Fixed flash impact sounds not being used.
	+ Fixed soundscripts not pre-caching.
	+ Stopped 348931704347 bouncesounds playing on bigger explosion effects.
	+ Changed all system sounds (artillery, airstrike, dynamite, etc) to soundscripts played from popup messages.
	+ Added 5 minute warning sound.
	+ Added support for match time warning sounds to be soundscript based.
	+ Removed double self kill messages.
	+ Reworked demo restricted filesystem slightly.
	+ Added trap_AddCommand to UI.
	+ Added 'campaign' and 'listcampaign' commands to UI.
	+ Fixed bogus mortar fire request showing up on hud/commandmap in first 25 seconds of the game.
	+ Changed version for ETTest to 2.3x, version of ET main is 2.4x.
	+ ETTest uses protocol 70+, ET main uses protocol 80+.
	+ Fixed combatstates (bitflags - d'oh).
	+ Allowed the VFS to get directory listings from "profiles" and "demos" when it's in restricted mode.

			Gordon	<djbob@splashdamage.com>
	+ Tracker bug fixes
	
06-04-2003
			Jason <rhea@OrangeSmoothie.org>
	+ Finalized effects for +stats
	+ Bug 2979: reinforcement timer not displayed when timelimit set to 0 	 
	+ Removed rank/xp/skills info from +stats for LMS mode
	+ Fix-up of formatting for +stats
	+ Added full +topshots support (same formatting as +stats)
	+ Stats adjust for trying to arm a mine on an illegal surface
	+ Stubbed out warmup time scaling.. is there a reason to multiply this value for certain modes?

			Arnout <rr2do2@splashdamage.com>
	+ Cleaned up landmine commandmap logic.
	+ Fixed updatescreen not being called properly during media registration.
	+ Added password required dialog.
	+ Fixed onEnter events triggering when the console is down.
	+ Fixed pressing T in a quickchat menu bringing up the chat box while keeping the quickchat open (quickchat now closes properly).
	+ Fixed chat printing line spacing.

			Gordon	<djbob@splashdamage.com>
	+ Added animation support to player hud head
	+ Added more idle animations for hud head and play random idle every so often
	+ Added buffering of multiple team voice announces
	+ Added allied/axis win text to arena files, and rendering of this on debriefing screen

05-04-2003
			Jason <rhea@OrangeSmoothie.org>
	+ Fixed leaning/in-water insta-fire exploit for delayed fire weapons
	+ Linked all client respawn times to level.timeCurrent
	+ Included team locks on team swaps
	+ Sync of style info in +stats
	+ Various cleanup of legacy wolfmp code
	+ Fade-in effect for +stats (still need to add a fade-out)

			Gordon	<djbob@splashdamage.com>
	+ Changed dynamic commander VO to play to player as they join a team
	+ Changed limbo menu sizings as per new art from Rich
	+ ATVI Tracker Bug [2861] Fixed MP: GLOBAL - Stats, points and 'medals' transferred to new campaign map
	+ Fixed repairmg42 command not working

			Arnout <rr2do2@splashdamage.com>
	+ Some filesystem fixes/cleanups.
	+ Added surface dependant grenade bounce sounds.
	+ Added surface dependant jump sounds.
	+ Added surface dependant crater sounds.
	+ Fixed text printing functions in CGame. (don't use (int)*s, use (unsigned char)*s).

04-04-2003
			Randy	<ydnar@splashdamage.com>
	+ ropping a new landmine will no longer block landmine explosions [bug 2597]
	
			Arnout <rr2do2@splashdamage.com>
	+ Added ui_connecting cvar to track if the UI issued a connect command but the engine isn't drawing the loadpanel yet to forcefully draw it anyway.
	+ Clamped r_picmip between 0 and 3.
	+ Removed mp_* and sp_* filesystem kludges. All official pakfiles are pak*.pk3 again.
	+ Fixed red pulsating for active bind controls.
	+ Fixed empty/full filter being broken in certain cases.
	+ Fixed cg_atmosphericeffects not working as a fraction.
	+ Re-added client prediction for ladder and backstab hints.
	+ ATVI Wolfenstein XP #1984 : Added server info dialog.
	+ g_doWarmup now defaults to 1.
	+ ATVI Wolfenstein XP #1436 : Fixed ladder physics, if velocity gets within 1 unit of 0, it snaps to 0. Also, you can now only strafe in the plane of the ladder.
	+ ATVI Wolfenstein XP #1962 : Fixed flamethrower not working on close range. (And again. And again.)
	+ Fixed flamethrower not burning self when flames bounce off.

			Jason <rhea@OrangeSmoothie.org>
	+ Stubbed out centerview command
	+ Added +stats support in ui/menus for configuring in-game player stats popup
	+ Fixed small binoc exploit
	+ maxlives scaling based on entertime for late-joiners
	+ added "unready" analog to "notready"
	+ small warmup message cleanup when g_doWarmup is 0
	+ Minor code cleanups

			Gordon	<djbob@splashdamage.com>
	+ ATVI Tracker Bug [2916] Fixed MP / Functionality / TK Complaint / Accidental TKs are able to file a complaint
	+ ATVI Tracker Bug [944] Fixed MP: Players get stuck with binoculars on if switching weapons while equipping
	+ ATVI Tracker Bug [2859] Fixed MP: pickup sound for ammo pack repeats infinitely when on moving object
	+ ATVI Tracker Bug [245] Fixed MP: mp_wurzburg - Placeholder icon for radar parts in  scoreboard
	+ ATVI Tracker Bug [2956] Fixed MP: mp_forest - Items/functions pass through fuel depot gates.
	+ ATVI Tracker Bug [2884] Fixed MP: fueldump - no muzzle flash or sound when firing axis emplaced MG
	+ ATVI Tracker Bug [1365] Fixed MP: RADAR - Dynamite splash damage is  HUGE/Axis can blow up own door.
	+ Added mission newsreel intro to limbo menu
	+ Changed trap_S_StartStreamingSound to return the length of the wav file
	+ Added script commands for the dynamic commander VO

---------------- BUILD 043 patch 3 - 2.20j (etmain)

03-04-2003
			Arnout <rr2do2@splashdamage.com>
	+ ATVI Wolfenstein XP #2901 : Landmine fire events were causing players in PVS to change their weapons.
	+ Added recoil to scoped FG42.
	+ Fixed EV_FIRE_WEAPON being shortcutted for all players if you were zoomed (should have been only your events).
	+ Fixed replay viewer not working with demos with spaces in the name.
	+ Removed limbo music.
	+ Fixed Mobile MG42 prone accuracy.
	+ Added pre-load connecting screen.
	+ Upped version number to ET 2.20j.
	+ Fixed listbox doubleclicks.
	+ Added PunkBuster client button to the server browser.

			Gordon	<djbob@splashdamage.com>
	+ ATVI Tracker Bug [1363] Fixed 'Don't shoot' crosshair for disguised covert op appears on tanks
	+ ATVI Tracker Bug [1798] Fixed TK complaint responses sent to wrong client when TKer changes teams
	+ ATVI Tracker Bug [2013] Fixed Last Man Standing - Skull does not appear when players die.
	+ ATVI Tracker Bug [2789] Fixed HUD - CovOps smoke grenade has Dynamite icon
	+ ATVI Tracker Bug [2906] Fixed mp_seawall - Punctuation error in primary objective text.
	+ ATVI Tracker Bug [2923] Fixed Battery (Seawall) Axis covert ops can satchel the door generator
	+ ATVI Tracker Bug [1520] Fixed If teamkilled before casting a vote, previous vote message doesn't reappear  

			Randy	<ydnar@splashdamage.com>
	+ fixed water warping bug related to fov/nearplane fix
	+ added onEnter handler to menu ui definition
	+ moved messageMode handling to cgame/ui
	+ changed client messageMode[2|3|4|5] commands to clMessageMode
	
02-04-2003
			Randy	<ydnar@splashdamage.com>
	+ prone moving no longer suppresses weapon autoswitch (out of ammo, pliers) [bug 1627]
	+ directional dlights (lightning) now properly lights twosided surfaces

---------------- BUILD 043 patch 2 - 2.20i (etmain)

02-04-2003
			Randy	<ydnar@splashdamage.com>
	+ Respawn lives no longer reset on team change [bug 471]
	+ Grenades bounce correctly (more or less) on movers now [bug 957]
	+ Grenades that hit movers have their bounce velocity cut in half (to help with above)
	+ Instantaneous velocity for most entities now calculated for every entity (gentity_t::instantVelocity)
	+ r_znear now defaults to 3 (instead of 4)
	+ renderer Z-near value now scaled by fov > 90, to fix leaning-see-thru-walls [bug 411]
	+ prone moving binocular reticle now draws properly [bug 839]
	
			Arnout <rr2do2@splashdamage.com>
	+ Added tristate checkboxes.
	+ Added support for multiple textlabels with checkboxes.
	+ Fixed hostgame gametype control causing map/campaignlist selection to go out of bounds on certain changes.
	+ Added profile renaming functionality. Right now only takes care of etconfig.cfg and servercache.dat in the profile dir.
	+ Adjusted skill point awards.
	+ ATVI Wolfenstein XP #1616 : Stopped drawing of crosshairclient healthbar for spectators.
	+ ATVI Wolfenstein XP #2215 : Fixed medic not getting 2 extra needles for skill level 2.
	+ Upped version number to ET 2.20i.

				TTimo <ttimo@idsoftware.com>
	+ Fix Linux build
	+ using Com_sprintf(target, sizeof(target), "<format string>", ... target ...) is not portable and should be avoided
		fixed two instances in cg_character.c
	+ cleanup, removed obsolete MAIN/
	+ added current Linux PB .so
	+ added etmain/mp_bin.pk3 - to be kept in sync with win32 and Linux versions of cgame and ui

			Gordon	<djbob@splashdamage.com>
	+ ATVI Tracker Bug [1761] Grenades of all types will now fly through the skybox
	+ ATVI Tracker Bug [1848] Satchel charges will no longer destroy friendly constructions
	+ ATVI Tracker Bug [1932] Fixed typo in stopwatch mode
	+ ATVI Tracker Bug [2012] Fixed landmines having collision even when invisible
	+ ATVI Tracker Bug [2015] Fixed fireteam invitation failing with dead player
	+ ATVI Tracker Bug [2016] Fixed fireteam application failing with dead fireteam leader
	+ ATVI Tracker Bug [2214] Fixed weapon charge times for covert ops satchell/smoke grenade for skills
	+ ATVI Tracker Bug [2220] Fixed soldier charge times for panzerfaust and mortar for skills
	+ ATVI Tracker Bug [2388] Fixed being able to get stats in LMS mode
	+ ATVI Tracker Bug [2659] Fixed being able to team chat as spectator
	+ ATVI Tracker Bug [XXXX] Fixed panzerfaust and mortar firing sequences being interupted by weapon changes
	+ ATVI Tracker Bug [XXXX] Fixed holding on to a grenade till it explodes not losing your ammo
	+ ATVI Tracker Bug [XXXX] Fixed binoculars not displaying zoomed state if cg_drawgun is set to 0
	+ ATVI Tracker Bug [XXXX] Fixed not getting steadying bonus when prone
	+ Added half knockback to landmine and satchel charge
	+ Fixed various display issues with medic health / crosshairclient health
	+ Fixed medics not being able to boost their health fully with medkits	
	+ misc other tracker bugs
	+ turned off cg_fastsolids till i fix it

---------------- BUILD 043 patch 1 - 2.20h (etmain)

01-04-2003
			Arnout <rr2do2@splashdamage.com>
	+ Changed campaign briefing ui component to work for MP campaigns.

---------------- BUILD 043 - 2.20g (etmain)
	
31-03-2003
			Randy	<ydnar@splashdamage.com>
	+ Flamethrower no longer fires from a dead/dying player [bug 471]
	
			Arnout <rr2do2@splashdamage.com>
	+ Made FG42 sway more.
	+ Dropped weapons now use the pickupmodel from the .weap file.
	+ Changed default resolution to 800x600.
	+ Made CL_PrintPacket properly disconnect the client when it gets an error message passed through it.
	+ Upped version number to ET 2.20g.
	+ Added misc_commandmap_marker entity.
	+ Added NULL colour code (^~) to return to the original source colour.
	+ Fixed say class function not working.
	+ Initial profile creation code.
	+ Animation fixes for M7/GPG40.
	+ Fixed several server browser bugs, added etmaster.idsoftware.com.
	+ Made Mobile MG42 just as accurate in prone as when crouched, unless the bipod is set, then it's more accurate.

			TTimo <ttimo@idsoftware.com>
	+ updated Linux build scripts
	+ fix files.c portability (file stat'ing FS_OSStatFile, Q_rmdir)

			Jason <rhea@OrangeSmoothie.org>
	+ Integration of MV option while in limbo
	+ Several small MV fixes
	+ added "mvactivate" command to enable/disable MV mode for your team while in
	  limbo, or for all players if you are a spec (will be a bind)
	+ New Player Stats overlay, accessible through +stats.  Its the first cut, so
	  still a couple loose ends to wrap up (i.e. not allowed for free-floaters,
	  fading effects, etc.)

			Gordon	<djbob@splashdamage.com>
	+ Fixed infinite loop with large popup messages if recieving large numbers at once
	+ Reworked tank to be less jittery
	+ Changed server stats on load menu as per paul's request
	+ Finished recolouring the debriefing screens
	+ Added kills/deaths to player list on debriefing
	+ Reworked team debriefing as per paul's requests
	+ Added filters to left hand side of limbo menu
	+ Changed the way disabled weapons work, they still show on ui, but with outofstock overlay
	+ Added selection of best secondary weapon when leveling up
	+ Added ability to select any of teh secondary weapons that you are currently skilled enough to use (server and client)
	+ Recoloured quickchat menu to be in line with frontend ui colours
	+ Added messagemode5 (say to fireteam)
	+ Updated fireteam overlay with mini rank names, player locations, and colours from frontend ui
	
30-03-2003
			Jason <rhea@OrangeSmoothie.org>
	+ Reused a couple of in-game binds for spec mode (displayed in help overlay)
	+ Updated font info for window overlays
	+ New gamestats viewable under +wstats.  Would like to change this to +stats,
	  but they are already taken.  Are these commands still used?
	+ Fixed swingcam if speccing self while in limbo.
	+ Fixed thirdperson viewing while in limbo.  This bug is from WolfMP :()

			Arnout <rr2do2@splashdamage.com>
	+ Fixed autowrapped textpainting in the UI.
	+ Rewrote most of the slidemove for prone.
	+ Rewrote prone logic to be much more robust.

			Gordon	<djbob@splashdamage.com>
	+ Removed key hint markers from hud
	+ Added large right hand side of hud popup messages
	+ Began recolouring the debrieing screens to be similar to the frontend ui colours
	+ Fixed solider menu on quickchat
	
29-03-2003
			Jason <rhea@OrangeSmoothie.org>
	+ Initial checkin of swingcam for use with following or multiview
	+ Couple init/formatting tweaks to multiview
	+ Help menu overlay while in multiview
	+ Fixed spec init bug when jumping to freefloat from follow

			Randy	<ydnar@splashdamage.com>
	+ Made blood splatters omnidirectional, now blood splashes on walls, floor, ceiling, etc

			Arnout	<rr2do2@splashdamage.com>
	+ Covert Ops doesn't lose his disguise anymore when firing a silenced weapon unseen.
	+ Added mortar impact hint / last fire direction markers to commandmap and hud.
	+ Changed M7/GPG40 to follow the alt-weapon == mount 1 grenade system.

			Gordon	<djbob@splashdamage.com>
	+ Added abilty for entity to choose which type of gun to be mounted on it
	+ Fixed commandmap indicators not getting correct icon setup if scipt was not setup with precise waits
	+ Reworked weapon restriction to actually work well for the ui
	
28-03-2003
			Arnout	<rr2do2@splashdamage.com>
	+ Changed dropweapon to 'exchange weapon with ground'.
	+ Made disguised covertops show up with name and rank of uniform stolen.
	+ Max of 6 active airstrike planes per team now.
	+ Changed mines have been reported in this area message to happen each every 20 seconds.
	+ Made g_synchronousclients and cg_nopredict cheat only.

			Randy	<ydnar@splashdamage.com>
	+ Dead/injured players should no longer clip into entities, due to corrected
	  corpse bounding box [bug 2462]
	+ Added server command /revive <player> to test reviving without 2 players
	
			Gordon	<djbob@splashdamage.com>
	+ Fixed cursor hints for constructibles not always displaying
	+ Added neutral objective text support
	+ Fixed client score parsing, and server score sending for large numbers of clients
	+ Moved class buttons around, added overlays etc
	+ Fixed all commandmap text using incorrect text positioning (using wrong font to calc width)
	+ Added icons get smaller as minimap is zoomed out
	+ Added team debriefing mockup
	
27-03-2003
			Randy	<ydnar@splashdamage.com>
	+ Yaw-lock on riding entities when using a set mortar or prone mobile MG42
	+ Added new ITEM_TYPE_TIMEOUT_COUNTER to UI
	+ Added counter to titlebar of video mode confirm dialog box

			Arnout	<rr2do2@splashdamage.com>
	+ Fixed mortar deployable underwater.
	+ Fixed weapons being changeable when manning a weapon.
	+ Changed r_lodCurveError check in LodErrorForVolume to make sure it never goes below 1.
	+ Fixed set mortar not auto-unsetting when out of ammo.
	+ Fixed cursorhints for normal func_explosives not showing anymore.
	+ Changed bot_enable default to 0.
	+ Heavy weapons level 3 award now has scale .75 instead of 1.
	+ Fixed knife decals not staying around for a while.
	+ Fixed skyportal fov with tank/aagun mounted players.
	+ New prone MG42 bipod code (uses altweapon).
	+ Helmet gives 20% headshot damage protection.
	+ Medic doesn't get points for reviving a player he killed.
	+ Made grenade kills count for light weapon skill.
	
			Gordon	<djbob@splashdamage.com>
	+ Fixed pins only displaying on loading screen in campaign mode
	+ Fixed Goldrush tank no longer being destoyed at map start
	+ Fixed health/ammo cabinets not distributing health properly, then reverted to original designed
	+ Removed various outdated script commands
	+ Fixed props (chairs for example) continually relinking themselves, causing unneccesarily high cpu usage
	+ Fixed all explosions being small and having wrong explosion audio
	+ Removed outdated weapon stats entries
	+ Added player debriefing mockup

26-03-2003
			Randy	<ydnar@splashdamage.com>
	+ Fixed I'm-A-Total-Moron bug in Release w/decals on entities (miscoloration)
	+ Nuked entities overriding player yaw when riding on entities (tank, train)
	  (allows players to aim properly when riding on ents)
	+ Changed Release .net project configs to copy to dir for testing

			Arnout	<rr2do2@splashdamage.com>
	+ Changed sten cool-down rate (from 300 to 450).
	+ Changed FG42 spread.
	+ FG42 now gets a bigger sway from shots.
	+ Made colt as acurate as the luger.
	+ Made rifles do more damage and be more accurate.
	+ Added mortar targetting aids.
	+ Script mover die fix for certain weapons.

			Gordon	<djbob@splashdamage.com>
	+ Added several text displays to the limbo menu left hand side ( server name, server settings, etc )
	+ Fixed various issues with mounted tank guns not attaching properly to a third party entity
	+ Changed weapon dropping to allow dropping of all "sensible" weapons (i.e. no dynamite... etc)
	+ Fixed picking up mortars not allowing you to deploy them
	+ Fixed even more issues with mounted guns on tank
	+ Fixed incorrect objective text displaying on limbo menu, when alternate team is selected once on a team

25-03-2003
			Arnout	<rr2do2@splashdamage.com>
	+ Reworked constructibles/explosives handling.
	+ Cleaned up isExplosive into one function ( G_WeaponIsExplosive ).
	+ Changed breakable sounds to support random files. Also, the soundhandling is now completely clientsided (for not forced sounds).

			Randy	<ydnar@splashdamage.com>
	+ Added new r_oldMode cvar
	+ Added 3 new ui script commands for preserving data (vidSave, vidReset, vidConfirm)
	+ Added resolution change confirmation to FUI
	+ Added vid_restart confirm back to FUI System menu
	+ Made CVS in-line with build 42+1 (etmain/ui/*)
	+ Added "onTimeout <N>" handler to UI scripting
	+ Added 15-second timeout to video mode confirm dialog box

			Gordon	<djbob@splashdamage.com>
	+ Fixed some issues with the weapon restriction displays on the limob menu (some things can still b0rk it, i know)
	+ Scaled down the player head on the hud
	+ Increased the size of the text buffer for popup messages (mainly for obituaries)
	+ Started adding new class buttons to limbo panel (still waiting on final art)
	+ Setup new quick chat menus
	+ Fixed misc. small bugs from tracker

24-03-2003
			Arnout	<rr2do2@splashdamage.com>
	+ New battle sense code.
	+ Fixed construction and destruction markers in PVS not line up with the non-pvs coordinates.
	+ Changed config to use etconfig.cfg, config name now defined through CONFIG_NAME.
	+ Fixed invert mouse not updating properly.
	+ Upped version number to ET 2.20g.

			Gordon	<djbob@splashdamage.com>
	+ Fixed flickering when fullscreen upon map load
	+ Removed forced not drawing of knife icon
	+ Added ability for mappers to setup a camera for the mission briefing
	+ Upped health given out by health cabinets to 20 (default)
	+ Added preliminary weapon limiting code, works fine aside from ui getting screwed up slightly (i.e. don't use it yet plz...)
	+ Fixed field ops not getting any ammo from ammo pack
	+ Fixed crash on forest relating to tank/dynamiting bridge
	+ Added weapon display to weapon cards

---------------- BUILD 042 - 2.20f (etmain)

22-03-2003
			Arnout	<fui@splashdamage.com>
	+ Fui here, fui there, fui fui everywhere!
	+ New way of rendering campaign shots in FUI (section of the map loading panel background, tc's from campaignscript).
	+ Upped version number to ET 2.20f.
	+ Added 'align' member to panel_button_text_t. Style hijacking caused conflicts.

21-03-2003
			Arnout	<rr2do2@splashdamage.com>
	+ Changed latched cvars to check their latched string as well before early-outting because of similar values (prevents r_mode 3;r_mode6;vid_restart setting 640x480 situations)
	+ Fixed tag loading not freeing memory.
	+ Removed MPlayer server browser support.
	+ Got rid of all demoloop stuff (wow.. so this engine IS quake 2 based :).
	+ Added support for directory deleting to filesystem. (FS_RemoveDir, with recursive and noemtpy options)
	+ Made list feeders capable of showing multiple images
	+ Changed way favourites work.
	+ Updated Text_Paint_Limit to use the new font code.
	+ Loads and lots and bits and bobs and more ui scripting.
	+ Skill point bonus changes.

			Gordon	<djbob@splashdamage.com>		
	+ Added landmine spotting to popup message system
	+ Added objective taken/returned to popup message system
	+ Added death messages to popup message system
	+ Adjusted size of weapon icon on hud
	+ Fixed client angles being changed when opening limbo menu
	+ Fiddled about with icons for popup messages
	+ Adjust objective/disguise placement on hud
	+ Added "Hint" buttons for limbomenu/expanded commandmap to hud
	+ Added max lives display to hud
	+ Added ability to cycle to mission briefing on limbo menu	
	+ Added second version of the script command wm_announce (wm_announce_icon) that allows selection of which popup icon to use

			Tony <tony@evenbalance.com>
	+ Added int getPbGuidAge() function call for UI integration
	+ Added new SERVERINFO/ARCHIVE/ROM server cvar called sv_minguidage for exporting server 'rules'

20-03-2003
			Arnout	<rr2do2@splashdamage.com>
	+ Changed r_overbrightbits default to 0.
	+ Reading of 'cvar' from itemDef now converts the cvar to lowercase, to ensure lowercase values for binding lookups.
	+ Fixed '/* */' style comment handling in COM_Compress.
	+ Removed COM_Compress step from LoadScriptFile in precompiler, as it's perfectly capable of dealing with comments itself.
	+ Fixed keyhandling for Bind items.

			Randy	<ydnar@splashdamage.com>
	+ Adjusted bulletmark radius down a bit to accomodate new mark shaders
	+ Mounted MG42, dynamic light when firing
	+ Bulletmark RGB now modulated by dotproduct of decal front cap plane, so metal bulletmarks
	  are scorches at shallow incident angles rather than big shiny globs
	+ Mounted MG42 tracers now originate from the muzzle rather than map origin [bug 2658]
	+ Flamethrower no longer fires when moving while prone [bug 472]

			Gordon	<djbob@splashdamage.com>
	+ Added backend for fading popup messages (deaths, server messages, dynamite planed, etc)
	+ Hooked up dynamiting, server messages, construction and kills to above system
	+ Added XP display to hud
	+ Removed construction/destruction fading icons from outer edge of compass
	+ Changed ammo/health racks to recharge at half rate, and only dispense max of 2 packs to a client per minute
	+ Changed display of stats on hud to use stars from limbo menu to be more consistant
	+ Changed text on hud to use new arial font
	+ Fixed limbo open key overriding edit box on limbo menu
	+ Made misc_beams solid

19-03-2003
			Arnout	<rr2do2@splashdamage.com>
	+ Fixed bug in precompiler with handling brackets in define parsing.
	+ Fixed rectangle calculation for items and windows in ui backend.
	+ Made text painted with cursor use the new font code.

			Randy	<ydnar@splashdamage.com>
	+ Changed renderer to supress color buffer clears and fogging when no world model is rendered (for HUD/limbo mojo for Gordon)
	+ Fixed Silly Bug in frontFace bitsetting in sort key construction
	+ Fixed bug in decal clipping on near-colinear edge cases
	
			TTimo <ttimo@idsoftware.com>
	+ Linux build:
		updated cons scripts (bg_sscript.c bg_stats.c and pb building - specially dedicated server build)
		removed dupe ltoa definition (to pbsv.h only)
		added DEDICATED guard to some pb/pbsv.cpp qcommon/cmd.c stuff
		fixed panel_button_{s,t} issue in ui_shared.h		

			Gordon	<djbob@splashdamage.com>
	+ Changed flags to scale from different position on commandmap
	+ Added "realistic" compass tracking, (doesnt snap instantly to angles, overshoots, etc...)
	+ Fixed tracking cams to follow script_movers properly
	+ Changed client to poll server for objective cam until it recieves the currently selected one (solves issues with flood protect kicking in)
	+ Added old health/stamina/power bars back
	+ Re-wrote forest tank script, and added script command that allows better dynamite tracking from scripts
	+ Changed movers on command map to move smoothly if entity is in client's PVS
	+ Added head display to hud, and made him "look around", until i get proper animations
	+ Fixed various cases where weapon stats would not update on limbo menu when appropriate buttons were pressed

18-03-2003
			Randy	<ydnar@splashdamage.com>
	+ Added spawnserver command + client-side player freeze/fadeout when server switches maps
	  (instead of connection interrupted message) [bug 267]
	+ Changed SV_FinalMessage to SV_FinalCommand for last-ditch guaranteed broadcast commands
	+ Fixed decal ST coord drift bug
	+ Fixed bug in implicitMask where shader stages were set up incorrectly. This fixes the
	  bug in mp_siwa where the rugs appeared fullbright [bug 2540]
	+ Added front/backface bit to surface sort num, fixes numerous windowpane flicker/sort errors

			Arnout	<rr2do2@splashdamage.com>
	+ Made ESC function as OK in the speaker edited (by request from Tim).
	+ Latched, tracked server cvars will not broadcast changes anymore.
	+ Changed objectiveicon in a sprite (was a model for some stupid reason).
	+ Made floaticons offset downwards when player is crouched.
	+ Revived sound streaming code. Background music when loading maps babeh!!
	+ Disabled sound streaming code again until I can figure out what causes the crackling of looped sounds.

			Gordon	<djbob@splashdamage.com>
	+ Added ability to draw arbitrary 2d polies from client/ui
	+ Finished off load screen, and updated campaign scripts with locations for pins, (still need to add proper ones for central europe campaign)
	+ Removed lights from class selection on limbo menu
	+ Changed head position on limbo menu
	+ Adjusted max speeds of some rollers on limbo menu
	+ Fixed spawnpoint selection on commanmap being "off"
	+ Increased size of construction/destruction images on commandmap
	+ Changed flags to always draw over everything else on commandmap
	+ Fixed players occaisionally not being able to mount mounted tank guns
	+ Fixed issue with getting off a mounted gun that would send player to "random" location in the map

17-03-2003
			Arnout	<rr2do2@splashdamage.com>
	+ Finished speaker editor code (for now).
	+ Fixed keybinding hashes not being generated from lowercase bind.

---------------- BUILD 041 patch 2 - 2.20e (etmain)

17-03-2003
			Arnout	<rr2do2@splashdamage.com>
	+ Even more speaker editor code.
	+ Fixed only being given skillpoints for every Nth picked up ammo pack (or health pack).
	
			Gordon	<djbob@splashdamage.com>
	+ Moved new widget handling to ui_shared so ui can access it too
		- Updated menus to all use new courier style font for now
	+ Begun work on new loading screen
	+ Fixes for weapon selection and camera moving when on tank
			
---------------- BUILD 041 patch 1 - 2.20e (etmain)

16-03-2003
			Arnout	<rr2do2@splashdamage.com>
	+ Fixed misc_gamemodels not showing.
	+ More speaker editor code.
	+ Made edit/text boxes in new UI code width aware.
	+ Added support for non-cvar text sources for new style edit/text boxes.

			Gordon	<djbob@splashdamage.com>
	+ Fixed camera view in limbo menu not drawing at the correct size
	+ Added "hum" to limbo menu lights
	+ Resized some limbo menu components
	+ Cleared out some old ui limbo stuff / client old menu stuff
	+ Added spawnpoint drawing to compass and popout map
			
---------------- BUILD 041 - 2.20e (etmain)

15-03-2003
			Arnout	<rr2do2@splashdamage.com>
	+ Start of ingame speaker script editor.
	+ Upped version number to ET 2.20e.
			
14-03-2003
			Arnout	<rr2do2@splashdamage.com>
	+ Server and clientsided speaker scripts.
	+ Prone animations for alt weapon switch and akimbo fire.
			
			Randy	<ydnar@splashdamage.com>
	+ Fixed additional leafbrush allocation The Right Way
	+ changed default CG_ProcessEntity() processing to do a range check before erroring out
	+ VC6 Debug/Release project fixes
	
			Gordon	<djbob@splashdamage.com>
	+ Added new server flags for entities to enable client views outside of PVS, whilst keeping the entity there 
		- flags allow the normal pvs to be added/not added as required
	+ Seperated class/team/weapon selection out to seperate client commands and updated server to handle this
	+ Fixed static misc_gamemodel count not being reset on the client, leading to eventual overflow error
	+ Fixed spawn flag positions not being parsed under certain circumstances
	+ Fixed text highlights on commandmap being rendered under other items
	+ Removed yellow highlighting of current spawn/main objective per Richard's request
	+ Added edit control support for name selection
	+ Added new cursor for limbo menu, with light-up when over clickable components
	+ Updated commandmap with new icons, and adjusted scaling of spawn points
	+ Added X of Y text to weapon popups
	+ Added fade inlays to commandmap and weapon popup
	+ Fixed being unable to select spawn from commandmap
	+ Added OK/Cancel button
	
13-03-2003
			Arnout	<rr2do2@splashdamage.com>
	+ Medic and Field Ops now get 2 grenades on spawn.
	+ Added prone altweapon switch animations.
	
			Randy	<ydnar@splashdamage.com>
	+ Fixed bug causing waterlogged constructibles on mp_seawall (and found some other oddities along the way)

			Gordon	<djbob@splashdamage.com>
	 + Fixed various issues with rolling counter wrap-around
		- Banged head off desk several times....
	 + Added lights to right hand panel
	 + Added map time left counter
	 + Fixed issues with weapon popup control not keeping track of weapon properly when switching class
	 + Added objective panel to limbo menu and scroll tabs
	 + Added commandmap display to left panel
	 + Added camera view to left panel
	 + Changed various displays to work with currently selected values (team, class, etc) as opposed to currently SET values
	 
12-03-2003
			Gordon	<djbob@splashdamage.com>
	+ Fixed font rendering to use font prestep (as per Arnout's fix to q3font)
	+ Changed font rendering to use font name as well as size as part of the filename it looks for
		- updated code + all menus to use this
	+ Changed counter control to support a more generic layout
		- custom number of rollers
		- custom number of items per roller
		- custom speed of rolling
		- ability to force instant change on certain roll direction/opening menu
	+ Changed missing image texture to orange/black as it's far far easier to see
	+ Moved some stateless stats code from osp over to bg
	+ Fixed various stats missing weapons/incorrect matching of garand/carbine etc
	+ Added player head display to right panel
		- NOTE: fog is STILL being drawn behind the view (will NEED to be sorted for the hud randy...), just drawing a black quad behind the head atm
	+ Created various extended text functions to take a fontInfo_t pointer, instead of assuming default font sets depending on size
		
11-03-2003
			Arnout	<rr2do2@splashdamage.com>
	+ Another attempt at fixing Mouse4 and Mouse5.
	+ ATVI Wolfenstein XP #2367, fixed g_synchronousClients 1 crash.
	+ Deleted last instance of 'g_syncronousclients' (bad spelling).

			Gordon	<djbob@splashdamage.com>
	+ Finished off most of the backend work for the new ui stuff
	+ Added basic rolling counter controls
	+ Added stats counters
	+ Added skill counters
	+ Added weapon popup area
	+ Added weapon stats counters
	+ Added weapon 1/2 button selector
	+ Added left panel framework
	+ Added various text on both panels
	+ Added medal area
	+ Added storing of total XP of client in playerstate
		- STAT_XP in stats[]
	+ Added respawn counter
			
10-03-2003
			Gordon	<djbob@splashdamage.com>
	+ Added info_limbo_camera entity
	+ Added new camera positioning for limbo menu
	+ Added skeleton framework for new ui backend for limbomenu (+ other new menus)
			
---------------- BUILD 040 patch 5 - 2.20d (etmain)

11-03-2003
			Arnout	<rr2do2@splashdamage.com>
	+ Added skill debugger, g_debugSkills 1 adds text printing to clients, g_debugSkills 2 adds logging as well. Clients need cg_debugSkills 1 to see the messages.
	+ Fixed sound memory reporting.
	+ Give skill quickfix (couldn't give battle sense only).
	+ Removed need of 2 full powerbars for constructing stages.
	+ Added better error reporting for unsupported sound formats.
	+ Merging in 1.32->1.41 fixes:
		- MG42 bullet event bug
		- ATVI Wolfenstein Misc #479, initial fix to #270 would crash in g_synchronousClients 1 situation
		- ATVI Wolfenstein Misc #472, bumped from -4 to cover gun clipping issue
		- ATVI Wolfenstein Misc #470, mount hint conditions only, if busted MG42, no check
		- ATVI Wolfenstein Misc #433
	+ Bot thinking is now only done if bot_enable is set to 1.
	+ Upped version number to ET 2.20d.
		
	
			TTimo <ttimo@idsoftware.com>
	+ Sanitary rebuild on Linux. Updated the build scripts, tweaked syntax stuff to keep gcc happy
	+ bad usage of myftol. is only available from tr_local.h / renderer code
		switched back to (int) conversion in bg_tracemap.c and be_aas_route.c
	+ strlwr -> Q_strlwr
	
---------------- BUILD 040 patch 3 - 2.20c (etmain)

07-03-2003
			Randy	<ydnar@splashdamage.com>
	+ Updated the rest of the code using marks to new decal code
	+ Made large explosion marks use 3x cg_markTime instead of a constant 60 seconds
	+ Minor change to decal/mark API: lifeTime < 0 for temp mark, lifeTime = 0 for no mark
	+ Added trap_R_ClearDecals() call for map_restart
	
			Arnout	<rr2do2@splashdamage.com>
	+ Upped version number to ET 2.20c.

			Gordon	<djbob@splashdamage.com>
	+ Added script command "kill", acts the same as a target_kill entity would.
	+ Removed some old and redundant script commands
	+ Fixed target_kill/kill script command not being able to damage explosive only script_movers
	
06-03-2003
			Arnout	<rr2do2@splashdamage.com>
	+ Fixed colour of smoke marker trails for everything now.
	+ Decay is back, but now it's insta-decay after 30 seconds not being touched.
	+ Fixed adrenaline syringe not having it's media registered.
	+ Fixed Allied team not winning LMS in certain situations.

			Randy	<ydnar@splashdamage.com>
	+ Fixed crash bug with lots of dlights + decals + bmodel entities (mp_seawall airstrike above ramp c.p.)
	
			Gordon	<djbob@splashdamage.com>
	+ Removed lots of LittleFloat/LittleLongs from Sfx resampling on long, speeding up sound loading by 1.5-2x
	+ Changed engine to use Q_Fabs instead of fabs for various speedups all over the place, patch loading notibly
	+ Fixed tracers from mounted mg42 not coming from gun
	+ Fixed mounted mg42 gun ring not animating with the tank it was attached to
	+ Fixed vertical range locking on mounted mg42 not adjusting with the pitching of the tank
		- The range for this is still rather large, certainly for the 3rd person view...
	+ Fixed "You are near XXX" messages being broken randomly as the lookup function used to get the model for the trigger was wrong.
	+ Changed clearing of poly buses to NOT set the numindicies and numvertices, they will be set when grabbed from being free
		- This should cause a little speedup, looks like it was causing cache misses, due to the huge arrays it was walking.
	
05-03-2003
			Randy	<ydnar@splashdamage.com>
	+ New omnidirectional decal projectors for explosions (grenade, panzerfaust, dynamite, etc)
	+ Increased radius of explosion marks
	+ New player shadow code
	+ New bullet mark projection code
	+ Better decals/marks on patches
	
			Arnout	<rr2do2@splashdamage.com>
	+ Tracker #1359: Thompson and MP40 now both have the same spread.
	+ Fixed tank mounted gun not showing in thirdperson rendering.
	+ Fixed tank mounted gun not using the 'use MP40 effects' hack.
	+ Mounted MG42's now show the bipod MG42 icon on the hud.
	+ When unmounting a tank, the code now test all 4 sides before letting the player out.
	+ Fixed cg_thirdperson viewing of tank mounted players.
	+ Tank mounted MG42's now use the proper Fire_Lead.
	+ Fixed mouse4 and mouse5 input.

04-03-2003
			Randy	<ydnar@splashdamage.com>
	+ New decal code
	
			Ryan <ryan@gmistudios.com>
	+ Fixed bot aim/accuracy to 0.65 when using mounted mg42, less lethal and also helps them hit moving targets since it's fuzzy
	+ Bots allowed to switch to fight mode when enemy sighted while defending
	+ Fixed bots incorrectly adjusting view for upright mobile mg42 kick when using mounted mg42
	+ Fixed AAS not using team doors to block routes for other team (NOTE: not tested)
	+ Fixed several AI node loops (too many AI nodes warning)
	+ Let engineers build from 1/4 power, instead of forcing to wait until full
	+ Optimization, process bot movements immediately after botAI, helps spread out client movements on listen server
	+ Better MobileMG42 use (especially on defense)
	+ Optimization, better bot think dispersal
	+ Increased priority of mg42 for soldier/medic/fieldops since no-one uses them in mp_forest on the axis side
	+ Huge optimization to bot thinks, prevent bots from thinking more often than they actually move
	+ Fixed descend ladder movement bug
	+ Fixed BotSuggestWeapon() mg42 nest clearing so that it wouldn't actually reduce the number of soldiers requested
	+ Fixed bug BotSuggestClass() which would cause bots to always think they needed to clear nests
	+ Fixed similar bug in BotSuggestWeapon()
	+ Fixed bug in BotBestFightWeapon() which would cause bots to not factor the weapon ranges into consideration
	+ Fixed Retreat from battle so it looks for a new goal, rather than doing nothing
	+ Removed unnecessary autonomy checks from MP code
	+ Fixed BotGetTargetDynamite() so it doesnt return unarmed dynamite
	+ Engineers only look to blow things up if dynamite is charged

03-03-2003
			Gordon	<djbob@splashdamage.com>
	+ Fixed client parsing of team-info
	+ Removed redundant dmflags/fraglimit/teamflags/captuelimit vars client side, and cleaned up all references to dmflags
	+ Removed various unused SP stuff
	+ Fixed Infinite loop in dynamite target lookup for bots
	+ Added debug only printout of images that aren't ^2
	+ Fixed bots after avoiding being squashed inside a construction never moving again as it kept trying to avoid the construction
	+ Updated weapon selection for attacking grenading(panzerfaust etc..) constructibles
	+ fixed script priority for func_explosives not working properly (was using the toi, not the explosive)
	

---------------- BUILD 040 - 2.20b (etmain)

28-02-2003
			Arnout	<rr2do2@splashdamage.com>
	+ Moved .weap files to /weapons.
	+ Made alliedSkin/axisSkin work for disguises.
	+ BG_LoadTracemap now only uses a quarter of the fs_read's it was using originally.
	+ Removed locations, replaced by grid coordinate system (use BG_GetLocationString to get a location string).
	+ Removed swap out model.
	+ Removed skeletal third person model.
	+ Added skin support for the main weapon models.
	+ Medals are now given per team.
	+ Fixed infinite loop in G_AddBot.
	+ Fixed landmine smoke colour.
	+ Upped version number to ET 2.20b.

			Gordon	<djbob@splashdamage.com>
	+ Started bot Node for mine scanning
	+ Added bot_landminespot_spot entity
	+ Created G_FindByTargetname for faster targetname lookups (targetnamehash stored on entities)
	+ Removed various SP script commands, and associated variables from botstate
	+ Added ammo check to bot reviving check
	+ Changed sounds for ammo richochet/brass bounce sounds to be lower
	+ Changed info_null entities to stick around for a few frames if they have a targetname
	+ Fixed some issues with BotChooseWeapon which would cause stupid idle weapons to be chosen
	+ Fixed G_FindLandmine using WP_SMOKE_BOMB, d'oh
	+ Added a forced reset of BotDangerousGoal when a bot finds a mine planted near him whilst planting mines (i.e. he's planted it), so he should run away
	
27-02-2003
			Arnout	<rr2do2@splashdamage.com>
	+ Updated sound/multiplayer/axis and allies paths to the new sound/chat path.
	+ Field Ops no longer gets WP_ARTY.
	+ Changed weapon media registration to use .weap files.

			Gordon	<djbob@splashdamage.com>
	+ Made bots only go for constructions if their charge bar is at least half full
	+ Added abilty to grab a keynum from binding string (MUST be lower case) quickly
		- Current system was a mess, and horribly slow, now, hash stored per key when binding changed for fast lookup
	+ Cleaned up danger area finding code to stop doing 70squillion string compares, and added checking for being in a construction zone
		- Landmine avoidance is there, need to check it tommorow
	+ Changed the panzertarget AI Node to check the player can actaully fire the panzerfaust (i.e. has ammo etc), not just that he has one
	+ Added forced delay to sniper rifle firing on bots, and changed their reloading to only reload if they haven't fired for a longer time than before
	+ Stopped AI Defend Node doing lots of string compares
	+ Added accuracy modifier for prone mg42 bots
	+ Created a bunch of utility funcs to quickly find missiles (dynamite, landmines, smoke_bombs), that do NO STRING COMPARES
	+ Fixed bot flag carrying check to actually check both flag types, not the red flag twice o_O
	+ Fixed bug that would cause bot to check the wrong team for engineer required check (if just joined)
	+ Changed engineer check to force two engineers early on
	+ Fixed bug that would cause bot to suicide to become an engineer, even though he already was one
	+ Removed 3 sqrts from cg_particles.
	+ Fixed bug that was causing some constructions to not gib the player or give a warning that you are in the construction area
			
26-02-2003
			Randy	<ydnar@splashdamage.com>
	+ Added dlights to grenade, mortar, panzerfaust, dynamite and airstrike explosions
	
			Arnout	<rr2do2@splashdamage.com>
	+ Removed weapon poses from weaponinfo (they weren't used anyway).
	+ Removed weaponMidpoint from weaponinfo.
	+ Removed trailradius from weaponinfo.
	+ Removed wiTrailTime from weaponinfo.
	+ Removed playerscale support from .skin files.
	+ Removed non .skin loading registerskin.
	+ Added a hash to skin surface names for faster lookups.

			Gordon	<djbob@splashdamage.com>
	+ Fixed sniper bots never leaving a spot once they get to it
	+ Removed all of ai_dmgoal_sp.c
	+ Cleaned up finding of "nearby bot goals" to stop it doing 70squillion string compares..... *sigh*
	+ Cleaned up clientneedsammo to just use BG_MagicAmmo with 0 clips check
	+ Changed medic reviving code to crouch again, they hit the player far more accurately this way
		- Haven't seen any of the old weirdness since i added this
	+ Added check for bots using smoke marker, so they should only use it out in the open, (needs tracemap), apply to artillery too?
	
25-02-2003
			Randy	<ydnar@splashdamage.com>
	+ Optimized MD3 and MDC vertex normal lerping code
	+ Fixed hard-coded functable assumptions in MD3/MDC normal code to use #defined constants
	+ Fixed warning in tr_light.c with int-byte ptr cast
	
			Ryan <ryan@gmistudios.com>
	+ Force weapon delay to K43/Garand for bots
	+ BotCheckNeedEngineer() only returns true if there are no engineers at all
	+ removed aiTeam specifier from mg42 selection. selection is now only filtered by setbotgoalstate
	+ If firing is unsafe, exit Battle_Fight mode
	+ Bots keep looking for better goals while travelling towards an mg42
	+ Changed new goal selection so that it does it all in one pass
	+ Changed new goal selection so an already existing goal can be overridden by a another goal found after the existing goal

			Arnout	<rr2do2@splashdamage.com>
	+ Fixed GPG40 and M7 being able to shoot even when the powerbar doesn't allow it.
	+ Made g_userTimeLimit work properly for LMS. If set, it can override the round timelimit for LMS. Any values lower than 3 get rounded up to 3.
	+ Added g_lms_lockTeams. When set to 1, disallows teamswitching/joining when a LMS game is going on (does allow for joining in warmup mode between rounds).
	+ Added g_lms_followTeamOnly. When set to 1, only allows spectating of a person if you're on the same team as them or if you got an invitation to spectate a team.
	+ Removed BJ animated head.
	+ Removed BJ attributes setting.
	+ Removed offscreen commander.
	+ Disabled cg_drawRoundTimer stuff for SP and remove the script command that allowed you to set it.
	+ Deleted g_tramcar.c.
	+ Deleted screen_fade.
	+ Deleted plane_waypoint.
	+ Deleted func_tramcar.
	+ Deleted func_train_particles.
	
			Gordon	<djbob@splashdamage.com>
	+ Changed bot goal checking to check class priority OVER script priority, so bots follow appropriate class goals.
	+ Inreased time ranges for bots giving ammo/health, and removed the distance check
	+ Disabled "only at beginning of map" check in panzer v. (unmanned) mg42 mests, and fixed attacking them when not constructed
		- Will only attack if the mg42 is ai enabled for the other team
		- Will only attack if not destroyed
	+ Rewrote BotGetTargetExplosives to be clenaer/fast and removed the hack for finding dynamite (moved out to BotGetTargetDynamite)
	+ Added utility funcs for checking construction status/landmine states easily
	+ Added a few new bot profiling functions (bot_profile 3, 4, 5)
	+ Fixed number of players assigned to a botgoal not being inited in bot goal finding
	+ Added check for panzerfaust target being too near a bunch of friendlys => dont fire (need to check this)
	+ Fixed BotIsConstructible, wasnt checking dual construction/other things properly

24-02-2003
			Randy	<ydnar@splashdamage.com>
	+ Optimized MDM skeleton setup approx +50%
		+ removed two per-bone, per-surface sqrts
		+ decompression/lerp code in integer, using sin/cos lookup table
		+ misc inlines
	+ Expanded functable size to 12 bits from 10

			Gordon	<djbob@splashdamage.com>
	+ Updated various sniper related bot checks to deal with new weapon loadouts
	+ Reworked new goal selection code to take ranges of other bots from target into account
		- Also now returns qfalse on smae goal found, as the old system did, rather than the qtrue it was returning
	+ Fixed bug in BotNumTeamMatesWithTargetAndCloser using i instead of j as index var
	+ Removed a few more sqrts here and there
	+ Changed Mobile MG42 AI Node to be more lenient about being attacked and getting back up
	+ Fixed sniper spots prone spawnflag not working

			Arnout	<rr2do2@splashdamage.com>
	+ Added ERR_VID_FATAL that works the same as ERR_FATAL, but it doesn't delete the profile.pid.
	+ Renamed g_teamForceBalanceLMS to g_lms_teamForceBalance.
	+ Added g_lms_roundlimit and g_lms_matchlimit.
	+ Fixed map roulation for LMS.

23-02-2003
			Gordon	<djbob@splashdamage.com>
	+ Implemented new bot goal selection system
	+ Fixed bug in old and new system which would only allow one team to select a dual construction as a valid goal
	+ Removed a few hundred un-needed square root calcs all over the code (ai code for the main part), there are likely still more that can be removed
	+ Added etypes to sniper spots and landmine hints, and added these to the setbotgoalstate filter

22-02-2003
			Ryan <ryan@gmistudios.com>
	+ If no weapon with capable range is found for an enemy, the weapon with furthest range is selected
	+ Cleaned up mp_forest script, removed unnecessary setbotgoalstate's
	+ Made front/rear dump a goal even after built for Axis, otherwise they wont try to defuse dynamite placed on them
	+ Fast out of BotBestTargetWeapon() if the player has none of the valid weapons
	+ Added bot_profile. Gives timing information for botThink process. Values include: EmergencyGoals, FindGoals & BotFindEnemy.
	+ Fixed Bridge destruction not blocking paths. Hard coded first level of destruction of a constructible to disable paths. Needs scripted interface for complete solution.
	+ Bots will only use cached previous successful BotCheckAttack() if it was using the same weapon, and enemy
	+ Bots wont enter BattleFight mode until the enemy is within range of the current weapon
	+ Bots will abort BattleFight mode if the enemy goes outside range
	+ No Attack Movement if bot is in the air
	+ Lowered BotMP_FindGoal() frequency to 1600ms
	+ Removed scripted commands from bot goals
	+ Created BotNumTeamMatesWithTargetAndCloser(), to improve bot prioritization according to position

---------------- BUILD 039 patch 1 - 2.20a (etmain)

21-02-2003
			Arnout	<rr2do2@splashdamage.com>
	+ Fixed crash related to BotNumTeamMatesWithTarget. numplayers was increased even if the list was full, causing the list to go out of bounds.	
	+ Reworked BotNumTeamMatesWithTarget for performance reasons.
	+ Cleaned BotNumTeamMates and fixed crash in it.
	+ Cleaned BotNumTeamMatesWithTargetByClass and fixed crash in it.
	+ Removed SetSkillLevel scripting.
	+ Removed temporary SP backwards compatibility that converts old-style model/skin parameters for addbot into characters.
	+ Fixed medic spawning ammo. (Allies only got ammo, no start clip.)
	+ Fixed G_AddBot so it doesn't add a bot to a team even though connecting the bot to the server failed.
	+ Fixed revives in MP not using any syringes.
	+ Fixed identclient not being passed on to engine properly through trap_SetUserCmdValue.
	+ Changed profiles so it clears the name before creating the directory. cl_profile contains the directoryname, ui_profile the actual name that is stored in profiles.dat.
	+ On creation of a new profile, player name now automatically gets set to the profile name.
	+ Tracker #1920: fixed swapping free spectator/following crash.
	+ Fixed some undressed corpse code both client sided and server sided.
	+ Upped version number to ET 2.20a.
	+ Reworked BotCheckNeedEngineer. Still needs quite a bit of work though.
	+ Made ignoreBuilt in BotGetConstructibles actually do something.
			
			Ryan <ryan@gmistudios.com>
	+ Fixed bots thinking they can get ammo from trigger_ammo when they cant
	+ Fixed bots running into tank in order to move it, now will move just close enough to trigger it
	+ Bots will dismount mg42 immediately when it is disabled in scripting
	+ Fixed bots having trouble mounting mg42 on tower
	+ Improved dynamite targetting system
	+ Special handling for mobile mg42 prone mode
	+ Updated targetting to include all scoped weapons
	+ Scripting now uses TOI's to decide whether a constructible/explosive target is dynamite-able
	+ Fixed bug where lots of bots will suicide when an engineer is needed
	+ Improved DirectMove movement when approaching target
	+ BotFindEnemyMP() returns the closest enemy
	+ Bots using MG42 will target closest enemy that is within MG42 varc/harc
	+ Fixed weapon indexes in botfiles/inv.h, helps panzer danger checking
	+ Raised visibility check when sighting players mounted on mg42
	+ Added bot_attractor entity, use to give bots another goal, when there may be a lack of goals available
	+ Fixed current bot goal being overwritten by a failed goal check
	+ Fixed crash in BotGetTargetExplosives()
	+ Fixed some ladder movement cases
	+ Increased maxareas in BotReachableBBoxAreaNum() from 32 -> 64
	+ Added Smoke Bomb to BotWeaponCharged()
	+ Bots will ignore _certain_ weapons if the enemy is outside their usable range
	+ Bots wont use certain weapons if the enemy is too close
	+ Bots only use scope if they aren't moving
	+ Added safety prediction to BotAttAttackMove() (barbed wire, falling off ledges, etc)
	+ Removed CONTENTS_CORPSE from enemy visible test
	+ Some house cleaning and tweaks to BotFindEnemyMP()
	+ Bots aim slightly downwards when using mobile MG42
	+ Added more non-moving weapons to the BotMoveWhileFiring() list
	+ Bots will use binoculars to call artillery strikes on script_mover's (eg, tanks)
	+ Added botgoalstate support for BotGetTargetExplosives()
	+ Removed MORTAR support from Bots, they simply wont select it
	+ Tweaked AAS jump movement code
	+ Added more details for listbotgoals command
	+ Fixed bot_enable not defaulting to 1

			Gordon	<djbob@splashdamage.com>
	+ Changed script_mover attack to higher priority
	+ Reverted change to require toi's to be ai enabled to be the entity itself
	+ Split dynamite targeting for explosives/constructibles
	+ Removed toi bot clustering
	+ Sped up various functions by removing the need for lots of square root calculations
	+ Fixed sniper spot handling by updating for new scoped weapons
	+ Made bots less likely to use mobile mg42 whilst moving
	+ Adjusted client sorting for enemy finding for bots to take into account the special panzer v. mg42 case
	+ Added free function for entities, which will be called for entities before they are freed
	+ Added dynamite free function to make sure "defused" event is triggered for dynamite if it is removed for any reason other than an explosion
	+ Changed construction goal finding to go to a construction if 
		a) first pass, only if no-one else is going for it, 
		b) second pass, only if 1 other person is going for it, otherwise ignore totally
		- NOTE: will rewrite the goal finding totally tommorow, to be a much cleaner class-based prioritised list of options which will be selected from appropriately
	+ Changed bspc to ignore trigger_hurts, they were screwing up the aas on forest
	
20-02-2003
			Arnout	<rr2do2@splashdamage.com>
	+ Made CG_FindArenaInfo, CG_FindCurrentCampaignInFile, G_LoadCampaignsFromFile and UI_LoadCampaignsFromFile always close filehandles.
	+ If an entity gets stuck in another entity that is switching to default state, it now gets dealt with (gib/void/return/whatever).
	+ Corrected WP_BEGINSECONDARY and WP_LASTSECONDARY.
	+ Removed WP_MAUSER and WP_SNIPERRIFLE (botcode will need updating).
	+ Removed WP_BAR.
	+ Removed WP_SINGLE_PLAYER_MEDKIT and WP_SINGLE_PLAYER_AMMO.
	+ Some cleaning in ammo cabinet code.
	+ Removed WP_TESLA.
	+ Removed speargun MODs.
	+ Removed WP_GAUNTLET.
	+ Removed WP_DYNAMITE2.
	+ Removed WP_SNIPER and shooter_sniper entity.
	+ Removed WP_ROCKET_LAUNCHER.
	+ Removed SP entries from weapon spread function.
	+ Removed WP_VENOM and WP_VENOM_FULL.
	+ Removed WP_PRONE_HANDS.
	+ Removed damageRatio and damageDealtRatio.
	
			Gordon	<djbob@splashdamage.com>
	+ Cleaned up dynamitable target lookups for bots to be consistant with current spawnflags etc
	+ Cleaned up bot weapon selection (per class), to be consistant with new weapon loadouts
	+ Filled in missing entries in bot weapon selection priority lookup/fixed some fall throughs that shouldn't have existed
	+ Added filter to setbotgoalstate to stop things we dont want showing up on listbotgoals
	+ Fixed setwolfspawnweapons allowing the field ops to select weapons they shouldn't have
	+ Fixed bots not being able to choose objects to dynamite
		- tweaked code for area to travel to to destroy object, now goes to closest area rather than centre of object
	+ Tweaked bot class/weapon selction when team is being attacked by mg42 towers (more likely to go soldier/panzer)
	+ Tweaked bot's enemy finding for bot with panzerfaust v. mg42 mounted client
			
19-02-2003
			Arnout	<rr2do2@splashdamage.com>
	+ Disabled savegame support by default, can be enabled by defining SAVEGAME_SUPPORT in bg_public.h.
	+ Removed bot script triggers.
	+ Added silenced pistols to weaponbank 2 so pressing '2' (default key) over and over attaches/detaches the silencer.
	+ Exposed FS_Delete to cgame.
	+ Allowed FS_Delete to delete from profiles directory as well.
	+ Added potential profile corruption detection. On loading of a profile.pid file is created. This is deleted when the game properly exits. If it's still there on gamestart, don't exec wolfconfig_mp.cfg. (non-debug build only)
	+ Fixed bug where a client that was using a MG42 died and didn't transfer the current weapon heat to the weapon.

			Gordon	<djbob@splashdamage.com>
	+ Fixed botgoalstates not being initialized
	+ Fixed bots not finding construction/destruction of func_constructible goals properly
	+ Added debug command (listbotgoals) to list goals for bots on axis/allies
	+ Fixed enforcing of only field ops being able to fire with the binoculars
	+ Cleaned up spawning function, and removed initial spawns/alt ctf spawns
		- stub spawn functions left in to print warnings to remove them from maps
	
18-02-2003
			Arnout	<rr2do2@splashdamage.com>
	+ Cleaned up SetWolfSpawnWeapons.
	+ Fixed automap dimensions.
	+ Fixed smoke trail colour for airstrike/artillery.
	+ Cleaned up g_combat.c
	+ Fixed landmine/dynamite getting stuck in wall after dropping.

			Gordon	<djbob@splashdamage.com>
	+ Cleaned out the last of the MISSIONPACK defines
	+ Removed all TEAMARENA defines
	+ Merged Ryan's changes
		- Added script command to set goal weightings
		- Fixed ai having trouble navigating ladders
		- Fixed other ai pathing issues
	+ Set up bot weapon ranges
	+ Changed enemy finding to include fallen enemy not yet in limbo
	+ Cleaned up MP ammotable with tk
			
			Randy <ydnar@splashdamage.com>
	+ Added 2 more supported blendFuncs to fog fading

17-02-2003
			Arnout	<rr2do2@splashdamage.com>
	+ Removed stealthfactor.
	+ Removed SP characters.
	+ Cleaned up bg_playerclass.
	+ Removed SP code from commandmap.

			Gordon	<djbob@splashdamage.com>
	+ Made botstates static
	+ Checked in some of ryan's bot behaviour changes
	+ Removed SP ammotable
	+ Cleaned up BG_AddMagicAmmo
	+ Begun the horrible task of removing all MISSIONPACK #defines
	
---------------- BUILD 039 - 2.10k (etmain)

14-02-2003
			Arnout	<rr2do2@splashdamage.com>
	+ Doubled spectator moving speed.
	+ Made noclip cheat work for spectators.
	+ Removed 'remapshader' as valid ui command.
	+ Upped version number to ET 2.10k.

13-02-2003
			Arnout	<rr2do2@splashdamage.com>
	+ Added weapon2 fire event for animation scripts.
	+ Changed construction so it only takes power away from your powerbar when it actually uses it.

12-02-2003
			Arnout	<rr2do2@splashdamage.com>
	+ Added base 3rd person akimbo weapons code.

			Gordon	<djbob@splashdamage.com>
	+ Changed EF_TAGCONNECT to EF_MOUNTEDTANK for clarity (it's just #define EF_TAGCONNECT EF_MOUNTEDTANK)
	+ Removed mpSetup from userCmd struct
	+ Optimized tagconnects client side (pre-parsing of CS_TAGCONNECTS, rather than on the fly all the time)
		- started adjusting tank code to take advantage of this
	+ Fixed (hopefully once and for all) post CM_LoadMap crash in bspc

11-02-2003
			Arnout	<rr2do2@splashdamage.com>
	+ Fixed 0-pointer to character crash.
	+ Force clients that connect firsttime to spectator in clientconnect, this fixes ghost clients standing around while a player is reconnecting.
	+ Fixed akimbo pistol crash.
	
10-02-2003
			Gordon <djbob@splashdamage.com>
	+ Fixed bug in CanDamage which was assuming all bmodels had b0rked origins, rather than checking if they were linked at {0, 0, 0}
		- Now checks for link at origin, if found, uses midpoint of absmins/absmaxs, otherwise, uses normal origin
		- Also adjusted the trace masks to MASK_SHOT instead of MASK_SOLID		

			Arnout	<rr2do2@splashdamage.com>
	+ Upped version number to ET 2.10j.

			Ian		<ian@maddocsoftware.com>
	+ Fixed bug with bot_script_triggers that had them always calling 
	  the wrong script for entities (not bots). Doh!
	+ Hooked up log(n) lookup for bot_script_trigger intersection.  Still need
	  to put in code to compensate for infrequent updating of currentorigin.
			
09-02-2003
			Gordon <djbob@splashdamage.com>
	+ Made MP/SP versions of mounted mg42 + tank m42 different speed/damage
	+ Fixed randy's timetraveling changelog ;)
	+ Added some script commands to set/add tank ammo
	+ Added script command to set player health
	+ Static gamesmodels (no targetname/scriptname and (for now) no spawnflags), are stored entirely on the client, saving on ents+bandwidth

08-02-2003
			Randy <ydnar@splashdamage.com>
	+ Optimized CGEN_LIGHTING_DIFFUSE path, eliminated 3 per-vertex MA & ftoi operations,
	  for a net gain of ~2ms per frame on model heavy scenes

07-02-2003
			Arnout	<rr2do2@splashdamage.com>
	+ Disabled net encoding for SP.
			
			Ryan	<ryan@gmistudios.com>
	+ func_explosive & (some) func_constructible now compiled differently in bspc (more accurate).
	+ engine support for above AAS changes.
	+ bot_debug 9 now shows DirectMove path to destination.
	+ fixed crash in renderer with missing grid shader.
	
			Tara <tara@maddocsoftware.com>
	+ SP now uses weapon spread values from the SP codebase - weapons are less accurate in SP.

			Randy <ydnar@splashdamage.com>
	+ Changed fog pass settings to fog shaders that are sorted <= SS_SEE_THROUGH (grates, fences, etc)

			Gordon <djbob@splashdamage.com>
	+ Fixed func_explosive NOAASBLOCKING spawnflag not actually doing anything in bspc
	+ Added q3map2 pointonplane check in FindFloatPlane, though doesnt appear to have much effect
	+ Tweaked some other bpsc constants to get area counts down on bruckhaven
		- not checking in this code till i'm sure it's all stable, etc
	
06-02-2003
			Arnout	<rr2do2@splashdamage.com>
	+ Added disguised uniform icon to MP hud.
	+ Defaulting r_overbrightbits to 1 again.

05-02-2003
			Tara <tara@maddocsoftware.com>
	+ Fixed case where bots scripted to mount MG42s sometimes wouldn't because they were improperly checking their
		autonomy range.
	+ Grenade damage is not modified by damage ratios.
	+ Fixed case where Allied bots running to cover spots would ram into the player, and not try to move around him.
	+ Fixed bug where bots would sometimes think they heard shooting when they heard footsteps and vice versa.
	+ Axis bots won't enter a relaxed state and say "Never mind" after hearing footsteps or shooting if they STILL hear footsteps or shooting

04-02-2003
			Arnout	<rr2do2@splashdamage.com>
	+ Added option to 'give skill' so you can specify which skill you want to increase.
	
			Tara <tara@maddocsoftware.com>
	+ Bots lockpicking don't do a trace to figure out the target door, they look it up from their AI state so they don't need to
		be looking EXACTLY at the door to be able to lockpick it now.
	+ Bots will look towards the origin of the door they are lockpicking (which is the point they moved to).
	+ Don't draw the bot action near the reticule if you have no bots selected.
	+ When a bot is scripted to not be selectable, it is now no longer selected anymore
	+ Falling damage isn't modified by damage ratio
	+ Bots given verbal (not icon) commands requesting health/ammo will now properly say "Out of packs" instead of acknowledging
		and then just standing there.

			Ian		<ian@maddocsoftware.com>
	+ Added flags to bot_script_triggers:
		- NOBOT
		- BOTONLY
		- ALLIES_ONLY
		- COVERTOPS_ONLY
		- SOLDIER_ONLY
		- FIELDOPS_ONLY
		- MEDIC_ONLY
		= ENGINEER_ONLY
	+ Added ability to call entity's scripts in addition to bots'

			Randy <ydnar@splashdamage.com>
	+ Volumetric fog changes
	  - translucent surfaces now fog (fade out) correctly
	  - r_overbrightbits now taken into account with farplane clear color of new global map fog

---------------- BUILD 038 - 2.10i (etmain)

03-02-2003
			Arnout	<rr2do2@splashdamage.com>
	+ Fixed LMS timelimit hit handling.
	+ Added g_teamForceBalanceLMS for LMS that defaults to 1.
	+ Disabled teamswitching during playtime for LMS.
	+ LMS now uses a warmup that is 4 times the value of g_warmup.
	+ Added some extra LMS game start logic. 
	+ Upped version number to ET 2.10i.
	+ Reworked medals so they're given at the end of the match to the people with the highest XP.
	+ Fixed multilayer trans commandmap images not loading.
	+ Fixed gametype defaulting to 0 in the engine (updated gameinfo.dat).
	+ Defaulting r_overbrightbits to 0 due to a bug in the fog code with it set to any other value.

			Randy <ydnar@splashdamage.com>
	+ Fixed dlight code where rgbGen lightingDiffuselit entities (players, tank, etc) 
	  were being incorrectly lit by dynamic lights
	+ Volumetric fog changes
	  - fog can now be attached to brush model entities, and moved along the axis perpendicular to their visible side
	  - fog volumes no longer snap-to-opaque once eye enters
	  - fog texture is now a cleaner 256x256 linear ramp
	  - fog requires OpenGL 1.2 GL_CLAMP_TO_EDGE support now
	+ Textures with area < 128x128 pixels will not be compressed
	
			Tara <tara@maddocsoftware.com>
	+ No longer get the bot action icon for picking stuff up when moused over random triggers.
	+ Bots doing a DirectMoveToGoal will now realize they are blocked by objects like MG42s, and strafe to get around them.
	+ Allied bots in stand node will not seek cover if their script autonomy is MaintainScript or lower
	+ Added zapBotsHere cheat - look at a location, type it in, and all allied, selectable bots will be moved to that location.

			Ian		<ian@maddocsoftware.com>
	+ Added botscripttriggers to wolfet_entities.def and code and EntityExtrace.exe
	  - This is a new type of trigger which can be added, modified, moved without recompiling the maps
	  - It can specify triggers to call on bot scripts and/or can set cover sequences directly for bots

02-02-2003
			Arnout	<rr2do2@splashdamage.com>
	+ Added r_bonesdebug 9, displays tags for mdm/mdx models.
	+ Fixed quick attack mode being broken.
	+ Added akimbo luger media.
	+ Pointed bg_classes to new character files for MP.

			Gordon	<djbob@splashdamage.com>
	+ Adjusted tank mounted mg42 1st person view
	+ Fixed bug when leaving tank causing you to fly half-way across the map
	+ Cleaned up some cvar lookups

31-01-2003
			Arnout	<rr2do2@splashdamage.com>
	+ Changed scoreboard to show XP in all modes except LMS where it still shows score.
	+ Added akimbo lugers and colts, including silenced versions.
	+ Made finishreload actually set the idle animation.

			Steve  <steve@maddocsoftware.com>
	+ Changed the model referenced for weapon_lockpick in bg_misc.c from 'models\multiplayer\v_pliers.md3' to 'models\multiplayer\lockpick\lockpick.md3'
	
			Tara <tara@maddocsoftware.com>
	+ Fixed a bug with lockpicking code that would cause it to not always work, and have your bot lockpick forever.
	+ If you lockpick a double door, both parts will now get unlocked.
	
			Ian		<ian@maddocsoftware.com>
	+ Nazis won't hear lockpicking as weapon fire anymore...
	
			Gordon	<djbob@splashdamage.com>
	+ Added support for custom shader to target_smoke entity
	+ Fixed player bounding box being set incorrectly whilst on tank
	+ Added player goes instantly to limbo and leaves no body if killed in tank
	+ Changed spawn points to drop to the ground (per wils request), if this should not happen in some situations, let me know, i'll add a spawnflag
	+ Fixed SP ammotable
	+ Fixed silencedSidearm being set incorrectly on spawn for cvtops

30-01-2003
			Arnout	<rr2do2@splashdamage.com>
	+ Removed MP40 from allied soldier (he should never have had this in the first place).
	+ Players with a Heavy Weapons skill level of 4 or higher now get submachineguns instead of pistols.
	+ Fixed a bug in G_TouchTriggers with invisible/underconstruction state entities (return instead of continue).
	+ Fixed muzzle calculation clientsided for mounted MG42's.
	
			Tara <tara@maddocsoftware.com>
	+ All covertops bots get lockpicks by default
	+ Fixed lockpick weapon so it only "fires" every second
	+ Added "lockpickTime" key to doors, which is time in seconds to pick the lock, used in conjuction with key set to 99
	+ Covertops bots can now be ordered to pick the lock on appropriate doors - animations and models are still in the works,
			so it looks pretty goofy, but it works.
			
			Randy <ydnar@splashdamage.com>
	+ Added trap_S_GetCurrentSoundTime() for precise syncing of [looped] sounds with events
	+ Looping sounds on entities will really start when triggered this time

			Xinbo <xkan@maddocsoftware.com>
	+ Hooked up lockpick animations.
			
			Ian		<ian@maddocsoftware.com>
	+ Fixed SP stabbing to kill enemies in one stab (even for bots)

			Gordon	<djbob@splashdamage.com>
	+ Added "setautospawn" command for setting up the autospawn location in a map, "forcespawn" is now deprecated
	
29-01-2003
			Arnout	<rr2do2@splashdamage.com>
	+ Fixed crosshair name/healthbar fading to be a proper fadeout to nothing.
	+ Added crosshair enemy recognition hint.
	+ Added some error prints and checks to fontbase creation.
	+ Removed decay from construction. (Map scripts need updating! - script event 'decayed' is now invalid. Doesn't error out but does print a big warning.)
	+ Doubled construction powerbar usage.
	+ Added 'description' key to the misc_constructiblemarker entity that can be used to have a name showing up clientsided.
	
			Tara <tara@maddocsoftware.com>
	+ Fixed FireAtTarget script command so it will work again if you have no duration
	+ Backstab in SP will now kill in one stab (damage ratios were getting in the way)
			
			Randy <ydnar@splashdamage.com>
	+ Added "soundTime" parameter to trap_S_Add[Real]LoopingSound()
	+ Looping sounds on entities will now start when triggered
	
28-01-2003
			Arnout	<rr2do2@splashdamage.com>
	+ Added cg_thirdperson 2 as a thirdperson variant that always has the player in view.
	+ Removed forcing to 0 of playermodel pitch and roll.
	+ Moved some prone code around.
	+ Reworked commandmap entities so it allows for singleclient ones.
	+ Added Enemy Recognition skill for Field Ops.
	+ Added 'dumpspeaker' command.
	
			Gordon	<djbob@splashdamage.com>
	+ Added the activate event to func_invisible users, with the ability to check against which team fired the trigger
			
27-01-2003
			TTimo <ttimo@idsoftware.com>
	+ wwwdl code update
	begin wwwdl --------------------------------------------------------------------
	27-01-2003
				TTimo <ttimo@idsoftware.com>
		+ TEMPORARY disabling CD key check for AUTOUPDATE_SERVER (to make testing easier)
		+ fixed a libwww shutdown bug on win32 (parasite timeout call after shutdown could crash)
		+ test auto-update server runs from zerowing and serves dummy setup files
		+ (tested the http basic auth along the way)

	24-01-2003
				TTimo <ttimo@idsoftware.com>
		+ forcing AUTOUPDATE_SERVER to zerowing.idsoftware.com		

	23-01-2003
				TTimo <ttimo@idsoftware.com>
		+ wrote in the gl_NormalFontBase stuff for Linux
			and then fixed up my crappy code to actually work
		+ added ui for client and server FTP/HTTP download configuration

	22-01-2003
				TTimo <ttimo@idsoftware.com>
		+ adding wwwdl to auto-update stuff
			server: ./wolfupdate.x86 +set developer 1
			client: ./wolf.x86 +set fs_basepath ~/Test/et +set cl_profile TTimo +set developer 1
			hooking back the auto-update ui, updated auto_update.menu
			saving config to update_server.cfg (easier to keep www config around)
			tested a failed www download properly recovers to a regular feed
			kill the HTRequest when done to close the file handle (was b0rking Sys_StartProcess)
			need testing on win32
			NOTE: updated ui/menus.txt and ui/auto_update.menu are required
	
	20-01-2003
				TTimo <ttimo@idsoftware.com>
		+ added wwwdl checksum error recovery. if a client successfully downloads a file from a web redirect,
			but ends up with a wrong checksum, it will refuse to download it again through a redirect, and will tell the server about it
	
	17-01-2003
				TTimo <ttimo@idsoftware.com>
		+ http://login:pass@host/path
			libwww doesn't handle that, we need to process ourselves (proactively add the http basic cookie)

	13-01-2003
				TTimo <ttimo@idsoftware.com>
		+ removed a bunch of Linux .in files, since they depend on the compiling host (and change on each build..)		
	end wwwdl --------------------------------------------------------------------

			Ian		<ian@maddocsoftware.com>
	+ Removed break in code to catch outof bounds reachabilities as this caused most SP levels to have massively broken
	  pathing.  "firstreachablearea" needed to be compared to "reachabilitysize" not "numareas", because it is really
	  "firstreachability"

23-01-2003
			Ryan	<ryan@gmistudios.com>
	+ Fixed navigational bug introduced with yesterdays changes
	+ Improved func_explosive and func_constructive AAS interaction. Requires recompiled AAS files.
	
			Randy	<ydnar@splashdamage.com>
	+ Added new directional dlights. Works as a cool lightning effect, fun for the kids!

23-01-2003
			Ryan	<ryan@gmistudios.com>
	+ Added debugging to MP Bot movement code (bot_debug 3, r_debugsurface 2)
	+ Improved area sampling
	+ Fixed BotDirectMoveToGoal() bug where bots would attempt to walk across a gap
	+ Added teamdeath AAS avoidance. Bots will avoid areas with high death rates.
	+ Improved BotDirectMoveToGoal() accuracy
	+ Increased blocking distance check from 3 to 16 units, to help avoidance of stationery objects
	+ Fixed AAS navigational bug which cuased bots to get stuck between normal walking areas

			Tara <tara@maddocsoftware.com>
	+ Fixed "Q_strncpyz: destsize < 1" crash we'd get if you loaded 2 maps in a row on a release build.
	+ Fixed "failed to load character file" crash we were getting in release builds

22-01-2003
			Arnout	<rr2do2@splashdamage.com>
	+ Fixed crash in corpse characterIndex network transmission.
	+ Added backwards compatibility for map scripts using old spawnbot commands.
	+ Reworked overheating for mountable MG42's.
	+ Added overheating to tank-based MG42's.
			
21-01-2003
			Arnout	<rr2do2@splashdamage.com>
	+ Implemented character system throughout the whole gamecode. Still needs some work but most of the base is there now.
	+ Fixed decals not being fogged properly (thans randy).
	+ Upped version number to ET 2.10h.
	+ Fixed a bug in FixRenderCommandList where drawSurf->sort didn't get calculated properly.
	+ Added old animation.cfg parsing support to the new character system to ease the switch to the new system.
	+ Made corpses use the character system.
	+ Added undressed corpse support to the character system.
	
			Gordon	<djbob@splashdamage.com>
	+ Fixed precaching of tank mounted gun media (should only really load it if the map contains one though still)
	+ Added caching of tank positions per-frame, saves re-calculating them for various reasons (tracers, etc)
	+ Added some warnings/early out if func_debris has no model

20-01-2003
			Arnout	<rr2do2@splashdamage.com>
	+ Changed fog storage in renderer, fog_t now has a shader_t pointer where it gets the colour and depth values from.
	+ Added new script command: setglobalfog <bool:restore> <int:duration> [float:r] [float:g] [float:b] [float:depthForOpaque] that works with the new global fog.
			
			Jason <rhea@OrangeSmoothie.org>
	+ Added a string pool for cgame window strings.  Halved the mem usage from using static buffers and
	  doubled the number of available lines for a given window.

19-01-2003
			MrE <MrElusive@idsoftware.com>
	+ made several BSPC changes to fight floating point rounding issues
	+ gave Arnout a new AddBrushBevels for q3map2/sdmap2 which fixes most AAS issues

17-01-2003
			Arnout <rr2do2@splashdamage.com>
	+ Changed cycle command usage: cycle <variable> <start> <end> [step] where step is optional and start can now be larger than end.
	+ Added r_showmodelbounds (mdm/mdx only).
	+ Fixed r_bonesdebug.
	+ Added r_bonesdebug 8 to mdm/mdx (shows skeleton and bonenames).
	
			Ian <ian@maddocsoftware.com>
	+ Fix to SETWEAPON in scripts so that if used after SETWEAPON NONE, weapon will
	  actually take and be reloadable.

			Tara <tara@maddocsoftware.com>
	+ Can no longer get bots to pick up class specific ammo items they cannot use.
		And if you manage to somehow order them to pick up something they can't use,
		they'll say "Negative", not spin in circles on the goal.
	+ Can no longer set weapons of bots in squad select screen - this will allow
		the SetAmmoAmount function to work.

			Xinbo <xkan@maddocsoftware.com>
	+ Bots will be in alert state while avoiding danger.
	+ Improved alertstate (relaxed, alert, combat, etc.) switching.
	+ Fixed the problem where if bot is spawned with a mortar, he will have no idle animations and 
	  lie on the ground like dead
	+ Fixed the runbk/walkbk two-handed-weapon firing so that the gun does not point sideway.

			Gordon <djbob@splashdamage.com>
	+ Fixed various prediction issues with mounted gun
	+ Consolidated the origin/axis setup for the various tank additions into a single function
		- Need to clean this up a bit (precache models), and make more general if we need/want any other tanks like this
	+ Added wait random ability

16-01-2003
			Arnout <rr2do2@splashdamage.com>
	+ Added r_normallength, defaults to 0.5 (CVAR_ARCHIVE)
	+ Finished first pass on making the mdx/mdm animation system allow for multiple mdx files per mesh.
		
			Ian <ian@maddocsoftware.com>
	+ Bots in SP who are about to reload will now leave exposed spots.
	+ In combat, SP bots will only reload when they're actually out of ammo in the clip.
	+ Added script command SetPersonToWatchFor
	+ Added script command ClearPersonToWatchFor
	+ Made a fix to BotPointAreaNum so that it would not return bad areas as often.  This was
	  causing bots to get stuck on some things (The AAS system really dislikes it when the
	  ms->areanum is not the right area, and rightly so).
	+ Adjusted "NeedBackup" VO for SP bots so that it will only happen it they are out of
	  autonomy range of the player, and the player hasn't been shooting recently.
	+ Adjusted "Goodshot" and "Badshot" to be less fickle.

			Tara <tara@maddocsoftware.com>
	+ Fixed bug where the script would open the briefing screen and your bots
		wouldn't show up there.
	+ Can now command bots to pick up health packs and meals (not just use Move To, but get Hand cursor,
		and they'll pick them up from a bit of a distance, not try to run on top of them)
	+ Can now command bots to pickup loose ammo if they need it.
	+ Bots told to Hold Position or Move to Location will move to a nearby cover
		spot, if found, after a few seconds at the position.
	+ As per request, removed explicit Medic revive command, so just have heal
		command, which revives when the target is dead.
	+ Medic bots when healing self will not drop medkit on ground, but just heal self.
	+ Fixed bug where allied bots would get stuck crouching forever if you told them
		to hold position while they were crouching.
	+ Fixed bug in bot spawn code with uninitialized data occasionally causing
		bots to spawn with infinite skills.
	+ Fixed bug where bots scripted to start with no weapon would subsequently have
		invisible weapons if they pick one up.

			Xinbo <xkan@maddocsoftware.com>
	+ Bumped up coverage map size to load bigger maps. 
	+ Removed names from coverage map display.
	+ Hooked up a bunch of after battle animations.
	+ Bot's sound from playsound script command is no longer cut off.
	+ Bots now comment on player's good/bad performance.
	+ Fixed some weird seek cover spot animation issue.
	+ Hooked up low-health animations.
	+ Hooked up heal_self animation (with real heal-self animation coming soon)

			Gordon <djbob@splashdamage.com>
	+ Changed mounted gun code to support the new models from frankie, still needs a little work
		- Need some way to not make it so hard-coded, thinking of using some kinda script..

15-01-2003
			Gordon <djbob@splashdamage.com>
	+ Added setspeed script command (<X Y Z> [gravity|lowgravity])

			Xinbo <xkan@maddocsoftware.com>
	+ Hooked up relaxed walk/walkbk/run/runbk/strafe left/strafe right animations.
	+ Removed death_spin.

			Ian <ian@maddocsoftware.com>
	+ Tweaked BotMoveToGoal to make the "Have I not moved far enough"
	  distance to be smaller (since walking Nazis move really slow).
	+ Allied bots in combat without cover spots will move when they're shot (if not crouching)
	+ Nazis will now respond to hearing other Nazis shoot.
	+ Separated minWait time in Fiddling from facePlayerTime, allowing us to make the bots turn
	  to face the player in a time that's independent of when they do animations (I wanted them to
	  turn sooner, but I wanted the animation wait to remain just as long as it was before).
	
			Randy <ydnar@splashdamage.com>
	+ Dlight entity fix for SP (clamped radius to 256, modulate brightness)

			Tara <tara@maddocsoftware.com>
	+ Various fixes in an attempt to make bot knife fighting work better
		- Bots don't avoid their enemy, strafing away from them when they should be stepping in for the kill
		- Fixed some cases where they would decide to fight when they couldn't, so would switch between
			standing, fighting, and chasing over and over
		- Don't use aim accuracy when knife fighting.  I figure they're disadvantaged enough as it is
		- Don't use burst firing code while knife fighting, we figure their arms don't get tired.
		- Don't randomly look away from your target when you're supposed to be knifing him.
	+ First pass at Covert Ops knife attack command which is VERY far from completedness.
	+ Increased Colts and Lugers to have max of 48 bullets in SP from 24.
	

14-01-2003
			Tara <tara@maddocsoftware.com>
	+ Bots will now drop mobile mg42 when they die, as well as carbine, bar, and other
		new weapons.
	+ Angles on seek cover spots work again.  If a bot has no enemy, when it reaches
		it's seek cover spot, if an angle was set for that spot, that's the
		direction the bot will face.
	+ If you hit "Listen Up", then give no commands, BJ says "Never Mind" instead of "Go go go"
	+ Fixed bot HUD code that was indicating you could plant mines on
		invalid terrain.
	+ In SP, bots won't seek non-battle goals outside their possible view space - hopefully, will
		keep them from running ahead of you to health crates they couldn't know about yet.
	+ Added bot command icon to tell bots mounted on MG42s to attack with the MG42, not dismount
		and attack.
	+ Bots on Seek Non-Battle Goal (picking up syringes, health packs) will now directly pick them up,
		not hit the use key, and hope they are looking in the right direction.  So they should
		pick up low and high items much better now.
	+ Fixed bug where autonomy pos was no longer being set for the bots, so if they entered combat
		before they got orders, afterwards, they would run off on a quest for the center of the earth.

			Xinbo <xkan@maddocsoftware.com>
	+ Fixed a bug with trigger_ammo when the client has flamethrower weapon (so that now you won't hear
	  the ammo pickup sound over and over)

			Ian <ian@maddocsoftware.com>
	+ Rolled Back checkins from last night to pathing code that broke SP pathing (in xpbot_88mm)
	+ Added "Man Down" VO
	+ Added "Revive Me" VO
	+ Tweaked "Need Backup" VO time

			Gordon <djbob@splashdamage.com>
	+ Added func_debris entity
	+ Fixed bug in FindShaderInText, again relating to SkipBracedSection (this was a generic q3 engine bug, so backport?)


13-01-2003
			Arnout <rr2do2@splashdamage.com>
	+ Changed floodprotect to not extend the block periode on receiving of a blocked command.
	+ Removed showcc command, server now just pulses data all the time.
			
			Gordon <djbob@splashdamage.com>
	+ Fixed potential infinite loop in mp if using bot order cycling whilst not being a fireteam leader
	+ Fixed crash with foliage using interleaved texcoord arrays still (well, trying to....)

			Tara <tara@maddocsoftware.com>
	+ No longer crashes game to give one of your starting squadmates a colt in the script
	+ Fixed bug in rendering selected bot in Briefing screen, where the selected bot always had the
		weapon of the last bot.
	+ No longer draw ! and other icons over heads of bots in SP.
	+ Put in a different marker for queued bot commands.
	+ As soon as a bot is given a queued command, it stops what it's doing and stands still.
	+ Removed "Pre-Alpha" from screens
	+ Removed bot autonomy levels from UI
	+ Fixed bug where medics and field ops would default to using their knife, so when
		you opened the squad select screen, they'd be all confused, and hitting start
		would crash the game.
	+ Bots on follow will once again crouch when the player crouches, UNLESS they're
		seeking cover, in which case they will do whatever their cover spot tells them
		to do.

			Xinbo <xkan@maddocsoftware.com>
	+ Reenabled friendly fire avoidance and pain animation from friendly fire (even though friendly
	  fire (damage) is still turned off for SP)
	+ slip_* brush works again (SURF_MONSTERSLICK and related surface parameter) 
	+ When a bot dies, he would slide away from walls (to prevent head of dead body sticking out of a wall)
	
			Randy <ydnar@splashdamage.com>
	+ Entity origin now affects environment mapping (like racing game renderers)

			Ian <ian@maddocsoftware.com>
	+ Bots who are in combat and do not have cover spots will now periodically crouch
	  (and Nazis will occasionally do the old battlemove stuff)

---------------- BUILD 037 - 2.10g (etmain)

12-01-2003
			Arnout <rr2do2@splashdamage.com>
	+ Upped version number to ET 2.10g.

			Xinbo <xkan@maddocsoftware.com>
	+ Don't change a bot's view angle when he dies in SP.
	+ Fixed impact point calculation for death animation.
	+ Added bot's name to popup command map.

			Ian <ian@maddocsoftware.com>
	+ Removed hardcoded bot default attributes, and moved it to a file botfiles\botAttributes.bot
	+ Made bots' names fade out after 2 seconds or so in SP.
	+ Fixed a bug whereby "SETWEAPON COLT" in the scripts would nuke medics' medkits and healing ability
	  (and probably would nuke fieldops' special weaponry, too).

11-01-2003
			Xinbo <xkan@maddocsoftware.com>
	+ Updated SetAlertState script command.
	+ Panzerfaust is now a one-shot weapon in SP.
	+ Say "out of ammo" right away if we just ran out of ammo. also increased the frequency of this VO.
	+ Fixed animation scripts so the special weapon animations will be properly played.
	+ Hooked up a whole bunch of new death animations.

			Ian <ian@maddocsoftware.com>
	+ Adjusted bot movementAutonomyRangeSP values to let low autonomy
	  characters go a bit farther away.
	+ Hardcoded default attributes for each individual Allied Character.  Still need to bust
	  these out into a parsed text file for easier modification by non-programmers.
	+ Modified display of confidence bar, so that bots who aren't retreating always show a small sliver 
	  of green. (Tweaked GetBotRetreatLikeliness in aimain.c)

			Tara <tara@maddocsoftware.com>
	+ Added "Help Team" command - selected medics will heal the team, selected field ops
		will give the team ammo
	+ Added bindable hotkeys for "Help Team" and "Hold Position", and added default
		binding for "Help Player" - default to 'h' for help player, 'i' for hold pos,
		and 'j' for help team.
	+ Removed hotkey binding to bring up bot command menu, which is no longer needed.
	+ Finally found and fixed bugs with "Heal Team"
		- Medic on low autonomy wouldn't go anywhere to heal team - bumped up range will travel to heal
		- Injured medic on ammo crate would repeatedly give self heath packs and not pick them up
		- Injured medic NOT on ammo crate would pick up own health pack and not help team anymore.
	+ Per request, medic and field op can only use hand guns now - no more thompson.
	+ End stats screen now shows player kill count and headshot count (used OSP stats)
	+ Added tracking of bullets fired and missed shots -- stats screen now displays accuracy as well.

			TTimo <ttimo@idsoftware.com>
	+ stubbed BotImport_DrawPolygon in dedicated build

10-01-2003
			Xinbo <xkan@maddocsoftware.com>
	+ Tweaked cigarette smoke.
	+ Bots now have a notion of aiState(alertState) - relaxed, query, alert & combat. 
	  This is a much expanded version of the old alertState, which was broken to start with.
	+ Hooked in many aiState-based animations including relaxed idle and relaxed walk.
	+ Don't play the sneak animation (cover spot animation) while in combat.

			Tara <tara@maddocsoftware.com>
	+ Heal squad command will now have medic heal self as well.
	+ First pass at soldier heavy weapon commands (icons not in yet)
		- Panzerfaust will shoot the weapon at a location or target of your choice
		- Flamethrower and Mobile MG42 will cause the bot to cover the area you target
			with that weapon.
	+ Bots no longer update their cursor icons, which was unneccessary, since they have
		no UI.
	+ Added 1st pass at end stats screen - if you create a trigger
		classname = multiple_trigger
		ainame = player
		target = endmap
		When the player points at it, they'll get the screen from SP that shows endgame
		info, time in level, objectives completed, etc.

			Ian <ian@maddocsoftware.com>
	+ Modified Health and Name positioning for bots in SP to try to stay over the head of the bots
	+ Tweaked retreat code to make it not factor WIMP_FACTOR in twice, and 
	  made a bigger "safe area" around BJ for bots.

			Gordon <djbob@splashdamage.com>		
	+ Changed various texcoord array assumptions to use two texcoords arrays now instead of a single interleaved one
	
09-01-2003
			Tara <tara@maddocsoftware.com>
	+ Limited distance of bot action icons, so you can't look ridiculously far ahead, and
		find enemies you can't even see by the bot attack icon.
	+ Slowed down rate at which you can use knife, so there's a longer pause
		in between each knife attack.

			Xinbo <xkan@maddocsoftware.com>
	+ Cigarette smoking code is in (through cigarette on/off script command)
	
			Gordon <djbob@splashdamage.com>
	+ Added cg_polybus.c, and reworked tess to be able to use swap in arrays for rendering, instead of static buffers. 
		- (also allows passing of normals in now! :))
		- WARNING: the buffers must NOT be cleared until after the trap_R_RenderScene is called, or the buffers may(WILL) not have used yet.
	+ Modified atmospheric effects to use polybus, for testing.
	+ Changed various non-precahced images to be pre-cached.
	+ Fixed some sounds being stored as global ints rather than in the media_t struct.
	+ Fixed fireteam commands not being throttled.
	+ Fixed redundant calculation being done 10 million times in commandmap rendering, (1 / ( cmmaxs - cmmins )) now calced at map load.
		- changed all code to use * invdist instead of / dist as well
	+ Stopped flamethrower doing silly frustrum clipping of polygons, and added a pointandradiuscull check instead.

---------------- Mad Doc BUILD 09-01-2003
09-01-2003
			Tara <tara@maddocsoftware.com.
	+ Bots disarming mines will now disarm more than 2 at a time, and will only
		disarm detected mines in the area.
	+ Bots trying to pick up health packs will now "hit the use key" when close,
		so they can pick up packs on top of crates and such.
	+ Fixed bug where if you set reaction time on a bot to a few seconds,
		they'd never fire.
	+ Bots won't go prone in combat if an enemy is nearby.

			Xinbo <xkan@maddocsoftware.com>
	+ stamina items (item_stamina_stein and item_stamina_brandy) now work.
	
			Randy <ydnar@splashdamage.com>
	+ Added new surfaceparm "SURF_LANDMINE" accessible via shaders as
	  "surfaceparm landmine." This surfaceparm is the ONLY way now for surfaces
	  to be mine-able now.
	+ Added frustum culling to foliage instances. Worst-case scene on mp_wurzburg
	  now has ~15k fewer triangles.

			Ian <ian@maddocsoftware.com>
	+ Fixed a bug with navigation code that got bots stuck on things like crates.
	  They were getting the wrong areanum from "BotPointAreaNum" which returned 
	  the area from a region offset by half the bounding box of a character.

08-01-2003
			Xinbo <xkan@maddocsoftware.com>
	+ Activate cursor hint for mg42 will not be shown if already mounted.
	+ Bot mountgun action for mg42 will not be shown if gun is already mounted.
	+ Properly display cursor hint when mousing over bot_seek_cover_sequence trigger
	  (it was blocking other entities)
	+ Properly display cursor hint when there are more than one invalid entities 
	  "blocking" the view ("blocking" in terms of tracing code)
	+ Allies bots always fall back when they die so that it smoothly transitions to
	  the fallen (sitting-up) animation.
	+ Fixed the swinging blade problem in temple map when it's destroyed.

			Tara <tara@maddocsoftware.com>
	+ Retreat revisions: Bots will try to move through cover spots as they retreat
		back to the player
	+ After retreating, a bot will not re-engage for a set amount of time
	+ Being healed will immediately take a bot out of the retreat behavior, and
		allow them to engage again.

07-01-2003
			Randy <ydnar@splashdamage.com>
	+ Fixed missing UI dlight export (wtg yd)
	+ REF_FORCE_DLIGHT now works--dynamite will light regardless of r_dynamiclight 0

			Tara <tara@maddocsoftware.com>
	+ When a bot is ordered to heal another bot, the one being healed will stop,
		crouch, and wait for medical attention if not in combat.
		In combat, they'll keep fighting, but won't move to a new seek cover spot.
	+ Medic bots can now hold up to 6 syringes.  They still default to starting with 3.

			Ian <ian@maddocsoftware.com>
	+ Put new default values in for Allied and Axis bots for bot attributes, including
	  reaction time, aim accuracy, fire rate, and damageratio.

			Xinbo <xkan@maddocsoftware.com>
	+ Player's name is now "BJ" instead of "wolfplayer" in single player game. wolfconfig_mp.cfg
	  is not touched though, but in every other way (score board, the name that appears when
	  player issues a command to a bot, etc.), the player's name is "BJ".


06-01-2003
			Arnout <rr2do2@splashdamage.com>
	+ Made console/engine use gfx/2d/consolechars instead of hudchars

			Tara <tara@maddocsoftware.com>
	+ Bot retreat revisions - took out random factor, so when they break and retreat is based
		on their wimp factor, and changed it so if they are really "scared", they just break
		and run for the nearest safe spot, not the player.
	+ Health packs don't respawn in SP unless the respawn flag is checked.
	+ Follow leader revisions so they don't oscillate between following in a line
		and seeking cover every time you take a few steps in any direction
	+ Fix to bug in following code where a bot that was supposed to be following in a line
		(not seeking cover) could decide to use a bot that was seeking cover
		as its direct leader
	+ When a bot without a weapon picks one up, they'll actually use it now.
	+ Fix to bug where medics wouldn't pick up their own health packs when ordered to
		heal themselves
	+ Bots no longer can use disguises - it's going to be player only.
	+ Player can pickup disguises.
	+ In SP, dropped weapons contain a random number of bullets.
	+ When a bot finishes disarming a landmine, it'll look for another and keep
		disarming.
	+ Bots ordered to Move to Location will walk when they get close to the target.

			Randy <ydnar@splashdamage.com>
	+ Adjusted camera shake code to actually shake the camera, not just tilt it
	+ Patch to game(bg) anim/sound loading code that was causing an exception in MP
	+ Removed vertexDlightBits copy pass from bsp drawsurface renderers (it was doing nothing)
	+ Added frustum culling to foliage, cuts down foliage verts/tris by 15-20k on worst-case scenario
	+ Removed references to vertexLightmap, shrinking shader struct
	+ r_lightmap 1 now shows lightmaps on all surfaces (if 2nd pass, blended using GL_ONE, GL_ZERO)
	
			Xinbo <xkan@maddocsoftware.com>
	+ Meals (item_health_turkey & item_health_breadandmeat) now work.
	+ Added civilian bots (through SetCivilian command).

			Ian <ian@maddocsoftware.com>
	+ Made it so bots won't choose a cover spot that someone else is sitting on
	+ Bots going to a cover spot (already chosen) will stop if the player is sitting there
	  instead of circling like madmen.

			Gordon <djbob@splashdamage.com>
	+ Fixed sun rendering not preserving the modelview matrix stack
	+ Added r_debugSurface 3 (in conjunction with bot_debug 1), to enable viewing of ALL AAS areas in a map (up to a max of 4096)
		- WARNING: this is VERY VERY slow, due to the silly way in which the areas are being stored/transmitted for rendering
		  i'll clean this up soon if i get the chance

03-01-2003
			Ian <ian@maddocsoftware.com>
	+ Stubbed out download stuff in VC 6 projects.
	+ Modified combat seek-cover stuff to keep bots from advancing out of movement range.
	+ Made follow and seek cover ranges tighter to the player.

			Xinbo <xkan@maddocsoftware.com>
	+ Hooked in a bunch of death-related sounds from original SP including body dropping,
	  meingut, heifer. Also mixed up the various death sounds where appropriate.
	
			Randy <ydnar@splashdamage.com>
	+ Dlighting fixes/optimizations
		- Bmodel entities now dlighting correctly
		- Optimized dlight surface culling code based on transformed bbox - surface spheroid
	+ Console
		- Commandline completion now indented 2 chars instead of 4 to line up
		- CC now dark gray to differentiate between normal console text
		- CC cvars now display their values in cyan (quick shortcut to see cvar values)
		- New console font image to replace the crappy Copperplate Gothic illegible nonsense
	+ LibWWW
		- removed hard-coded paths from linker & preprocessor in wolf.vcproj

02-01-2003
			Jason <rhea@OrangeSmoothie.org>
	+ General fixups for MV rendering
	+ Upped MAX_ENTITIES_IN_SNAPSHOT from 256 to 512.  The server can send up to 2k, and the engine can parse
	  this many, but for some reason, it was clamped to 256.  MV can routinely send 270+ per snapshot, so this
          was causing blink out issues.

			Xinbo <xkan@maddocsoftware.com>
	+ Fixed the body "shift" when axis bots die (one of the death animations is bad)
	+ BJ now has the "correct head" in 88mm (and a few other maps)
	+ In SP, bots can pick up any weapons they can be spawned with (not just those weapons
	  that they already have).

			Tara <tara@maddocsoftware.com>
	+ Medics don't autoheal in single player
	
			Randy <ydnar@splashdamage.com>
	+ Dlight fixes
		- Fixed dlight bug in limbo/single player menu
		- Homogenized dlight culling based on origin/radius/aabb
		- Fixed long-standing bug where certain triangles would be dropped from being dlit
		- Boosted gun dlight brightness
	+ SF_FACE == SF_TRIANGLES now (brush face surfaces are no longer special cased internally)

02-01-2003
			TTimo <ttimo@idsoftware.com>			
	+ BotGetTargetExplosives declared in g_local.h broke gcc build, bot_state_s undeclared
		the only outside usage is for g_bot.c, move the full declaration of BotGetTargetExplosive to ai_main.h
		left a GetTargetExplosive wrapper in g_local.h

	begin wwwdl stuff ---------------------------------------------------------------
	2-1-2003
				TTimo <ttimo@idsoftware.com>
		+ pre-compiled Debug and Release libs for libwww, took out the direct dependency to libwww projects
			have to checkin updated .vcproj files to SOS		
		+ catching all alerts / interactive prompts for aborts now (traced a ftp hang on win32 to a missing interactivity handler)
		+ changed cl_downloadName so that we print the URL (it's too big for the screen though, will have to toy around)		
		+ hook developer 1 to WWWTRACE = SHOW_ALL_TRACE for debug builds
		+ tests:
			- passworded ftp download
			Cvar_Set2: sv_wwwBaseURL ftp://login:pass@host:port/path
			- lenghty download on big file
			connection with server stays up
	
	1-1-2003
				TTimo <ttimo@idsoftware.com>
		+ isolate the dl init to run only once, add various state flags in client download subsystem to check good use
		+ hooked up progress alerts and library prompts, file download overwrite to yes, aborting otherwise
			progress reporting: block -1 also sends file size, libwww sets cl_downloadCount
		+ running tests:
			- 2 pk3 downloaded in a row + successful server join in
				
	31-12-2002
				TTimo <ttimo@idsoftware.com>
		+ fix win32 build
		+ error condition when loading a document: using the status of HTRequest terminate handler to tell error/success
			we used to look at the status of HTEventList when it ends, but that's bogus information
		+ testing "wwwdl fail", two situations:
			- download fails to init (i.e. DL_BeginDownload returns an error)
			- something fails in the middle of the download
			client sends a wwwdl fail right after the wwwdl ack, and waits for a new gamestate from server
			(but stays in the 'www downloading' loop state, as I didn't find any other way)		
		+ for test runs on win32:
			server:
			$ ./ET.exe +set dedicated 2 +set fs_basepath C:\\home\\Id\\ET-basepath +set developer 1 +set sv_allowDownload 1 +set sv_wwwDownload 1 +set logfile 2 +map mp_railgun
			see cvarlist *www* and sv_allowDownload cvars
			client:
			$ ./ET.exe +set developer 1 +set fs_basepath C:\\home\\Id\\ET-cl +set cl_profile TTimo +set r_fullscreen 0 +set logfile 2 +connect 192.168.1.4
			see cl_wwwDownload etc.		

	30-12-2002
				TTimo <ttimo@idsoftware.com>
		+ moved the dl_events.c code to be directly in libwww HTEvtLst.c
		+ static linking of libwww on Linux
			we wrap autocrap code inside a cons script
			multiple .a are a living nightmare, cyclic references are causing unresolved
			building a single libwwwdl.a by extracting and relinking everything between libwww and our own code - Conscript-dl
		+ added sv_wwwCheckPath code - basic tests ok on Linux
		+ setting lib behaviour to non-interactive (avoids failed prompts)
		+ adding support for wwwdl fail message, server fallbacks to regular download if client sends a wwwdl fail
		+ successfully downloaded a file via login/pass ftp
		+ client has cl_wwwDownload CVAR_USERINFO, server uses to decide wether to start a www download

	28-12-2002
				TTimo <ttimo@idsoftware.com>
		+ test autodownload stuff with mp_bin:
			server: (sv_allowDownload sv_wwwDownload sv_wwwBaseURL etc. must have been configured as CVAR_ARCHIVE already)
			rm ~/.etwolf/etmain/mp_bin* ; ./wolfded.x86 +set fs_basepath ~/Test/et +set developer 1 +map mp_railgun
			client: (always run #2)
			cp ../auto-pk3/mp_bin.pk3 ~/Id/media/incoming/web/foo/etmain/ ; ./wolf.x86 +set developer 1 +set in_nograb 1 +set fs_basepath ~/Test/etcl +set cl_profile TTimo +connect 192.168.1.4
		+ last dl_events.c update broke the Linux version (at runtime)
			switching to static build and linking on Linux

	27-12-2002
				TTimo <ttimo@idsoftware.com>
		+ more test stuff to server files
		+ also http://abyss.sourceforge.net/ for server stuff
		+ design for basic download functionality:
			sv_wwwDownload general server toggle to redirect
			sv_wwwBaseURL the base URL to use and construct
			don't force all the files to be mirrored, check that the file is present first? (err we can't do that)
			so if fails client sends 404 and we try a legacy wwwdl
			we'll need some userinfo on the client to turn off the download redirect maybe (in case the client doesn't support?)

	20-12-2002
				TTimo <ttimo@idsoftware.com>
		+ checking in libwww code, static linking on win32 with some new .vcproj files
			The library will need to be stripped down, right now we have everything in (including gother, telnet, http..)
		+ win32 static linking caused several problems, due to aliasing of the dl_event.c code rewrite.
			Prefixed everything with DL_ and things seem to work fine. Be careful when using though.
			WWW_WIN_ASYNC code functional, had a successful connect / download / reconnect client sequence on win32
		+ added Com_VPrintf( const char *fmt, va_list argptr); (used for HTTrace)

	19-12-2002
				TTimo <ttimo@idsoftware.com>
		+ work on the server side. libwww doesn't have much available to serve filesystem
			worked out how to have a non-preemptive server loop running (solved some blocking select() system call issue in event loop)
			test/listen.c test/listen-serve.c test files for serve stuff
			still need to write the server part to serve the files through http (more or less from scratch - duuh)
		+ porting to win32 - need a customized reference source tree + static libraries (only the relevant subset)
			using libwww-5.4.0 package
			took out gnu_regex and xml dependencies
			#define WWW_WIN_ASYNC 1

	16-12-2002
				TTimo <ttimo@idsoftware.com>
		+ wrote a custom libwww event loop from libwww app samples to perform a non-preemptive http download
			client inits and iterates through the download
			had a client connect to server, perform a download, and enter the game
		+ several new files and file naming reorganisation for the download stuff in qcommon/	
		+ note about libwww event loop:	
			There is a default event handling loop in libwww. Heavily platform dependant, and preemptive.
			We need to get rid of preemption. We could work on a custom pseudo-threaded loop, or do true threading.
			True threading doesn't sound good. Cross-platformness bustage is likely, and it's harder to put together.
			(so I went for pseudo-threaded / iterative)

	13-12-2002
				TTimo <ttimo@idsoftware.com>
		+ negociation of ftp/http download
		+ very basic wwwdl prototype:
			- basic server use case: extended the svc_download stuff so that server redirects to an URL (hardcoded for now)
			- basic client use case: acknowledge wwwdl, proceed, send a done download
			- builds on Linux only. very basic hook up to libwww
		+ tag trunk as wwwdl-tag	
		+ branching and saving to wwwdl branch
		+ tagging this checkin as wwwdl-1 (as in, step 1)
	end wwwdl stuff ---------------------------------------------------------------

01-01-2003
			Jason <rhea@OrangeSmoothie.org>
	+ Added a "Demos" menu to select and load demos
	+ Added a "Demo" section to the control menu in the default UI.
	+ Upped demo file list from 4kB to 30kB (people tend to accumulate a lot of demos over time)
	+ Small fix for a key bind in demo playback
	+ First post of 2k3!!

30-12-2002
			Jason <rhea@OrangeSmoothie.org>
	+ Centalized cgame keycatchers to properly allow for demo keycatcher override
	+ Added thirdperson viewing option in demos (from wired key binds)
	+ Added demo control info overlay (togglable on/off, with an option to disable entirely)
	+ Fix for avirecord info in demos
	+ Disabled extraneous menu popups while viewing a demo
	+ Removed ready up command info during warmup for demos and spectators
	+ Cleanup of some client info cvars and extraneous inits

			Ian <ian@maddocsoftware.com>
	+ Added terrain-specific modifiers to SP bot hearing code.

			Tara <tara@maddocsoftware.com>
	+ Made a general "Help Me" hotkey - if you have a medic selected, and you're dead,
		the medic bot will revive you, or heal you if you're alive.
		If field ops bot is selected, he'll give you ammo.
	+ Made "Help Me" and "Follow Me" bot hotkeys bindable.
	+ Don't display rank of teammates in single player, it's not really applicable.

			Xinbo <xkan@maddocsoftware.com>
	+ New animation code for seek cover spot. Soldier model currently has this new animation.
	+ No idle animation while proning/crouching.
	+ Death while prone now uses the right death animation (axis bots only)

28-12-2002
			Jason <rhea@OrangeSmoothie.org>
	+ Small fixes for multiview (scoreboard and CovertOps updates)
	+ Small tweaks for pub/comp mode settings
	+ temp fix for NULL returns in BotGetEntity() for the MP bots.  Looks like goal.entitynum is going out of
	  range for some reason, so I just put in NULL checks to ensure the game module wont crash when bots are
	  running around.  Look for the FIXME markers in botai/ai_dmnet_mp.c to see what's been checked.

27-12-2002
			Tara <tara@maddocsoftware.com>
	+ Axis bots will drop their weapons when they die, even if they are set to
		disconnect.
	+ Made an explicit command to order bots to use ammo and health crates.
	+ Draw crosshair for player when leaning in SP, take lean into account
		when doing trace for bot commands.

			Ian <ian@maddocsoftware.com>
	+ Bots in SP followleader will get a speed bonus in catching up to the player bonus
	+ Removed (hopefully) redundant call to ClientBegin for bots.  Keep your fingers crossed!
	+ Added useful programmer art debugging tool (cg_drawCats).

			Xinbo <xkan@maddocsoftware.com>
	+ Body in SP will play the last frame of the death animation (so it won't flip from
	  the last frame of the death animation to a completely different frame)
	  
			Gordon <djbob@splashdamage.com>
	+ Upped the limit for models, both for brush based entities, and model2 styleeeee
	+ Fixed bug with script_movers causing them to set aas data as blocked constantly even if moving, 
		as trDelta is never being set, changed to a check for trType == TR_STATIONARY for now, 
		will probably want to expand that later (Make railgun ALOT less jittery, were getting spikes of 90ms+
		inside the game dll, i imagine the atvi test server would feel it even worse)
	+ Hacked around timothee's fix for edit box text going outside of it's bbox for 0 width edit boxes (name edit on limbo menu)
	+ Wondered wtf that cg_drawCats cvar does
	+ Upped version number to 2.10f (yay i get to do it for a change ;))


26-12-2002
			Tara <tara@maddocsoftware.com>
	+ Ammo items now work again.  You can place ammo_45cal etc in Radiant, and it will
		appear in game, and can be picked up.
	+ Fixed bug where you could shoot an Axis bot in the back, and he'd say.
		"I thought I heard something".
	+ Bots can see a wider view through binoculars than players,
		which means they can detect mines more easily.
	+ Fixed endless loop if you commanded a bot to cycle weapon and it had no
		weapons.
	+ When you are in the Listen Up part of "Listen Up/Go go go", an icon now appears on
		your screen.  For now, it is VERY temporary.

			Ian <ian@maddocsoftware.com>
	+ Silenced weapons that are fired do not cause enemies to hear them
	+ Bullets shot from silenced weapons into bodies do not alert hearing system,
		although ricochets do.
	+ Move-out-of-the-way code has been added to FollowLeader AINode.
	+ Added a random factor the the footstep hearing code.
	
24-12-2002
			Ian <ian@maddocsoftware.com>
	+ Slightly modified SP corpse behavior.  Xinbo will need to help with animations.
	+ Added MoveOutOfTheWay functionality for bots.  Only hooked up to AINodeStand right now,
		but it's very sexy.
	+ Added error reporting to SetBotAttribute if you specify an attribute that doesn't exist.
		(Before it would just get stuck on that line of the scripts).

			Tara <tara@maddocsoftware.com>
	+ Retreat behavior revisions, make them more likely to break and run.
	+ Added a "Morale" bar to the bot display, which is how likely they are
		to break and run.  When it gets below half, they're pretty likely to come
		running back to you.
	+ Bots don't play idle animations while doing a scripted DeliverMessage command
	+ Don't display number of air strike cannisters for Field Ops bots anymore

			Xinbo <xkan@maddocsoftware.com>
	+ Fixed a couple of problems with bot selection number assignment
	+ Added bot name above selected bot popup command map.

23-12-2002
			Jason <rhea@OrangeSmoother.org>
	+ Fix for mouse sensitivities under multiview
	+ Fix for some time-based skill ratings and their interaction with match pauses (MP)

			Tara <tara@maddocsoftware.com>
	+ Bot Follow Leader revisions, so there's some randomness in when they crouch
		and break for cover, hopefully making it look less like an aerobics class.

			Xinbo <xkan@maddocsoftware.com>
	+ Displayed the lose condition countdown on screen.
	+ "Death" script event will be properly invoked if the bot is killed for the 
	  second time (after being killed first and then revived).
	  
			Gordon <djbob@splashdamage.com>
	+ Fixed bug in building the hash table lookup in r_cacheshaders 1 causing all manner of weirdness.

22-12-2002
			Jason <rhea@OrangeSmoother.org>
	+ Merged the callvote and rcon menus into a main menu definition with context menus
	  available for players, referees, rcons.  ingame_rcon*.menu files are no longer needed
	+ Added all possible callvotes and nearly every referee command to the cv/ref UI
	+ Added/tweaked a couple of existing voting options (updated createserver.menu to reflect
	  these updates)
	+ Moved a couple of things over to menudef.h, so you'll have to resync the etmain/ui assets
	  tree to make a build.

20-12-2002
			Xinbo <xkan@maddocsoftware.com>
	+ Players never gib in single player games
	+ Players do not respawn in single player games.
	+ Headshot does regular (no extra) damage on allied players in single player games.
	+ Turned off friendly fire in single player games.
	+ SP now use large med pack (previously unused), with a updated heal value of 50 points

			Tara <tara@maddocsoftware.com>
	+ Removed airstrike command for allied SP bots
	+ Changed bot HUD behavior - if you cycle to a command, that command will
		remain selected as long as it is valid.
	+ In SP, player always gets binoculars
	+ Allied bots automatically pickup ammo items like syringes, diguises,
		smoke grenades when they can use them and they're nearby
		
			Randy <ydnar@splashdamage.com>
	+ Removed a bunch of old tesla-related code from cgame
	+ Rewrote dynamic lighting code
		- dlights are vertex-attenuated, not cylinder attenuated
		- radius & intensity are separate, so you can have bright small lights and dim large lights
		TODO: Fix dlight culling code to use sphere/sphere tests

19-12-2002
			Jason <rhea@OrangeSmoothie.org>
	+ Several menu tweaks/bugfixes
	+ Fixes to multiview to actually make it work :()  Still some work left to do to incorporate all of
	  the new features of ET from RtCW, but it is now functional.
	+ Several weapon stat fixes

			Xinbo <xkan@maddocsoftware.com>
	+ Tweaked aim code.
	+ Fixed the problem where sometimes BJ talking head animation does not work.
	+ Added script command "SetFireCycleTime" to allow scripters to tweak fire rate related code.

			Tara <tara@maddocsoftware.com>
	+ Axis bots in the same squad will now trigger each other's enemysight sections,
		so if one bot in the squad sees an enemy, they all will hit the enemysight section
	+ Made SeekNonBattleGoal in SP take travel time into account again
	+ Bots can no longer be added to the same squad multiple times (one bot was taking
		up several spots in the squad).

18-12-2002
			Jason <rhea@OrangeSmoothie.org>
	+ Cleanup of some of the console-based gametype voting
	+ Fix-up for some map_restart commands based on the current gamestate (the state transition checks
	  *in the engine* place an undo constraint on the mod code and really should be gutted).
	+ Removed "tourney" from serverinfo and pulled the mostly deprecated g_noTeamSwitching cvar from the
	  engine (another cvar that should be ultimately controlled in mod-space).
	+ If a listen server, local client is always at least a "true" referee
	
			Gordon <djbob@splashdamage.com>
	+ Speeded up visible surface finding when -forcesidesvisible is set in bspc (basically free)
	+ Tweaked some other bspc code for smaller speedups
	+ Fixed cg_fastSolids to work with the flamethrower, still need to fix it to use bbox extents, not just origin
	+ Enabled cg_fastSolids and cg_backupPredict by default
	+ Added axial early out to assembly version of BoxOnPlaneSide, as a wrapper for the moment, perhaps implement in assembly too if required, 
		fixes slowdown on shooting entities (in debug, on win32)

			Xinbo <xkan@maddocsoftware.com>
	+ Changed bot aim code for single player -
		bots now shoot in a zig-zag pattern left-right right-left pattern
		crouching/prone bots shoot better and make enemies miss more at the same time
		eliminated twitchiness for shooting bots

17-12-2002
			Arnout <rr2do2@splashdamage>
	+ Fixed long time bouncy artillery smoke bug.
	+ Fixed getting skill points for killing dead bodies.
	+ Fixed spawn grenades.

			Jason <rhea@OrangeSmoothie.org>
	+ Added speclock checks to jump to freefloat from followmode as a spec
	+ Various console printing cleanups
	+ Small fix for health/adrenaline info shown for following spectators

			Tara <tara@maddocsoftware.com>
	+ Made SP weapons placed in editor WITHOUT respawn checkbox NOT respawn
	+ Made SetAmmoAmount function work with ammo and health packs use "AMMOKIT" and "MEDKIT as weapon name
	+ Fixed problem where bots sometimes couldn't open doors when commanded to
	+ Tethered bots to player a bit more so they don't get as far away from the player in combat situations
	+ Fixed bug that caused bots to run backwards to old seek cover spots far away from the player
	+ Fixes to Recon command so bots will not attack while on Recon, and definitely
		won't break out into full battle fight/seek cover behavior
	+ Changed ammo table so engineers start with several dynamites, so can
		complete maps that need it (like 88mm)
	+ Don't cause all enemy bots to disappear in SP when a engineer destructible appears for the enemy.
	+ Don't play idle animations in cinematics.

			Tim <tim@maddocsoftware.com>
	+ Took "delay" parm out of spawnbot (unused)
	+ In SP, make satchel charge covertops weapon, and show ammo amount in bot display
	+ Draw disguise icon for bots which are wearing disguise. NOTE: really bad placeholder art. I'm using
	  the axisUniformShader, but it's so small that you can't really see what it is. either we need new art
	  for the bot display, or we need to rearrange the selected bot info to display it.
	+ Send botteam message every time from squad select, not just the first time. Allows fireteam changes to take
	  effect

			Randy <ydnar@splashdamage.com>
	+ Added variable console heights. Small (3 lines) is shift+`, and fullscreen is alt+`
	+ Fixed HOM when cg_skybox is 0 and r_fastsky is 0 (now draws clear color)
	+ Purged all evidence of r_vertexlight from the code
	+ Warn on unsupported hardware (Rage Pro, Permedia, Riva 128)
	+ r_ignorehwgamma now set to 0 by default (prefer to use hardware gamma support)
	+ Purged last of r_fullbright
	+ r_shownormals are now 0.5 units rather than 2 units, easier to see normals on viewweaps
		
			Xinbo <xkan@maddocsoftware.com>
	+ Eliminated global variable d_player in cgame and updated all codes using it. It
	  is not being updated properly and has caused problems.

---------------- BUILD 035 - 2.10e (etmain)

16-12-2002
			Arnout <rr2do2@splashdamage.com>
	+ Satchel charge and detonator no longer make the covert ops loose his disguise.
	+ Added grid rendering to the commandmap and automap.
	+ Fixed weapon idle animation not set properly in CG_Respawn (no togglebits).
	+ Some tiny more skill system bits.
	+ Started using MDM and MDX models for the allied and axis players again. (MP only)
	+ Upped version number to ET 2.10e.
	+ Added adrenaline syringe animations.
	+ Fixed having a mortar emplaced not setting any animations on the player.

			Jason <rhea@OrangeSmoothie.org>
	+ Centralized the auth (referee and rcon) system for players, cleaning up some var names
	+ Centralized the enable/disable of voting items.  g_allowVote has been deprecated, and
	  g_voteFlags is now a ROM that is also a ServerInfo cvar that clients use to dynamically
	  update their UI.  Its also a SI cvar for server browsers like GameSpy/ASE to pretty
	  print if they so desire
	+ Completely revamped the voting UI in regards to enable/disable, current server settings,
	  and the player's auth status.  Still have to centralize callvote/referee/rcon into a
	  single set of menus to ease future updates.
			
			Randy <ydnar@splashdamage.com>
	+ Added variable rain amounts to atmospheric code
	+ Hacked in lightning for mp_colditz (test)
	+ Disabled texture compression on external lightmaps
	+ Added glTextureMode support for lightmaps

			Xinbo <xkan@maddocsoftware.com>
	+ Set damage dealt ratio through script command to modify the damage inflicted on the enemy
	
			Gordon <djbob@splashdamage.com>
	+ Added misc_cabinet_health and misc_cabinet_supply entities, to link to trigger_heal and trigger_ammo respectively
		in order to display a visual feedback for the triggers
	+ Tweaked the recharge rate of the trigger_heal/ammo
	+ Fixed health pickup sound
	+ Removed the right-click fireteam menu
	+ Fixed crash in MDX code
			

15-12-2002
			Arnout <rr2do2@splashdamage.com>
	+ Skill system revision stuff...
	+ Added some tracemap failsafes and warnings.

			Ian <Ian@maddocsoftware.com>
	+ Made BotCallForHelp more likely to get guys to run in
	+ Made a separate list of autonomy ranges for SP

14-12-2002
			Ian <Ian@maddocsoftware.com>
	+ Added accessor BotGetDamageRatio to get a modified damage ratio (based on dist to leader)
	+ Added accessor BotGetAimAccuracy to get a modified Aim Accuracy (based on dist to leader)
	+ Fixed bug in getting initial cover spots in which targetLocation wasn't set
		if we were using a scripted cover sequence.
	+ Added parameter "NONE" as option to Bot Script function SetCoverSequence.  This clears that field for bot state
	+ Added a check for FindEnemySP into Battle_Fight so that we could switch to a better enemy if one comes up
	+ Made BotCallForHelp more likely to get guys to run in
	+ Made a separate list of autonomy ranges for SP

			Tara <tara@maddocsoftware.com>
	+ Added script function SetAmmoAmount so can set how much ammo a bot has for a particular weapon,
		or how many syringes, smoke grenades, etc. it has.
	+ New bot command to pickup an item, when you have a medic selected and
		mouse over a syringe item, you'll get the grab icon and they'll run over
		and pick it up.
	+ Bots now only play their idle animations when you've been looking at them
		for a few seconds
	+ Fixed bot throw smoke grenade cmd, which kept throwing until you ran out
		of grenades
	+ Added hotkey for cmd "Follow Me", currently bound to 'k' (nothing's free!)

13-12-2002
			Arnout <rr2do2@splashdamage.com>
	+ Changed crosshair health to default to off.
	+ Wooo. Skill system revisions \o/.
	+ Got rid of holdableValue in usercmd, replaced with cgameflags. We're not using this but might be nice for mods.
	
			Jason <rhea@OrangeSmoothie.org>
	+ Merged Admin and Referee functionality.  The callvote/ref/rcon menus still need some work to add in
	  all of the new votes/commands that are available.
	+ Cleaned up some 50 or so release-build warnings (still over 700 remaining :p)
	+ Fixed cg_drawWeaponIconFlash 1 functionality

			Xinbo <xkan@maddocsoftware.com>
	+ When bot is hit by friendly fire, he will play move animation while moving out of the way
	+ Scaled weapon hit knockback way down for single-player.
	+ Hooked in the death animation from head wound.

			Tara <tara@maddocsoftware.com>
	+ Moved all wimp factor constants into ai_distances.h
	+ If leader stands still for several seconds, following bots will seek cover
	+ Allied bots won't use their enemy's seek cover trigger
	+ Added VO for when allies retreat to the player
	+ When moving to seek cover spots, bots don't count the time moving as time
		at the spot (so they stay at spots a bit longer)
	+ Fixed crash whenever you gave bots a non-combat command

12-12-2002
			Arnout <rr2do2@splashdamage.com>
	+ Moved ui_mp to ui.
	+ Removed activateable items.
	+ Skill system revisions!
	+ Upped UI mempool to 1.5 megs, due to the large amount of menu scripts we were running out of memory.
	+ Fixed callvote menu.
	+ Fixed damageRatio affecting non-player entities.
	+ Reduced skill system to 4 levels.
	+ Added support for translucent command map.
	+ Made cg_drawTimer work again.
	+ Fixed out of ammo sound on mortar when it is not really out of ammo.

			Ian <Ian@maddocsoftware.com>
	+ Added variable enteredCurrentAINodeTim to bot state so some nodes (the new SP retreat) can avoid thrashing.
		This must be set manually by each node's Enter function.
	+ Added BotFindEnemies to ai_dmq3.c to create a list of all dangerous enemies (for retreat AAS purposes)
	+ Put together AINode_SP_Retreat to handle Nazi retreating behaviors
	+ Wrote AAS_Retreat to 1) Flood Fill AAS data with distance from dangerous nodes, and 2) Find a safe node to go to
	+ Put in a dumb, inefficient Priority Queue to test functionality of AAS_Retreat (I need to switch to a heap). 
	+ Made all SP AINodes use AimAtEnemySP.

			Tara <tara@maddocsoftware.com>
	+ Removed more unused vars from bot_state_t
	+ Made reaction time scriptable once more - use SetAttribute BOT_REACTION_TIME <secs>
		to set how long it takes for bots to start firing once enemies are spotted
	+ Player issued attack command now uses new battle code, so they won't just run up
		to their enemy any more.
	+ Added NEVER_PRONE flag to seek cover spots, used at the end of a seek_cover chain,
		if the last spot is in a tight position and they shouldn't go prone there if cornered
	+ Made axis and allied seek cover spots different colors in Radiant
	+ Added new attribute BOT_WIMP_FACTOR, from 0-1, likeliness bots will break and retreat
		Used by Allied bots to see if they will retreat to the player
		Retreating factors in bot health, distance from player, if the player is visible or dead,
		as well as the wimp coefficient
	+ Added RetreatToPlayer node, so allied bots will run to the player if they wimp out,
		and if that fails, they'll use generic retreat code

			Tim <tim@maddocsoftware.com>
	+ Added new ammo pickups for smoke bomb, smoke marker, landmine, dynamite, satchel charge, and disguise for single player. Put in
	  really bad placeholder art (random models), and added to wolfet_entities.def
	+ In single player, bots don't hear knife attacks. Also, I had to make it so that they don't feel them, either: otherwise they would turn around
	  and attack you as soon as you stabbed them once, making a silent attack pointless. That can kind of suck, if the player only stabs the 
	  bot once: it'll just stand there.

			Xinbo <xkan@maddocsoftware.com>
	+ Fixed a bug where movetomarker script command does not work if bot is doing "faceentity"
	+ Pain animation is now dependent on the position of the hit and there are a variety of them 
	  (8 standing ones, 3 crouching ones, no proning one). No pain animation is played in proning
	  position (the bot used to "stand up in pain" :-) while hit in prone position)
	  
			Gordon <djbob@splashdamage.com>
	 + Fixed thinko in DeathmatchScoreboardMessage
	
11-12-2002
			Arnout <rr2do2@splashdamage.com>
	+ Disabled stealthy footsteps in MP.
	+ More skill system revisions.

			Tara <tara@maddocsoftware.com>
	+ Bots no longer switch out of fight node to go back to following (where they'd promptly switch to the fight node again)
	+ Fixed bug in follow code where in balcony situations (xpbot_museum), a group of following bots couldn't
		decide who was the leader and would just keep running back and forth.
	+ Fixed bug where ammo packs stopped working
	+ Moved item pickup display out from under bot HUD, so player can see what items
		they pick up (only moved for SP)
	+ Moved notification text so it isn't under bot HUD
	
			Ian <Ian@maddocsoftware.com>
	+ Inited DamageRatio for entities at a different place (it was being wiped after scripts had set it)

			Xinbo <xkan@maddocsoftware.com>
	+ Enclosed coverage map history code in COVERAGE_MAP_DEBUG. 
	+ Added mu_queue and mu_fade script commands.
	+ If the bot is in pain (playing pain animation), he can not think (no firing, moving, etc.)

			TTimo <ttimo@idsoftware.com>
	+ Linux: fixed cons build to support LINK, forced to gcc for smallest dynamic dependencies (ccache addition had broken that)		
	+ add mp_bin.pk3 generation

10-12-2002
			Arnout <rr2do2@splashdamage.com>
	+ More skill system revisions.

			Ian <Ian@maddocsoftware.com>
	+ Fixed bug with bots at most advanced seek cover spot not retreating if shot
	+ Fixed bug with advancing through cover spots not checking all siblings properly
	+ Fixed bug with cover spot's targets being the 0 string finding unnamed spots.
	+ Removed lingering bot squad hiding stuff that is no longer used
	+ Lengthened time that bots will stay at spots with exposed companion spots
	+ Fixed bug that made them immediately run out to the exposed spot (made you amIHiding start true)

			Xinbo <xkan@maddocsoftware.com>
	+ Added stealthFactor (aka noisyness coefficient). The lower the number, the 
	  harder it is for the enemy to hear the player/bot walking, and the lower the 
	  sound volume of footsteps. Current setting is:	   
			Soldier (most noise)1.0
			Engineer .6
			Medic .5
			Field Ops .5
			Covert Ops (least noise) .2
	+ Allies soldier has a couple of new idle animations

			TTimo <ttimo@idsoftware.com>
	+ #577 - merge in free fly spectator code
	+ don't reset the enterTime during a map_restart (ATVI Wolfenstein Misc #414)

		Tara <tara@maddocsoftware.com>
	+ Made use of exposed flag on seek cover spots, so bots will move between a spot
		and a neighboring exposed spot when attacking
	+ Fixed some of the hide/attack issues with attacking from cover spots that
		caused the bots to bob up and down in a ridiculous manner.
	+ When at a prone spot, bots will crouch to attack, not stand all the way up

09-12-2002
			Arnout <rr2do2@splashdamage.com>
	+ Started revision of skill and rewards system.
	
			Jason <rhea@OrangeSmoothie.org>
	+ Fixed MG-42 stats bug in warmup
	+ Minor bot fixes for match play
	+ cgame update to support windowed scene rendering.  Note, if you add stuff to be drawn in
	  CG_DrawActiveFrame that utilizes the current cg.refdef data, please utilize the cg.refdef_current
	  pointer instead.  If you add a subroutine that is to be called from DrawActiveFrame, please also
	  update CG_mvDraw() in cg_multiview in the appropriate place.

			Tim <tim@maddocsoftware.com>
	+ In SP, the player can pick up weapons dropped by enemy bots (regardless of his class)
	+ SP now uses the same compass/map and expandable automap as MP

			Xinbo <xkan@maddocsoftware.com>
	+ Enabled alternative idle animation for allies bots (better animations are being made though).
	+ Idle animation for bots in follow leader and cover target mode.

			TTimo <ttimo@idsoftware.com>
	+ propagate configurable voting system. Merging with Rhea's OSP voting.
		each vote is using it's own vote_allow_ item on game side, mapped those to a bit mask
		due to higher number of vote flags and issues with initialisation:
			using 32 bits and setting bits to 1 for forbidden votes
			set g_voteFlags to -1 for no votes
		new createserver.menu, ingame.menu, ingame_callvote.menu
		TODO:
			missing ingame votes for votes configured in createserver
			need special case for referee
			start_match doesn't have a toggle flag, present ingame, always allowed to be voted
			reset_match is listed ingame, but is not recognized as a valid vote (disabled for now)
			the detection of no vote is very minimal, should rely on what can actually be voted. but the ui is in (error_popmenu_novote)
	+ CVAR_ARCHIVE'd g_motd
	+ Linux: added ccache support (faster, faster, faster!)

		Tara <tara@maddocsoftware.com>
	+ First pass at allied bot battle code - they should now use seek cover spots where available,
	+ Made improvements to the allied bot knife wielding code, so they should actually run up to
		their target(if within autonomy range), and not just swipe at them from afar
	+ First pass at allied bots supporting their teammates, so if one of them gets
		into combat, they other bots won't just stand 10 feet behind them and
		ignore the combat

			Ian <Ian@maddocsoftware.com>
	+ Set up new batch files in source code SOS under "Tools\Binaries\ExtractEntities" for compiling
	  with the extractEntities executable that pulls out the AI-specific entities to cut the entity count.

08-12-2002

			Jason <rhea@OrangeSmoothie.org>
	+ Added bot settings to create server menu
	+ Minor fixups for some match state handling

			Ian <Ian@maddocsoftware.com>
	+ SP Bots at their last cover spot on the chain will go prone if shot
	+ Removed 25+ unused variables from the botstate

07-12-2002

			Jason <rhea@OrangeSmoothie.org>
	+ UI fix for focus issues on a fast cursor that would miss the call to the item's mouseLeave script
	+ Fixed another UI focusing problem when a group is terminated
	+ "Create Server" .menu updated. There are new 5 sections: General, Match, Voting, Admin and MOTD.
	  Lots of cleanup and change of flow to the .menu
	+ Added some additional game cvars to the ui_main.c for proper mapping in the create server menu

06-12-2002
			Arnout <rr2do2@splashdamage.com>
	+ Forced autoreload on for bots.
	+ Made lastlerporigin and lastlerpangles work.
	+ Made mortar grenade align to it's trajectory properly.
	+ Changed mortar soundcode.
	+ Added snd_reload, this reloads all soundsfiles that are in memory from disk.
			
			Randy <ydnar@splashdamage.com> <ydnar@shaderlab.com>
	+ Sky rendering optimizations + fixes
		- Added alphaGen wave noise support (it was broken, causing a DROP error on access)
		- Fixed (changed, this was weird) code in tr_sky.c that was stuffing one vert per stage of a sky shader,
		  changed to only push one set of verts to tess
		- Added RB_CHECKOVERFLOW to sky rendering to accomodate > 2 sky shader stages reliably
		- Optimized portal sky rendering. Skybox rendering no longer walks the entire BSP, saving 1-2 frontend msec per frame
		  (sky portals are now limited to 32 BSP leaves, so don't use structural brushes!)
	+ Added generic culling counters to see effectiveness of new culling code (enable via r_speeds 2)
	+ Shaders can now have implicitMap/implicitMask/implicitBlend instead of explicit shader stages
	
			TTimo <ttimo@idsoftware.com>
	+ #577 - url/mod_url functionality, ET theme for urls.menu
	+ #577 - flamethrower cheat (aim at your feet) - G_BurnMeGood
	+ #577 - ATVI Wolfenstein Misc #462 - sv_punkbuster trigger dependent on what core says
	+ #577 - vsprintf -> Q_vsnprintf to fix many potential overflow crashes
	+ #577 - IP banning fix - idcvs/2002-August/000223.html
		and Xian GUID-based maxlives enforcement - seems functional but cl_guid is not effective atm
	+ Linux: using ~/.etwolf, renamed window class to 'Enemy Territory'

			Tara <tara@maddocosoftware.com>
	+ First pass at Follow leader revisions so they spread out and seek cover depending
		on if the leader is running, crouching, prone, etc.

			Jason <rhea@OrangeSmoothie.org>
	+ Fully synced weapon stats to the ET arsenal.  +wstats/+wtopshots/weaponstats should now all
	  report accurate info.
	+ Cleanup of some client cvar flags sent to the server
	+ Various visual tweaks for new OSP features

			Xinbo <xkan@maddocsoftware.com>
	+ Added [history] option to console command "CoverageMap". It only works in development
	  mode, and it displays coverage map data from the last 10 sessions of this map. The color
	  it displays at each covered spot depends on the frequency this spot has been covered over
	  these sessions.
	+ Fixed hurt/death/pain sound playing for allies.
	+ Tweaked smoke bomb/bot vision code (something must have changed with the underlying smoke code) 

			Ian <Ian@maddocsoftware.com>
	+ Renamed server entity special files from .txt to .cat to avoid them loading in notepad all the time.

05-12-2002
			Jason <rhea@OrangeSmoothie.org>
	+ Merged in final components for game (g_main.c)
	+ Merged in final client components in cgame
	+ Major OSP integration is complete.  I still have a number of small items remaining
	  due to differences between ET and RtCW, but the bulk is now in and tweak mode
	  begins.  I'll put together a doc that outlines all of the new commands and
	  variables for both server-side and client-side.

			TTimo <ttimo@idsoftware.com>
	+ additional TODO for #577:
		- merge in free fly spectator stuff
		- propagate MG42 prediction (Arnout)
		- Q_vsnprintf everywhere
		- IP filtering fixups
		- ATVI Wolfenstein Misc #414 (conflicts with current stuff) - don't reset the enterTime during a map_restart
		- Xian GUID-based maxlives enforcement
		- URL / mod_URL
		- drop airstrike and join spec
		- flame thrower cheat, run and fire at the ground
	+ fixed EV_FIRE_WEAPON_MG42 playing MG42 sound twice
	+ Linux: libGL.so.1
	+ update serverinfo.menu/error.menu to match ET color theme

			Ian <Ian@maddocsoftware.com>
	+ Added explicit reloading check to Battle_Fight SP AINode.
	+ Checked scriptAutonomy in Battle_Fight to make sure we're allowed to chase enemies.
	+ Added botscript function "SetCoverSequence" which should specify the name of the first cover spot in
	  a sequence for the bot to use.  This overrides any sequences set on the enemies.

			Tara <tara@maddocsoftware.com>
	+ Added SetScriptAutonomy script command, let's you set if bots will break out of
		their current command to attack the player.  See BotScriptCommands for details

			Tim <tim@maddocsoftware.com>
	+ Added lockpick weapon (WP_LOCKPICK). Just placeholder art and stuff.
	+ Made new key value KEY_LOCKED_PICKABLE to indicate that a door is locked but can be picked. Key value in editor is set as 99 to indicate
	  that the lock can be picked. 
	+ Fixed up CG_CheckForCursorHints(). Basically just turned a huge if-then-else statement into a switch for readability (and to help
 	  me find some mismatched brackets).  
	+ Added HINT_LOCKPICK

04-12-2002
			Jason <rhea@OrangeSmoothie.org>
	+ Merged in the remaining OSP server-side updates (minus some match state in g_main.c)
	+ Added autoreload to pmext (from RtCW 1.4) + supporting functionality
	+ Removed deprecated cg_emptySwitch
	+ Final mass-updates will be all cgame (today/tomorrow)
	
			Randy <ydnar@splashdamage.com> <ydnar@shaderlab.com>
	+ Added "cycle" cvar command: To use, bind a key to cycle a cvar, for instance:
	  /bind backspace "cycle r_speeds 0 3"
	  The command is in the form of cycle <var> <min> <max>
	  It will cycle a cvar's integer value from min to max, then loop back to min.
	+ Global Q3 _fog volume now sets clear color and z farplane
	+ Refactored map drawsurfaces to have homogenous header
		+ New drawsurface culling code in renderer front end, treats SF_FACE, SF_GRID, SF_TRIANGLES
		  and SF_FOLIAGE the same way, doing frustum culling, backface/plane culling
		+ Added 5th frustum plane (farplane)
		+ BSP/marksurfaces recursion now uses frustum farplane for culling
		+ Drawsurface culling code uses same
	TODO:
		- Use homogenous surface information for dlighting
		- Implement runtime shadow frustum occlusion using same

			Xinbo <xkan@maddocsoftware.com>
	+ Added coverage map, which displays what parts of the map have been explored.

			Tara <tara@maddocsoftware.com>
	+ Fixed problem where SP games would restart when a Nazi died and there were
		no Axis left on the map.  This bug also caused cinematics to repeat themselves

			TTimo <ttimo@idsoftware.com>
	+ updated from SOS, fixed Linux build for newly added files
	+ show_bug.cgi?id=577
	  1.33 -> 1.41 merge work into ET
	  have core code and ui merged
		merging in new ui scripts - built ui.patch with only the changes to ui scripts
		reordering ingame.txt load order for correct draw order
		patched error.menu serverinfo.menu, urls.menu is new
		
		TODO:
		- hook up voting system in game? (check with Rhea)
		- hook up auto-update dialogs
		- hook up auto-reload in controls
		- sv_punkbuster trigger dependent on what core says (ATVI Wolfenstein Misc #462)
		- massive createserver.menu update with voting conf
		- the ui for server info / error and urls is not matching the ET color scheme
		- the server info fails to retrieve if local server (?)		

03-12-2002
			TTimo <ttimo@idsoftware.com>
	+ show_bug.cgi?id=577	
		applied src patch, going through the diff and fixing
		ignoring diff parts to ui scripts (main/), cgame and game
		updated pb to what I have in 1.4
		NOTE: WINDOW_MODAL in ui/ merge .. conflicts with WINDOW_DRAWALWAYSONTOP? are they same functionality?
		merged all menus into ui_mp/ingame.txt, load from a single file (was required for some menus to be common to ingame/menu)
		
	TODO:
	- update the ui scripts content
	- go through the diffs again, candidate ui changes
	- go through cgame/game diff, see what stuff we'd need to patch in now, and what can wait

			Jason <rhea@OrangeSmoothie.org>
	+ Merged in the bulk of OSP serverside code (update your game projects with new sources)
	+ Most new cgame commands and windowing now functional 
	+ New server commands and voting options available (nothing in the UI yet)
	+ Small tweak to the controls menus
	
			Randy <ydnar@splashdamage.com> <ydnar@shaderlab.com>
	+ Added native support for external lightmap images in this form:
	  "maps/<mapname>/lm_NNNN.tga"
	  Invalid or out-of-range lightmap indexes attempt to load an external lightmap
	+ Added tr.worldDir for external lightmap support and future BSP extensions

			Xinbo <xkan@maddocsoftware.com>
	+ Fixed the problem of bots playing death-like animation under certain situations
	  (such as scripted to play an animtion right at spawning) when they should play
	  a good animation.

---------------- BUILD 034 - 2.10d (etmain)

02-12-2002
			Arnout <rr2do2@splashdamage.com>
	+ Moved tracemap code to bg_tracemap.c, server now also loads the tracemap (FIXME: optimize loading, now reads byte by byte - this is slow)
	+ Mortar implementation finished.
	+ Added mortar hud.
	+ Upped version number to ET 2.10d.

			Ian	<ian@maddocsoftware.com>
	+ Changes to SP AINode_SP_Battle_Fight stuff:
		* Nazi bots will tend to move forward unless they've been shot recently
		* Improved bots' claim on cover spots (refreshes claim time more often)
		* Bots in "Crouch" spots will stand and shoot periodically
		* Bots who are standing and shooting in "Crouch" spots will duck if shot
	+ Changed fire rate stuff for bots to be more natural (bursts are more common)
	+ Condensed the million and two checks for enemy death into single function: BotIsEnemyDead

			Randy <ydnar@splashdamage.com> <ydnar@shaderlab.com>
	+ Fixed envmapping. Works correctly on rotated entities including first-person view weaps
	  Re-transforming reflection vector from model space to world space via partial linear subset
	  of inverse modelview matrix
			
			Jason <rhea@OrangeSmoothie.org>
	+ Fixups for demo playback
	+ Added a colored background round timer w/optional reinforcement timer to the right

			Xinbo <xkan@maddocsoftware.com>
	+ Added script command StartLosingCountDown and ResetLosingCoundDown.
	
			Gordon <djbob@splashdamage.com>
	+ Fixed crash in BSPC after CM_LoadMap, relating to uninitialized memory
	+ Fixed BSPC treating all surfaces with patchheight/width as patches, not checking the surfacetype
	+ Added frustrum culling of temporary marksurfaces (player shadows for example) for a little speedup
	+ Moved parsing of skybox parms out to a seperate function

01-12-2002
			Arnout <rr2do2@splashdamage.com>
	+ Increased ammo for GPG40 and M7 to 8.
	+ Started base implementation of mortar.

			Jason <rhea@OrangeSmoothie.org>
	+ The bulk of the OSP-based client-side options are in place, including the cgame windowing
	  system and Multiview spectator support.  However, anything that isn't local won't work
	  until I get the server-side support rolling
	+ Added 2 new files to the cgame.dsp: cg_multiview.c and cg_window.c
	+ controls.menu update
	+ Server MOTD support in place for client viewing during connect

30-11-2002
			Jason <rhea@OrangeSmoothie.org>
	+ More UI updates with additional client-side configuration options.  Also rearranged
	  some of the item locations for better grouping of similar option types.  Cleaned up
	  some of the formatting as well.

29-11-2002
			Ian	<ian@maddocsoftware.com>
	+ Fixed compile errors (missing semi-colons) in g_combat.c

			Arnout <rr2do2@splashdamage.com>
	+ Changed atmospheric effects and tracemap generator slightly to ensure rain stays outside.
	+ Added new satchel charge sounds.
	+ Satchel charge now gets removed on teamchanges and disconnects.
	+ Fixed getting a second satchel charge if you died when one was already placed in the world.
	+ Changed way spawnflags work on func_explosive and func_constructible. If explosive is set, normal explosives damage it. Dynamite and Satchel set means it can be damaged by both of these types of explosives.

			Jason <rhea@OrangeSmoothie.org>
	+ Added tooltip info, a new crosshair configuration section, and other new "view" settings
	  to the options/ingame_options .menu files
	+ Support for several of the above settings added to the menus is now active (however,
	  crosshair coloring won't show up until Arnout can get the proper shader updates that
	  I am sending to him OOB of SOS).
	+ Added random reinforcement offsets, dictated by the server.  Also enabled clients to view
	  reinforcement times on the HUD with cg_drawReinforcementTime.
	+ Added match_warmupDamage to allow for damage settings in warmup.  0 = none (default),
	  1 = enemies only (and self), 2+ = anyone
	+ Began server-side updates for MP pausing (level.timeCurrent, level.timeDelta)
	+ Initial merging of server-side match states
	+ Support for new local client commands: autoScreenshot, autoRecord, currentTime, and +vstr	

			Randy <ydnar@splashdamage.com> <ydnar@shaderlab.com>
	+ Multiplied wolf fog by identity light for more consistent fogging on levels, irrespective of the state of overbrighting

28-11-2002
			Arnout <rr2do2@splashdamage.com>
	+ Fixed hud drawing if client was spectator.
	+ Changed give ammo to only give ammo for weapons the client has.
	+ Base implementation of satchel charge.
	+ Changed automap in MP to use it's own X and Y coordinates.

			Gordon <djbob@splashdamage.com>
	+ Added cg_backupPredict which should speed up prediction when enabled, as it caches old predicted playerstates so it doesnt need to rebuild them all the time
	+ Added cg_fastsolids which should speedup prediction when enabled, by only treating entities as solid if close enough to the player
		- Note: this has some side-effects with the flamethrower going through walls etc, so likely dont want to enable this, or have flamethrower code ignore this
	
27-11-2002
			Jason <rhea@OrangeSmoothie.org>
	+ Added support for "tooltip" attribute in UI .menus for popup contextual information on
	  menus/items (will begin adding .menu updates for various config/voting options)
	+ Support for a few more in-game menu items (i.e. voting and blackouts) that will be added 
	  in a forth-coming update
	+ Ported over a couple of other bg components that were needed for the ui updates, but
	  will also be needed in the game/cgame modules

			Ian	<ian@maddocsoftware.com>
	+ Modified SP Battle_Fight to cause bots to start shooting when they reach a new cover spot

			Xinbo <xkan@maddocsoftware.com>
	+ Toggle auto map on and off with F8.
	+ Fixed a problem with stopgamemodelanimafterloop where the game model started again
	  after it is stopped if you go away and then come back.
	
			Randy <ydnar@splashdamage.com> <ydnar@shaderlab.com>
	+ Added r_drawfoliage cvar
	+ Re-enabled dlight-leaf checking

26-11-2002
			Randy <ydnar@splashdamage.com> <ydnar@shaderlab.com>
	+ Added new foliage rendering system (MST_FOLIAGE/SF_FOLIAGE)
	  (fixme: write documentation)
	+ Added level-wide Q3 volume fogging (supported via Q3Map2) in worldspawn "_fog" key
	+ Optimized Q3 fog code for eye-in-fog case
	+ Fixed shader loading bug where a shader request with an invalid lightmap id (< 0)
	  would bork all future valid lightmap requests of said shader
	+ Fixed console wrapping to wrap to screen width (not 640 pixels)
	+ Added new cvar r_clampToEdge to substitute (the desired) GL_CLAMP_TO_EDGE from GL_CLAMP requests
	+ Added shader fix where explicit lightmap pass in shader gets set to *white + CGEN_EXACT_VERTEX
	
			Ian	<ian@maddocsoftware.com>
	+ Added scripting command "SetSpeedCoefficient" to adjust the speed of individual bots in SP

			Arnout <rr2do2@splashdamage.com>
	+ Fixed capsule collision detection with patches, problem was caused by code not being merged properly from TA.
	+ Fixed predicted, local client jittering across commandmap/automap as it wasn't using the lerpOrigin.
	+ Changed rain to use the optimized atmospheric effects code. No impact marks anymore though.
	+ Removed atmospheric effect configstring, moved it to clientsided parsing.
	+ Added BG_AddMagicAmmo to bg_public.h.

			Xinbo <xkan@maddocsoftware.com>
	+ Expanded the usefulness of "nowait" option in "playanim" script command. It is possible
	  to play different animations on legs/torso through the use of "nowait" option.

			Tim <tim@maddocsoftware.com>
	+ Hooked up new single player art for automap: now has square map embedded in round art, and the compass icons are again
	  drawn around the circle in the art.
	+ Don't display bot stamina bars
	+ Adjusted selected bot display to compensate for taking out bot stamina bars

			Gordon <djbob@splashdamage.com>
	+ Added POW (prisoner of war) AI, basically short circuits various AI behaviour nodes, and stops the guy from tapping out/being totally killed
	
25-11-2002
			Arnout <rr2do2@splashdamage.com>
	+ Made MDS and MDM set their surfacetype on load, instead of being dependant on what the model compiler provides us.
	+ Rewrote a lot of the atmospheric effects code for snow (still have to move it over to rain). Runs much faster now, no traces being used anymore and early-out culling.

			Xinbo <xkan@maddocsoftware.com>
	+ Smoke from smoke grenade (smoke bomb) now blocks bots vision

			Tim <tim@maddocsoftware.com>
	+ Hooked up the rest of the special weapons to use ammo in SP
		
			Gordon <djbob@splashdamage.com>
	+ Reworked fireteam to allow leader to select specific command to send to clients, + added in support for all/most sp commands

22-11-2002
			Arnout <rr2do2@splashdamage.com>
	+ Added tracemap generator - will be used to optimize atmospheric effects and add other effects.
			
			Xinbo <xkan@maddocsoftware.com>
	+ Can no longer pick up ammo packs when ammo is already at maximum
	+ Changed sound spatialize code to oberve the law of conservation of energy
	  (attenuation, however, does not obey physical law for now). This makes the total
	  sound volume to be no longer subject to the direction of the sound, i.e. people
	  speaking right in front of you will not sound further away than people speaking 
	  on your left or right at the same distance.

			Tara <tara@maddocsoftware.com>
	+ props_statues can now be destroyed with bullets

21-11-2002
			Xinbo <xkan@maddocsoftware.com>
	+ Added "syncsound" option to playanim/playeranim
	+ Added "stopsound" script command.

			Tara <tara@maddocsoftware.com>
	+ Added FaceEntity script command
	+ Added FireAtTarget script command from SP codebase
	+ Bots will now go stand on ammo and health crates when they're close by
		and need to use them
		
			Tim  <tim@maddocsoftware.com>
	+ Took out old obsolete script commands BotPool, StartingSquad, RequiredClass, and MaxStartingBots and all
	  of their existing infrastructure
	+ Fixed bug in dispalaying top bot slot in SP team overlay
	+ Moved starting class stuff out of clientinfo and put into cgs
	+ Don't draw bot special weapon recharge
	+ Show new special weapon icons for bot special weapons in SelectedBot display
	+ Converted airstrike, ammo pack, syringe, med pack, dynamite and trip mine to be ammo-based instead of charge-based for single player
	

---------------- BUILD 033 patch 2 (features) - 2.10c (etmain)

20-11-2002
			Arnout <rr2do2@splashdamage.com>
	+ Added automap to MP.
	+ Added compass around automap in MP.
	+ Fixed compass not using cg.predictedPlayerState to get the viewangles, causing jaggy movement.
	+ Added +expandmap command to slide in a bigger version of the automap.
	+ Fixed automap not working with mutliple layer commandmaps.
	+ Basic tracemap generation for atmospheric effects optimization.
	+ Upped version number to ET 2.10c.
	+ Changed font of timer and FPS to small.
	+ Moved carrying objective icon to topright.
	+ Added MapZoomIn, MapZoomOut and +mapexpand to the controls menu.
	+ Disabled drawing of playernames on the automap.

			Tara <tara@maddocsoftware.com>
	+ Landmines no longer set off other landmines, which was causing massive
		chain reactions in mine fields

			Xinbo <xkan@maddocsoftware.com>
	+ Added clearanim for player.
	+ Added nowait option for playanim/playeranim

19-11-2002
			TTimo <ttimo@idsoftware.com>
	-- linux / ttimo.net cvs specific --
		+ update from SOS

			Arnout <rr2do2@splashdamage.com>
	+ Started reworking MP HUD.
	+ Changed server connection screen saying Enemy Territory instead of Wolfenstein Multiplayer
	
			Ian	<ian@maddocsoftware.com>
	+ Added new project configuration to VC 6 version of project: "Release Missionpack with Debug".
	  This is a release build with just line numbers for debug info.  Much easier to fix.
	+ Added command line parameters to "Extract" project, a program that pulls out special AI/server entities

			MrE <MrElusive@idsoftware.com>
	+ added trace plane optimization to collision detection activated with MRE_OPTIMIZE.
	+ added decreasing bbox optimization to collision detection activated with MRE_OPTIMIZE.

			Xinbo <xkan@maddocsoftware.com>
	+ added script command StopGameModelAnimAfterLoop <target name of misc_gamemodel>, 
	  which stops the specified game model animation after the current loop.
	+ added script command PlayerAnim to play animation for the player in cinematic.

			Tara <tara@maddocsoftware.com>
	+ Changed bot find mine behavior to be more thorough when searching an area, and work better
	+ Fixed problem where bots where charging into locations they were supposed to be searching/
		covering/using grenades on instead of stopping when they could see the spot

			Tim <tim@maddocsoftware.com>
	+ Fixed bug in journal window, where text was being cut off before the right edge of the window
	+ Added script command AddToJournal
	+ Fixed bug with offscreen commander not lip synching properly
	+ Put in background art for mission briefing screen
	+ In mission briefing screen, check for completed objectives set by both wm_set_objective_status and wm_objective_status

---------------- BUILD 033 - 2.10b (etmain)

18-11-2002
			TTimo <ttimo@idsoftware.com>
	+ .so have bunch of undefined:
		itoa is not portable, use va instead
		stricmp is not portable -> Q_stricmp
	+ ui stuff is broken
	  using SD's ui code (mp_pak1.pk3) expanded into etmain/	
	-- linux / ttimo.net cvs specific --
		+ ET uses MAIN/ instead of main/ for the legacy UI code
			removing main/ for cvs (conflict on win32 case-insensitive filesystem)

			MrE <MrElusive@idsoftware.com
	+ fixed BSPC code which adds bevels to a brush for collision detection with an AABB.
	+ the BSPC bsp algorithm first builds an axial grid to localize AAS data changes and floating point rounding issues.
	+ wrote new BSPC brush split algorithm which favors overconstrained brushes.
	+ removed bad code from bsp split side selection in the BSPC

			Tara <tara@maddocsoftware.com>
	+ Put back in props_flamebarrel
	+ Hooked up system so you can load in server entities from a separate file
		(possible crash fix for too many entities in map)

			Tim <tim@maddocsoftware.com>
	+ Put in SetBJAnimatedHead scriptcommand
	+ Added CG_IsSinglePlayer() - heh, so did Gordon! Great minds think alike!
		
			Gordon <djbob@splashdamage.com>
	+ Added CG_IsSinglePlayer for singleplayer checks on client
	+ Added display of fireteams on hud, and removed some other bits that get in the way
	+ Fixed a few misc bugs with server handling of fireteams
	+ Changed fireteam naming to a static set of military style names

17-11-2002
			Arnout <rr2do2@splashdamage.com>
	+ Reworked snow in atmospheric effects, upped max particle count to 5000.

16-11-2002
			TTimo <ttimo@idsoftware.com>
	-- linux / ttimo.net cvs specific --
		+ got linux version building again, updated the build system for new extractfuncs stuff (in game/ and botai/)		
  
15-11-2002
			TTimo <ttimo@idsoftware.com>
	+ updating the code to build again on Linux
	  tagged ttimo.net CVS with pre-ET-sync before fixing
	+ show_bug.cgi?id=574
	  game code references sound subsystem. breaks dedicated server.
	+ show_bug.cgi?id=575
	  union { .. is non portable, must use typedef union { .. } a_union;
	+ MSVCism: matrix functions in tr_animation_mds.c tr_animation_mdm.c are aliasing, made the ones in tr_animation_mds.c static
	
	-- linux / ttimo.net cvs specific --
	+ retired unix/ChangeLog, using the central one now
  	+ Anjuta wolf.prj linked dir line:
		cons.linkeddir=debug-x86-Linux-2.3:unix;release-x86-Linux-2.3:unix;unix/debug-x86-Linux-2.3:unix;unix/release-x86-Linux-2.3:unix;extractfuncs/out:..
		the order is important
			debug-x86-Linux-2.3 at the beginning of the path can happen because of the build system which CDs to unix/
				since we give relative to .prj for the dest dir, use unix
			this situation is kind of hackish. may have to add some path functionality to anjuta-cons stuff
		+ R_MDM_* -> removed tr_animation.c, added tr_animation_mdm.c tr_animation_mds.c
		+ cleaning up in botai/: 
			removed ai_chat.c ai_chat.h ai_dmnet.c ai_dmnet.h
			game/ai_cast*	

			Ian	<ian@maddocsoftware.com>
	+ Slowed down speed of player and bots in SP
	+ Added some placeholder code for parsing special AI entities.

			Arnout <rr2do2@splashdamage.com>
	+ Reworked prone Mobile MG42 code.
	+ Fixed tracer origin height for other clients when in prone mode.
	+ Upped version number to ET 2.10b.
	+ Moved a number of "main" strings in engine code to use the BASEGAME define.

			Tara <tara@maddocsoftware.com>
	+ Added SetActiveWeapon script command
	+ Don't draw invulnerable sprite over players and bots in SP
	+ Bots can once again disarm mines
	+ Player doesn't start out on fire for the first 2 secs anymore
	+ Fixed intermittent problem when skipping cinematic and VO sometimes
		continued
	+ If you die and you medic is alive but has no syringes, you lose

			Tim <tim@maddocsoftware.com>
	+ Added new script command SetBJAttributes. Allows setting custom model, skin, and head, as well as enabling animated heads for the player (BJ)

14-11-2002
			Tara <tara@maddocsoftware.com>
	+ Fixed bug where covert ops bots that had SetWeapon COLT wouldn't get binoculars
	+ DeliverMessage now works when the deliverer is following the leader, as well
		as when they're standing still

			Tim <tim@maddocsoftware.com>
	+ In single player, Allied team members can pick up blue and red flags (Axis can't pick up any)

			Gordon <djbob@splashdamage.com>
	+ Added AA Gun code, needs a new model for the gun + waiting on player animation for player sitting in gun too, before i finish it all
	+ Changed MG42_BULLET_HIT_WILL etc to be broadcast in SinglePlayer, or player wont get full tracer effects in distance fogged maps
	+ Backported some of Rhea's additional fixes to Antilag 
		- ignoring backupmarker cache time, as not all players will have moved when another player fires, d'oh
		- limiting client search to level.numConnectedClients

---------------- Mad Doc BUILD 11/14/2002

14-11-2002
			Arnout <rr2do2@splashdamage.com>
	+ Changed fov_y calculation to use the screen aspect ratio.
	+ Added error message for a misc_gamemodel with ANIMATE spawnflag set but no frames set.
	+ Moved FG42 to Covert Ops.
	+ Added '$lightmap', '$whiteimage', '*white' and '$dlight' support to the 'lightmap' shader command.

			Tara <tara@maddocsoftware.com>
	+ Fix to make dynamite target bot command work better
	+ If a bot is killed while in the middle of a movetomarker patrol, it won't crash
	+ Added voice chat cmd to cycle weapon.  Bot will use commanded weapon until
		out of ammo, or the player uses the "use best weapon" cmd, which lets
		them go back to picking which they will.
		Only weapon-y weapons are cycled, not medkits, syringes, etc.

13-11-2002
			Ian	<ian@maddocsoftware.com>
	+ Brand new AINode_SP_Battle_Fight code.  This is not 100% complete, but it's getting there.

			Arnout <rr2do2@splashdamage.com>
	+ Changed GAME_VERSION to "Enemy Territory".
	+ Added script_mover description drawing to the tank healthbar (description key on script_mover entities with health).
	+ Fixed empty healthbar showing up over enemies.
	+ Changed CG_CalcMuzzlePoint to actually return the proper muzzlepoint for MG42's.
	+ Removed PMF_PRONE, as EF_PRONE was providing the same information.
	+ Fixed prone clients moving over tiny polygon ledges playing a jump animation and getting thrown out of prone.

		Tara <tara@maddocsoftware.com>
	+ Bot menu hotkey will now close the menu when it's already open
	+ Can't open the bot menu when no bots are selected
	+ If you switch to no bots selected when the menu is open, it'll close
	+ Implemented new Server Entities, which are used for seek cover spots,
		They have much less data, and can only be used for entities that
		don't move, and don't have to interact with the world.
	+ ai_marker also uses server entity

12-11-2002
			Arnout <rr2do2@splashdamage.com>
	+ Likely fixed a crash in CG_CalcMoveSpeeds.

			Tara <tara@maddocsoftware.com>
	+ Bots now set off landmines
	+ props_flamethrower do damage now
	+ Implemented "Listen up/Go go go" command
		Hit "g" - then you can queue a command to each bot, and they will execute
		it when you hit "g" again

			Gordon <djbob@splashdamage.com>
	+ Back-ported my 1.4 antilag fix for multiple bodies/warping of clients
	+ Added proper bouncing shell sound code for marauder, to replace the in-fire-sound wav ones, removed some old gib bounce sound code which had no sounds set up

11-11-2002
			Tim <tim@maddocsoftware.com>
	+ Put in talking head for offscreen commander, and set up a script function to invoke him.

			Arnout <rr2do2@splashdamage.com>
	+ Added crosshair health display for script_movers with health.
	+ Merged differences with splines library used in WolfSP into the MP tree (missing Feather for example)

---------------- Mad Doc BUILD 11/11/2002

11-11-2002
			Tara <tara@maddocsoftware.com>
	+ Bots in the Stand node can now shoot at extreme angles again, so can target people
		in balconies, below them on stairs, etc
	+ Possible fix to difficulties with commanding bots to build constructibles
	+ Put back in the Give Team Health/Ammo bot commands
		Changed their behavior so they aren't timed, but stop when there's no one
		else to help or you are out of ammo/health packs
		These commands no longer give packs to the player.
	+ Player can't mount broken MG42s in SP, and won't get the cursor hints for it either
	+ SP Allied Soldier bots get Thompson in addition to flamethrower or panzerfaust

07-11-2002
			Tara <tara@maddocsoftware.com>
	+ SetSelectable script command will now properly update the team display in upper left
	+ SetSelectable OFF will stop a bot from doing its current player command, and prevent
		the player from giving it new orders
	+ Another (hopeful) improvement to revive - bots crouch when reviving, maybe helping
		out in those hard to reach places

			Xinbo <xkan@maddocsoftware.com>
	+ Playsound script command now always works regardless of the visibility of the bots.


			Tim <tim@maddocsoftware.com>
	+ Talking heads now use special one-frame animation so they stand still, and, if present, use 
	  tag_camera to find the center of the face

06-11-2002
			Arnout	<rr2do2@splashdamage.com>
	+ Fixed flags not returning.
	+ Fixed dynamite can damage constructibles calculation.

			Gordon	<djbob@splashdamage.com>
	+ Added "construct" script to automatically build a constructible without a player needing to poke it with some pliers

			Tara <tara@maddocsoftware.com
	+ Added script command "SetSkillLevel" to set the skill for the skill system
		In SP, you no longer get automatic skill upgrades.  Instead, will be trigger
		based.  See BotScriptCommands for syntax

---------------- BUILD 032 - 2.10a (etmain)

05-11-2002
			Arnout	<rr2do2@splashdamage.com>
	+ Fixed tags on mds models, removed some unneeded tag code from mdm bone calculation.
	+ Fixed construction system, was broken due to recent AAS area enabling code additions.
	+ Added EF_TAGCONNECT gun rendering in first person (placeholder).
	+ Updated resources and window creation bits to say "Enemy Territory" etc.
	+ Fixed even more CG_Bullet and CG_CalcMuzzlePoint issues.
	+ Changed console autocomplete to ensure shortest string (this was supposed to be the case as well, but wasn't). This also fixes a crash in the newer autocomplete code.
	+ Changed extended console autocomplete to put the cursor at the end of the completed string as well.
	+ Changed GAMENAME_STRING to "et".
	
			Xinbo <xkan@maddocsoftware.com>
	+ Break out of idle animation when leaving AINode_SP_Stand.

04-11-2002
			Arnout	<rr2do2@splashdamage.com>
	+ Made HIGH spawnflag on MG42's actually work. MG42's without this will have it's muzzleflash 16 units lower then, fixes MG42's hitting ceiling for no obvious reason bug.
	+ Rewrote flag code to work properly with multiple flags.
	+ Upped version number to ET 2.10a.
	+ Removed skill requirement for disguise.

			Xinbo <xkan@maddocsoftware.com>
	+ Added SND_NO_ATTENUATION flag. Used it for bot chatting over radio with the player.
	+ Balanced the target_tumber effect.
	+ Added lose condition when the player is dead and there is no medic to revive him.
	+ Queued message sprite is now shown above the bot's head

			Tara <tara@maddocsoftware.com>
	+ Fix to covert ops detecting mines so they don't get stuck if one is at the edge
		of their vision
	+ Fix to another few cases of endless ainode switching
	+ Another few artillery fixes - one if you tried to call in 2 artillery strikes
		in a row, the 2nd might not work, and if a bot was following you and
		then told to artillery, in some cases it might try to call the artillery
		at your feet
	+ If you give a move order pointing at a cliff with different slopes,
		the move point will now be dropped all the way to the ground

			Tim <tim@maddocsoftware.com>
	+ Player spawns with default class weapon (in single player). Bots do as well, unless /weapon specified in spawnbot call.
	+ "Talking Head" bots centered by tag_mouth if present, otherwise hacked in to be centered. In the future, there will be an appropriate
	   tag put into the head models so we can center the talking head camera properly.
	+ Added Journal section to mission briefing screen. It's a scrollable buffer, with two buttons. I did it the dumb way (copy strings backward
	  when full). Will do it the right way later.
	+ In single player, Open Limbo Menu now displays the mission briefing. You can now go into and out of the limbo menu properly in single player.

03-11-2002
			Ian	<ian@maddocsoftware.com>
	+ Major revisions to Avoid Danger behavior...
	---> Reduced Airstrike danger range to 550 from 1500.  That was just too big
	---> Added minimum time to stay away from danger for airstrike (bots could
	     decide to run back between shells
	---> Fixed serious bug in AAS_AvoidDangerArea that didn't init "inlist" flag
	     properly.  This caused good routes to be cutoff.  I'll have to check
		 if that is a systemic problem in other AAS calls.
	+ Single Player bots now hear bullet impacts.

			Tara <tara@maddocsoftware.com>
	+ Added optional param to god cheat cmd - \god all will make all your bots
		be in godmode too.  NOTE: only works in single player

02-11-2002
			Ian	<ian@maddocsoftware.com>
	+ Heavy revisions to BotFindEnemySP to enable the enemies to look for more than
	  one target and choose the best one.  Cleaned up main loop of it.
	+ Removed enemysuicide from botstate_t.  It wasn't being used.
	+ Fixed bugs with mg42s and persistent enemies, and allies and persistent enemies.

			Arnout <rr2do2@splashdamage.com.
	+ Fixed campaign briefing not showing in GT_WOLF_CAMPAIGN.
	+ Added nice 'couldn't load default.cfg' error message to the other instance of it.

			Tara <tara@maddocsoftware.com>
	+ BJ (the player)'s voice is in, so when you give commands, he says appropriate VO
	+ Fixed bug where 2 bots couldn't talk at the same time
	+ Added an optional param to the PlayAnim script function, "NOWEAPON".
		If you include that param, then the animation will play with no weapon selected

01-11-2002
			Arnout <rr2do2@splashdamage.com>
	+ Added fs_buildpath and fs_buildgame, these can be used in combination with fs_copyfiles to create a new tree at a different location.
	+ Added Cooperative gametype and coop gametype checks to go with the SP ones.

			Tara <tara@maddocsoftware.com>
	+ Fieldops should now pick up ammo when ordered to give themself ammo
	+ Medics and fieldops with no supplies will no longer say "Affirmative" when
		told to heal/give ammo

			Xinbo <xkan@maddocsoftware.com>
	+ Fixed the bug where bot remains crouched forever within "stand" ai node if
	  he enter the node crouched
	+ When told to hold position, bot will retain his stance (stand/crouch/prone)
	+ Voice chat by bot is now sensitive to distance/origin when it's inside no-radio range
	+ Agent 2 now sounds like a female in pain, flame pain, and death.
	+ Cycling selection covers fireteams too (and everybody as well).

31-10-2002
			Arnout <rr2do2@splashdamage.com>
	+ Merged new model formats (MDM and MDX) from branch.
		
			Ian	<ian@maddocsoftware.com>
	+ Fixed MG42 manning bug (guys didn't drop the gun).
	+ Broke out BotCanSeeTarget and BotCanHearTarget from BotFindEnemy.
	+ Added BotVoiceChatAfterTeamIdleTime to allow some VOs to be "team mediated"
	+ Added farSeeingRange which is the distance at which your guys will say "Spotted Enemy"
	+ Fixed bugs from revisions of BotFindEnemySP that made bots not shoot much.
	+ Now that bots are really using vision and hearing in SP, I added a real bs->persistentEnemy
	  so they'd give chase if you got out of their view...

			Tim 	<tim@maddocsoftware.com>
	+ In single player, instead of a compass, draw the compass icons around the minimap. Kind
	  of like putting a square peg in a round hole...
	+ First pass at putting talking heads in for selected bot.

			Tara <tara@maddocsoftware.com>
	+ Axis bots on MoveToMarker or Stand will whirl about when they hear enemies, and if they
		don't see them on their spin, they'll go back to previous action
	+ Bots without a weapon will no longer request ammo
	+ In SP, bots and players all start with full ammo

			Xinbo <xkan@maddocsoftware.com>
	+ Cranked up all EV_GENERAL_SOUND volume (which covers most human sound except botvoicechat)
	+ Fixed ammo crate problem when there are multiple clients touching it.
	+ Fixed health crate.

---------------- MAD DOC BUILD 10/30

30-10-2002
			Ian	<ian@maddocsoftware.com>
	+ Added parameters to BofFindEnemySP to not check hearing or vision.

			Tara <tara@maddocsoftware.com>
	+ Bots won't chatter during the cinematic, requesting ammo
	+ If bot previously had a Hold Pos or MoveToLoc command, will go back
		to that spot when done with a task
	+ Reorganized Bot command menu (Hold Pos is now at top level)
	+ If have command selected (like artillery) and a bot quickly runs in front of you,
		when the bot is gone, if you are still looking at the same location,
		you'll have artillery selected again.
	+ Added more bot VO, so they should acknowledge commands, tell you when they
		spot a mine, disarm a mine...
	+ A few more artillery tweaks

			Tim <tim@maddocsoftware.com>
	+ Get mission briefing text from config string instead of from campaign info
	+ Put background behind command map

			Xinbo <xkan@maddocsoftware.com>
	+ Tweaked scripted message system.
	+ Added idle animation (only axis bots for now)
	+ Added pain animation 

29-10-2002
			Xinbo <xkan@maddocsoftware.com>
	+ Added scripted message system so that long speeches can be more natural
	+ Fixed the problem where bots crouch upon spawning
	+ Fixed the problem where bots stand up to move within autonomy range when they are following
	  the player and the player is proning.
	+ Player does not make flame pain sound.

			Tim <tim@maddocsoftware.com>
	+ Finished hooking up new SP mission briefing screen
	+ Set proper fireteams on player's team bots
	+ Fixed more spawn bugs
	+ Draw current order underneath reticle (with fade)

			Tara <tara@maddocsoftware.com>
	+ Hooked in a bunch of the new SP VO - for ammo packs, syringes, med packs,
		field ops low on energy, selection, recon

28-10-2002
			Tara <tara@maddocsoftware.com>
	+ Revive improvement - should help bots get to bodies near walls, edges

			Tim <tim@maddocsoftware.com>
	+ Changed SP team overlay back to being sorted by bot slot.
	+ Properly show the selected weapon in sp ui
	+ Fixed bugs in new "spawning" of bots

---------------- MAD DOC BUILD 10/28

28-10-2002
			Tara <tara@maddocsoftware.com>
	+ Fixed up the artillery bot command - they should now actually call down artillery
		on the spot you're pointing at
	+ Started putting in VO hooks - now if you ask bots to airstrike/call artillery and
		they don't have enough "energy", they won't try to airstrike, and when we get the
		sound files, they'll tell you why
	+ Added SetSelectable script command, so you can spawn bots on your team that you
		can't select and give orders to
	+ No SP bots should ever use grendades now (since they tend to kill themselves)

27-10-2002
			Tim <tim@maddocsoftware.com>
	+ Hooked up new single player mission briefing screen.
	+ Removed Squad Select Screen, and put much of its functionality into common ui elements
	+ In current squad panel, display team spawned from script
	+ Consolidated a lot of the single player UI 
	+ Added new command "botteam", similar to "team", but includes the client
	  num of the bot

26-10-2002
			Tara <tara@maddocsoftware.com>
	+ Engineer bots now have a Grenade Launch command, where you can order them
		to target something with their M7 (alt-fire on carbine) - NOTE: currently
		all engineer bots get the command, whether they have the gun or not
	+ Fixed another infinite loop switching between AI nodes (battle and chase)

			Tim <tim@maddocsoftware.com>
	+ Upped the number of missions per campaign to 10

25-10-2002
			Ian	<ian@maddocsoftware.com>
	+ Allied Bots in SP will now never Gib or fully die (the new design has just a fixed "dirty half-dozen"
	  buddies for you, and they never really die in the story, but get "revived" between missions).
	+ Added new weapon: WP_SINGLE_PLAYER_AMMO.  Gives out ammo packs like WP_AMMO, but Field Ops only
	  have 6 of them and can get more at ammo recharge stations.
	+ Added new weapon: WP_SINGLE_PLAYER_MEDKIT.  Gives out health packs like WP_AMMO, but Medics only
	  have 6 of them and can get more at ammo recharge stations.

			Arnout <rr2do2@splashdamage.com>
	+ Ported eye blinking code.
	+ Fixed doppler.
	+ Made music/audio fade-in in level work properly. The engine sets volume to 0 on level start, it's up to gamecode to fade it in (rockandroll).	
	+ Added 'stopsounds' capability to fadeallsounds, so you can kill them at the end of a fade.
	+ Changed 'queuemusic' to 'music_queue' to still allow for quit autocompletion on q.
	+ Changed hunk_alloc in snd_setup to malloc (like in TA code). This seems to stop memory corruption with compressed sounds. (Need to find the real problem though.)
	+ Removed SetTeam from clientconnect, was setting and doing a whole lot of things it shouldn't. Replaced by the bare essentials.

			Tara <tara@maddocsoftware.com>
	+ Cover That command is now working with the icon interface
	+ Covert Ops Detect Mines is now properly showing up where available w/icon interface

			Xinbo <xkan@maddocsoftware.com>
	+ Now you can get more ammo packs (for lietenant) and health packs (for medic) at recharge stations.
	+ Hooked up more single-player teammate VO.
			
24-10-2002
			Arnout <rr2do2@splashdamage.com>
	+ Merged WolfSP sound code in.
	+ Merged loopSound code from TA in.
	+ Added facial animation.
	+ Added '/ah [on|off]' command to spawnbot. Setting '/ah on' means the code will expect the head to be animated and suited for facial animation.
	+ Removed need of an entitynum for looping sounds.
	+ Bumped max looping sounds to 1024 (A single flamethrower was already taking 40-odd-ish)

			Tara <tara@maddocsoftware.com>
	+ Possible fix to bots circling each other when large group given a MoveTo command
	+ Minor fixes to revive, might be easier for bots to get to bodies now
	+ After reviving someone, a medic bot will now step back from the body
	+ Added an explict "Revive Me" command to the voice chat menu

			Xinbo <xkan@maddocsoftware.com>
	+ Added bot script command "SetFireRate".
	+ Fixed a couple of cases of "excessive AI node switches".

			tim <tim@maddocsoftware.com>
	+ When spawning a bot, add to fireteam A. 
	+ Added new script command wm_remove_allied_objective

23-10-2002
			Ian	<ian@maddocsoftware.com>
	+ Added bot script command "SetVisionRange"
	+ Fixed bug with scripted FieldOfView not getting copied into "fov" in BotFindEnemy
	+ Adjusted k_FOV_REALLY_CLOSE_DISTANCE to be shorter for hearing guys near you.
	+ Split BotFindEnemy into BotFindEnemySP and BotFindEnemyMP, as they have less and less overlap.

			Xinbo <xkan@maddocsoftware.com>
	+ Activated application of radio static to clean bot sounds.
	+ Fixed prone "pushups".

			Tim <tim@maddocsoftware.com>
	+ Took fireteam back out of userinfo. Copied some clientinfo from the old one when making
	  a new one in CG_NewClientInfo() (some things in clientinfo aren't in configstring)
	+ In game hud: bots are displayed in order of fireteam, not hotkey
	+ Bot orders now part of selected bot display. Highlighted order no longer larger than others,
	  and display order of commands no longer cycles.
	  

			Tara <tara@maddocsoftware.com>
	+ Following bots should no longer stare at the ground every once and a while
	+ Medic bots will no longer automatically heal teammates
	+ Field ops bots will no longer automatically give out ammo packs
	+ Bot HUD icon info is no longer in the network packets - removed botMenuIcons
	+ Bot action icons should now have more intelligent defaults, like revive is
		auto selected when you mouse over a downed teammate
	+ There are no longer 2 bot action keys, keypad enter does the selected icon's command
	+ Added 2 more hud commands, heal and give ammo to explicitly help your teammates

22-10-2002
			Arnout <rr2do2@splashdamage.com>
	+ When you can't arm a landmine due to limit reached or bad surface you get also your powerbar usage back.
	+ Fixed limbo menu primary weapon selection.
	+ Rewrote botcode weapontext to weaponnum code.
	+ Fixed landmines always showing when any battle sense skill was reached, not only level 4 and higher.
	+ Fixed skills not saving over map loads.
	+ Fixed smoke of artillery and airstrike markers always being red.
	+ Fixed when spectating someone your limbo menu represented the status of their skills, not yours.
	
			Gordon <djbob@splashdamage.com>
	+ Enabled r_cacheshaders to get huge level load speedups (forest: 49 secs to 13, siwa: 44 secs to 12).
	
			Tara <tara@maddocsoftware.com>
	+ Hooked up the new bot HUD for SP, using icons to give commands - 
			still using 'g' to execute the commands
	+ Had to increase size of botMenuIcons to 16 bits - but intend to remove
		it from the net packet entirely at a later date
	
			Tim <tim@maddocsoftware.com>
	+ display bot selection key in team overlay 
	+ send fireteam in tinfo message
	+ update squad section of userinfo when adding bot to fireteam

			Xinbo <xkan@maddocsoftware.com>
	+ Changed bot sounds so that the first bot in a squad that hears/sees something react with sounds. 

---------------- BUILD 031 - 2.00y (missionpack)

21-10-2002
			Arnout <rr2do2@splashdamage.com>
	+ Updated skill rewards with weapon availability and reworked Markmanship.
	+ Moved skill array into clientinfo.
	
			Tim <tim@maddocsoftware.com>
	+ Don't allow soldiers to choose the Venom in single player
	+ Excluded skill/weapon availability from single player
	+ Spawn bot on bot squad with /squad parm for spawnbot
	+ Display bot squad, movement autonomy, and weapon autonomy in new in-game UI
	+ Squad select screen checks for weapon availability before assigning to bot

			Gordon <djbob@splashdamage.com>
	+ Fixed repeated jump presses making the sprinttime bar get out of sync on the client 
		(re-implemented the pmext version of jumptime, but not used for actual jump checking, only stamina bar, since the inability to jump is seen as a bug *sigh*)		
	+ Added display of weapon heat even whilst dead (also means weapons cool down whilst dead)
	
18-10-2002
			Arnout <rr2do2@splashdamage.com>
	+ Fixed Battle Sense increasing when player is dead.
	+ Fixed team-damage and self-damage increasing skill.
	+ Fixed artillery and air strike not carrying any team info.
	+ Fixed artillery not being marked as explosive damage on movers.
	+ Upped version number to Wolf 2.00y.

			Xinbo <xkan@maddocsoftware.com>
	+ Added a bunch of sounds including attack/query/order/pain/flame pain/etc. 
	  For now these sounds are only added to single-player games.

			Gordon <djbob@splashdamage.com>
	+ Changed waypoints to only display if on fireteam of owner
	+ Added display of current fireteam players on fireteams panel
	+ Rewrote drawing of listboxes on fireteam panel
	+ Added scrollbars to fireteam listboxes
	+ Added ability to choose player name on limbo menu	
	
17-10-2002
			Arnout <rr2do2@splashdamage.com>
	+ Finalized multi-layer commandmap. Uses "cclayers" worldspawn key to indicate the number of layers (max 4), and "cclayerceil#" (where # is 0 <= # < cclayers) to indicate the ceiling heights of each layer.
	+ Fixed a bug where a revived player could get stuck in another player that is using a mounted MG42.
	+ Fixed MG42 muzzle flash not always drawing.
	+ Fixed ability to use MG42's from above.
	+ Fixed MG42 hint icon not being consistent with the actual usage.
	+ (TTimo) Fixed the screen shaking situation on the client when someone manages to crouch and use an MG42 at the same time.
	+ Removed gunfx, replaced with botMenuIcons (also 8 bits).

			Tim  <tim@maddocsoftware.com>
	+ more in-game SP UI stuff (player stats, currently-selected bot stats)
	+ fixed bug with automap drawing text on screen

			Gordon <djbob@splashdamage.com>
	+ Implemented frontend for fireteams
	+ Fixed infinite loop in drawteamoverlay with >6 players on a team
	
16-10-2002
			Ryan <ryan@gmistudios.com>
	+ fixed ladders not working
	+ always attempt to touch trigger_multi's that are assigned to a team (it must be an objective??)
		NOTE: use "setbotgoalstate [active/inactive]" to enable/disable bots treating trigger_multiple as a goal
	+ engineers with critical tasks (building/destroying) should be used as priority leaders

			Arnout <rr2do2@splashdamage.com>
	+ Reworked console command/cvar autocompletion. Hitting tab again after the first time (and again and again) cycles through all possible options.
	+ Started implementing multi-layer commandmap

			Gordon <djbob@splashdamage.com>
	+ Changed location markers to no longer use entities at run time, and upped the limit to 256
	+ Implemented backend for fireteams

			Tim	<tim@maddocsoftware.com>
	+ New in-game UI for single player. Still need to add a few things.

15-10-2002
			Arnout <rr2do2@splashdamage.com>
	+ Changed BotAllocateClient to accept a clientNum parameter so you can allocate a prefered clientslot (needed for savegames).
	+ Made sure all bot clients get dropped at the end of an SP game (shutdowngame/exitlevel).
	+ Made sure bots get the classname "bot" instead of "player" or undefined.
	+ Savegame and loadgame system can now quite reliably store and restore game situations. Several quickloads in a row still has the same artifact as multiple map_restarts, namely the whole map and media reloads for no obvious reason.
	+ Fixed bots in SP not properly disconnecting when their bodies sink.

			Tara <tara@maddocsoftware.com>
	+ Fixed bug where Lieutenants and Medics would try to avoid the bot/player they were giving ammo/health to, causing a mad crazy dance.

			Tim <tim@maddocsoftware.com>
	+ Reworked more of the UI. Changed command map, and objective info, per new specs.
	
			Gordon <djbob@splashdamage.com>
	+ Removed aiState, sprintTime and bobcycle from playerstate, sprintTime is now predicted (still need to predict leadership bonus), and bobcycle needs a slight fix for spectating a player
	+ Removed aistate from entityState and stopped the otehr fields above being transmitted across the network
	+ Stopped "dynamited planted/defused..." etc spamming clients with centerprint messages, limited to 1 per second now, which still keeps it on screen during arming etc...
	+ Removed the "shake" servercommand, and moved over to using entity events for it instead
	+ Changed identifyClient and identifyClientHealth (addition to playerstate) to being transmitted over the network, and removed them from the tinfo servercommand
		(sideeffect:results in bars under client name appearing instantly instead of with some (up to one second) lag
	+ Added: last tinfo per team is now buffered, and server will not send them if no change detected, tinfo is now sent per team, not per client
	+ Reverted score servercommand back to an earlier design, but can now overflow into a second servercommand if it hits the limit on the first one
	+ Cleaned up some more missing sounds, added spamming warning to the console (for now) of any missing sounds trying to be loaded (or NULL string sounds)
	+ Fixed echo sound on emplaced mg42s not playing
	+ Fixed sound on emplaced mg42s playing twice per shot
	+ Fixed multiple "construction completed" sounds being played
	+ Removed WP_CROSS, another non-used weapon
	+ Upped protocol version to 60
	+ Fixed various images not being precached/being precached but then the loading was called again when used
	
14-10-2002
			Arnout <rr2do2@splashdamage.com>
	+ Fixed a number of issues in extractfuncs preventing # directives not to work.
	+ Ported the -o parameter of extractfuncs over from the linux version.
	+ Added the -d parameter to extractfuncs, can be used to add precompiler definitions (like MISSIONPACK and GAMEDLL).

			Tim <tim@maddocsoftware.com>
	+ Bots now can spawn with a rank and skills
	
			Gordon <djbob@splashdamage.com>
	+ Changed LOTS of audio paths about for tim, to remove the complete mess that it was before, sound paths are now (mainly) consistant across weapons
	+ Removed various loading of sounds that dont exist or do exist but are never referenced in code

11-10-2002
			Arnout <rr2do2@splashdamage.com>
	+ Started save game system impementation. Ported over WolfSP code and hooked 'extractfuncs' back into the project.
	+ Removed the need of 'profiles.dat' for profile detection.
	+ Added 'gameinfo.dat'. This file, parsed by the engine, specifies which gametypes are SP, what is the default SP gametype and if profiles are enabled.
	+ Fixed SP AI crash when no profile exists.
	+ Fixed light weapons always getting a 10% damage boost instead of only when you have the right skill level.

			Tim  <tim@maddocsoftware.com>
	+ Added a bunch of new script commands for specifying what is available on the squadselect screen. (MaxStartingBots, PlayerClass, StartingSquad, ClassRequired 
	  and BotPool). 
	+ If player doesn't have required classes in squad at begin game, show warning dialog.
	+ All bots spawned from squad select screen spawn to spawnpoints spawn1, spawn2, etc.

			Xinbo <xkan@maddocsoftware.com>
	+ Spawnpoint angle is actually respected when spawning bots.

10-10-2002
			Arnout <rr2do2@splashdamage.com>
	+ Upped version number to Wolf 2.00x.
	+ Reverted 'Fixed jumpTime not being predicted causing jitters when trying to jump fast.' temporarily.
	+ Fixed dynamite and landmines bouncing in place when they should be stationary.

			Tara <tara@maddocsoftware.com>
	+ Medic bots will no longer revive other bots unless specifically ordered to
	+ Bots will not target diguised enemies.

			Gordon <djbob@splashdamage.com>
	+ Rewrote some of the limbomenu etc backend, the left and right hand panels are now sperated totally, and can be shown independantly 
		(need to check squad setup still works ok, as it's panels are still non-indepdant, and will/should likely stay that way)
	+ Fixed limbomenuy not displaying when going into limbo
	+ Added display of medals and rank in team overlay

			Xinbo <xkan@maddocsoftware.com>
	+ Added /squad parameter to the spawnbot command.
	
09-10-2002
			Arnout <rr2do2@splashdamage.com>
	+ Fixed BG_PlayerStateToEntityStateExtraPolate not dealing with MG42 eFlag setting.
	+ Fixed Scoped Weapons & Military Intelligence skill rewards for disguise being given at level 1 and not at 2.
	+ Fixed infinite loop in smoke grenade particle emitter.
	+ Changed formatting of 'Following' message to mention rank in front of name.
	+ Changed ingame escape menu to now pause the game in Single Player.
	+ Added some debug code to simulate lag (not functional yet).
			
			Gordon <djbob@splashdamage.com>
	+ Added emplaced mg42 overheating
	+ Added cl_autorecord cvar, enabling it will start a demo recording when a client joins a server (or starts a local one), will stop record on map change, and create a new one
	+ Fixed couple of bugs in pmove with NULL pointers if g_syncronousClients (misspelled btw!) is set to 1 on map load

			Tara <tara@maddocsoftware.com>
	+ Added Covert Ops bot Detect Mine command
	+ Engineer bots can disarm landmines.  Use the bot action key while pointing
		at a detected mine.

			Xinbo <xkan@maddocsoftware.com>
	+ Enabled seek cover spot for axis bots.
	+ Bots can now be assigned to a squad to allow more cohesive behaviour.
	+ AiTeam flag is really used for seek_cover_spot.
	
08-10-2002
			Ryan <ryan@gmistudios.com>
	+ Fixed AAS crash related to portal areas with no reachabilities

			Tara <tara@maddocsoftware.com>
	+ Removed bot formations.  Bots now follow in single file line, and the line
		should reverse if you run backwards along it
	+ Multiple bots will not try to use the same seek cover spot
	+ Scripted MoveToMarker commands will now always set the bots' autonomy pos,
		which fixes a bug where they'd run back to their spawn point as soon as
		they were given their freedom
	+ Lieutenant bots no longer call for ammo
	+ Medic bots only call "Medic" if they need to be revived
	+ Lt and Medic bots should heal/give ammo to themself even if they are standing still now.


---------------- BUILD 030 - 2.00w (missionpack)

07-10-2002
			Arnout <rr2do2@splashdamage.com.
	+ Fixed bug where you could reveal your own teams landmines.
	+ Added misc_landmine entity.

			Tim	<tim@maddocsoftware.com>
	+ Added new server command "revive", for reviving the player in single player when
	+ cheats are enabled

06-10-2002
			Arnout <rr2do2@splashdamage.com>
	+ Campaign is now default gametype.
	+ Changed short gametype names to long names in UI.
	+ Can use weapnext/weapprev to select binoculars again.
	+ Removed drawing of overheat of weapons when a mounted MG42 is used.
	+ Changed flysound of GPG40 and M7 to not kick in till 300 msec airtime, then a quick fade in of 75 msec. No flysound after bouncing.
	+ Added knockback on ice for Panzerfaust, Flamethrower, Venom Gun and Bar.
	+ Switched back to DXT5.
	+ Renamed g_hitscanPredict to g_antilag.
	+ Ported predicted MG42 over from 1.4. Fixed default arc to be 45 (as entity definition states) instead of being 90.
	+ Removed ammo requirement from Landmines.
	+ Added powerbar usage to Landmines, GPG40 and M7.
	+ Fixed powerbar usage for less-powerbar using Smoke Grenade, Dynamite and Artillery.
	+ Added 'sethqstatus <team> <status>' script command.
	+ When a HQ for a team has been build, the server sweeps for mines around a player (in a 256 unit radius). Whenever one is found, it sends a centerprint message back (max 1 per minute). 
	+ Fixed bug in G_Damage that caused anything that called the function with attacker == inflictor not being able to gib entities. This caused script_movers to get stuck on dead bodies. (Need to backport this to 1.4 if pos.)
	+ When moving in prone, guns don't switch to (invisible) prone hands anymore. Instead, they can't fire anymore and slightly move lower down the screen (and the side).
	+ Changed +prone bind to now be a toggle to get in and out of prone.
	+ Fixed crash in G_AddSkillPoints.
	+ Added 'give skill', which adds 20 points to all skills.
	+ Changed spawnflags on command map to be team specific.

			Gordon <djbob@splashdamage.com>
	+ Disabled MG42 in tank code
	+ Fixed spawn settings reseting if brought up after set but before respawn (again...)
	+ Alter placement and size of complete/failed image
	+ Changed playsound with no volume setting to just send a EV_GENERAL_SOUND instead of EV_GENERAL_SOUND_VOLUME, as player cant store volume in ent->s.onFireStart
				
05-10-2002
			Arnout <rr2do2@splashdamage.com>
	+ Reworked stat rewards according to new matrix.
	+ Removed Thompson from Axis soldier and lieutenant, removed MP40 from Allied soldier and lieutenant.
	+ MP40 changed, now exactly the same as the Thompson.
	+ Stats and medals are now saved in session cvars if it's not a forced map_restart.
	+ Changed 'g_warmup' to default to 30 seconds for ET. In Campaign Mode and LMS it uses the double of this cvar for warmup time.
	+ Rewrote WolfReviveBbox, players should be way less likely to get stuck when being revived now. Needs a lot of playtesting to make sure though.
			
			Gordon <djbob@splashdamage.com>
	+ Added ability to control volume of non-looped sounds (same way as looped sounds)
	+ Fixed spawn settings reseting if brought up after set but before respawn
	+ Added display of landmine limit on hud
	
04-10-2002
			Arnout <rr2do2@splashdamage.com>
	+ Ensured sv_maxclients is always 64 for SP.
	+ Fixed stealing uniforms and some SP vs MP body sinking conflicts (both were related).
	+ Added double knife damage for Covert Ops.
	+ Increased landmine arming time by 15%.
	+ Reduced landmine damageradius by 25% (this affects damage as well).
	+ Throwing a smoke grenade doesn't take make you loose your disguise anymore.
	+ Fixed do-not-shoot icon staying on screen after player isn't visible anymore.

			Ryan <ryan@gmistudios.com>
	+ added -reachableonly switch to bspc. Removes areas that dont have reachability paths leading away from them.

			Tara <tara@maddocsoftware.com>
	+ Made one unified list of all reloadable weapons in the missionpack which is used by
		the Ammopack and the bot Lieutenant code, added the handguns to the list
	+ Fixed some cases where bots were getting stuck in invalid states

			Tim <tim@maddocsoftware.com>
	+ Hooked up new squad select screen, unit details screen, and current squad screen.
	+ Added ability for client (new spawn screen) to spawn bots

03-10-2002
			Arnout <rr2do2@splashdamage.com>
	+ Fixed medic spawning with 2 clips in Thompson.
	+ Changed handicap into a modifier so it doesn't conflict with other maxhealth settings anymore.
	+ Made handicap bot-only.
	+ Implemented Battle Sense skill rewards.
	+ Implemented Scoped Weapons & Military Intelligence skill rewards.
	+ Implemented Signals skill rewards.
	+ Fixed bug in powerbar calculations preventing certain skill rewards from working.
	+ Removed rate of turn limitation on prone players.
	+ Disabled capability of the engineer to construct things during warmup.
	+ Removed sten from soldier.

			Gordon <djbob@splashdamage.com>
	+ Cleaned up the shader remapping configstring, now returns an index into the cgs.gameshaderNames array instead of huge strings every time
	+ Stopped remapshader command from writing the configstring (was causing server to send the rather large configstring 4 times on forest, causing the server to stutter and lag all the clients), have to use the remapshaderflush command to do that now
	+ Unified animation code for gamemodels/movers
	+ Added ability to vary the volume of looped sounds (target_speaker, with volume key/value (255 is default, max 65535)), or with a playsound X looped volume Y script command
	
02-10-2002
			Xinbo <xkan@maddocsoftware.com>
	+ Increased sv_maxclients to 64 for single-player game.

			Tara <tara@maddocsoftware.com>
	+ First pass at bot command Cover That is in.

01-10-2002
			Xinbo <xkan@maddocsoftware.com>
	+ Changed fiddling animation code. animation itself is not quite ready yet.

30-09-2002
			Gordon <djbob@splashdamage.com>
	+ Added pulsing icon on commandmap for players waiting to be revived, which pulses faster as the next respawn time approaches
	+ Added display of !/Medic/Ammo icon on commandmap next to the player

			Tara <tara@maddocsoftware.com>
	+ Bot commands "Heal Team" and "Give Team Ammo" are in

			Tim		<tim@maddocsoftware.com>
	+ Changed the way bot debug works (keep text of server commands small, and reconstruct on client).
	+ Bot debug and sp team overlay only update once-per-second now

			Xinbo <xkan@maddocsoftware.com>
	+ Dead axis bots will always go away now (instead of doing situps)
	+ Cycle through selected bot with "." on the keypad
			
27-09-2002
			Gordon <djbob@splashdamage.com>
	+ Fixed tank images belonging to moving objects that weren't tag connected not showing at origin of tank
	+ Stopped items from spawning in LMS

				tim 	<tim@maddocsoftware.com>
	+ After fading out all sounds, stop all sounds (so reaaaly long voiceover will stop if cinematic canceled out of)

	
26-09-2002
			Ryan <ryan@gmistudios.com>
	+ Fixed func_constructible bug with disabling areas
	+ Fixed cluster portals not working
	+ Added -mingroundarea <x> bspc option
	+ Fixed several bspc bugs
	+ Fixed bot not clearing out order when finished constructing
	+ SP: Bots now only construct one stage when commanded to construct, must be commanded multiple times for multi-stage targets

			Tara <tara@maddocsoftware.com>
	+ Covert Ops bots can now lay down smoke
	+ All unimplemented commands in the menu have xxx in front of them
	+ Made prone bot command simpler, it isn't a command, it just puts them in the prone state and they continue what they're doing
	+ Implemented crouch, stand, and positioncycle commands in similar fashion

			Arnout	<rr2do2@splashdamage.com>
	+ Fixed medic health packs saying '25 Med Health' instead of the 20 you really get when picking up a health pack.
	+ Implemented Explosives and Construction skill rewards.
	+ Implemented Heavy Weapons skill rewards.
	+ Implemented First Aid skill rewards.
	+ Fixed texture compression (bug in shader parsing caused 99% of the shaders never to compress).
	+ Changed texture compression from DXT5 to DXT3.
	
			tim		<tim@maddocsoftware.com>
	+ Added new script function FadeAllSounds, and all associated commands, etc. to
	  implement. Similar to the same functionality from the single player code

			Gordon <djbob@splashdamage.com>
	+ Added ability to control a followspline command direction using an accum or globalaccum
	
25-09-2002
			Arnout	<rr2do2@splashdamage.com>
	+ Added some debug code to media registering to output loading times.

			Xinbo <xkan@maddocsoftware.com>
	+ Added code to play radio noise when the talker is far enough from the 
	  player. NOTE that however, the sound files are not ready yet.
	+ Friendly fire avoidance.

			Gordon <djbob@splashdamage.com>
	+ Added ability to specify which objective a trigger_objective_info belongs to using "objflags" key, it's a bitarray same as spawnflags basically
	+ Added shrinking and growing of spawn flags on commandmap when captured etc..
	+ Added tracking of number of players with a spawn point selected
	+ Added damaged state display of tank on commandmap
	+ Added support for custom objective images on commandmap ("cutsomimage"/"customaxisimage"+"customalliesimage" keys on trigger_objective_info)
	+ Added objective numbering on commandmap
	+ Added ability to highlight main objective for a team
	+ Added filtering of compass when commandmap filters are on
24-09-2002
			Arnout	<rr2do2@splashdamage.com>
	+ Added g_gameType initialization to UI.
	+ Added ammo bonus on spawn depending on skill level.
	+ Added ammo bonus from magic ammo item depending on skill level.
	+ Implemented Light Weapons skill rewards.

			Tara	<tara@maddocsoftware.com>
	+ First pass at Recon bot command is in.  Target a location, the bot will run
		there and back to you, will come back sooner if fired on or an enemy is
		spotted.  Will tell you "All Clear", "Taking Fire", or "Incoming" which is
		placeholder and will be "Enemy Spotted" or something like that.
	+ Fireteam selection command is now implemented.
	+ Restructured bot command menu to correspond to design.
		NOTE:  Most of the commands DO NOT WORK yet.


			Tim	<tim@maddocsoftware.com>
	+ Single player team overlay now uses custom face icon if one exists in the models directory. Also changed order of faces to correspond
	  to numeric keypad number, and now we display the location the bot is in.
	
23-09-2002
			Arnout	<rr2do2@splashdamage.com>
	+ Fixed merge errors in g_active.c (Ryans checkin overwrote changes).

			Tim	<tim@maddocsoftware.com>
	+ All single player maps MUST now have a team_CTF_bluespawn with the player-only (== 8) spawnflag set. Allied bots in a single player game
	  will not use a spawnpoint with that flag, and a player will ONLY use a spawnpoint with that flag.

---------------- BUILD 029 - 2.00v (missionpack)

22-09-2002
			Arnout	<rr2do2@splashdamage.com>
	+ Upped version number to Wolf 2.00v.
	+ Disabled automap for MP.
	+ Fixed pmext clearing breaking binoculars animation.
			
20-09-2002
			Arnout	<rr2do2@splashdamage.com>
	+ Changed handling of pmext clientsided, now only the output of the last executed pmove is used. (Potentially fixes jumping issue.)
	+ Changed timing on MG42 prone animations.
	+ Changed the way maxammo works, now uses BG_MaxAmmoForWeapon so it can be changed based on skill level.
	
			Tara <tara@maddocsoftware.com>
	+ Bots given a MoveToLoc command while the player is looking at a door
		will open that door.
	+ MoveToLoc command targetting a friendly body will order Medic to revive,
		targetting an enemy body will order Covert Op to get disguise.
	+ If give Revive command with no target, Medic bot will search for dead 
		teammate within autonomy range
	+ If give Disguise command with not target, Covert Ops bot will search for dead
		enemy within autonomy range
	
19-09-2002
			Ian	<ian@maddocsoftware.com>
	+ Had to init bs->weaponnum in BotAI to match the weapon the bot spwaned
	  with; otherwise, it would frequently not fire (thinking it was mid-weapon-change).

			Tara	<tara@maddocsoftware.com>
	+ Added first pass at Lieutenant bots calling in support fire.
		You can command them to call in an Air strike or Artillery.  Sometimes.
	+ Can order engineer bots to Plant Mine.  If pointing at bad terrain (indoors
		for instance) the bot will tell you "Negative"

			Arnout	<rr2do2@splashdamage.com>
	+ Added camera interruption. Player script will have to deal with this as a 'trigger camerainterrupt' gets called when the client wants to interrupt.
	+ Added artillery as explosive (support fire) damage.
	+ Added combatstate for battle sense tracking.
	+ Reworked skill points.

18-09-2002
			Xinbo <xkan@maddocsoftware.com>
	+ Added trigger_heal and trigger_ammo. This allows player who is touching it to
	  gain health and ammo respectively.

			Tara <tara@maddocsoftware.com>
	+ Added notion of follow distance, which is how far a bot should be from
		its leader, based on autonomy.  These are not related to the bot autonomy
		distances, because those are really quite large, and shouldn't be used for
		how far a bot should stay to its leader
	+ Fixed bug where ComeToMe (GoToPlayer script command) wasn't working quite right

			Ian	<ian@maddocsoftware.com>
	+ Added PlayAnim to Bot scripting.

			Tim	<tim@maddocsoftware.com>
	+ Don't display the round timer in single player. Added a script func DisplayRoundTimer(ON/OFF) and a cVar cg_drawRoundTimer to toggle if
	  we want to show it. 
	+ Don't display objective flags in single player

17-09-2002
			Tara	<tara@maddocsoftware.com>
	+ Bot command for Covert Ops "Get Disguise" is implemented.  If you have a covert
		ops selected, when you choose the command and are pointed at an enemy corpse,
		they will steal the uniform. Increased time that Axis bodies lie around.

			Xinbo	<xkan@maddocsoftware.com>
	+ Proning/Prone_toward flag for bot_seek_cover_spot
			Tim	<tim@maddocsoftware.com>
	+ Added selection box, fireteam, keypad, and better-fitting name to new sp team overlay

			Ryan <ryan@gmistudios.com>
	+ Stopped lieutenent throwing air-strikes without appropriate command
	+ Fixed nav bug
	+ Fixed clipweap causing bspc issues

16-09-2002
			Tara <tara@maddocsoftware.com>
	+ Bot menu is now context sensitive.  If you have a medic selected, you'll see Medic! and Revive!,
		if you have a Lieutenant, you'll see Air Strike (not all commands are implemented yet)
	+ Implemented the revive command, so a selected medic will go and revive the corpse of an ally that you
		are looking at.
	+ Added another mechanism for storing menu hotkeys - previously, could only have one binding for a hotkey on a menu, 
		so even though you might have a 2 commands that don't show up at the same time, by using the cvartest system, 
		you couldn't have a hotkey for each.  Now, you can have hotkeys associated with each menu item, and if you set 
		the itemHotkeyMode to 1 on the menu, then you read in the hotkeys for each item, and have to loop through every
		item in the menu to find the appropriate hotkey

			Tim <tim@maddocsoftware.com>
	+ Added new single player only team overlay, using icons instead of text to show info. Currently have bot face, weapon and movement autonomy,
	  ammo count, name and health. More to come.

			Xinbo <xkan@maddocsoftware.com>
	+ Bots prone when player prone
	+ Menu command to make bots prone

12-09-2002
			Xinbo <xkan@maddocsoftware.com>
	+ Fixed the problem with body disappearing right away (and sometimes reappearing later).
	+ Make the axis dead body start sinking in 5 seconds.

11-09-2002
			Arnout <rr2do2@splashdamage.com>
	+ Started implementation of flailing arms and legs.
	
			Ian	<ian@maddocsoftware.com>
	+ Limited medic revives for SP, per request.  Made the medic (is SP) play a VO saying they're almost out when down to 3 or
	  fewer syringes.
	  
			Tim	<tim@maddocsoftware.com>
	+ Rearranged the controls menu. Added a new category "Bots", and moved all bot-related commands into there. Did the same for the
	  ingame controls menu. Also moved the bot command menu from the quickchat onto its own key.
	+ Added new spawnflags to Touch_Multi(), allowing class-specific triggers

			Gordon <djbob@splashdamage.com>
	+ Stopped noclipping players being able to halt movers
	+ Added an svFlag that disables bounds checking for a bmodel type entity for PVS calculations, just uses origin instead (BE CAREFUL WITH THIS, can only really be used in combination with fog, or entity could just pop into view)
	+ Added "useoriginforpvs" option to set svFlag SFV_IGNOREBMODELEXTENTS on bmodels set using setmodelfrombrushmodel script command
	+ Added "nonsolid" option to create non-solid bmodel using setmodelfrombrushmodel script command
	
10-09-2002
			Ian	<ian@maddocsoftware.com>
	+ In SP, grows FOV for bots when enemies get closer.

			Tim	<tim@maddocsoftware.com>
	+ Changed how Bot_ScriptAction_SetWeapon() works. Before it was setting a number related to the weapon which was used later in SetWolfSpawnWeapons().
	  Now it verifies that the weapon is legal for the team/class/weapon combination, and sets the exact weapon. I added a new func, SetAbsoluteWolfSpawnWeapons(),
	  which is similar to SetWolfSpawnWeapons(), but it doesn't make any assumptions about which weapons should be added/equipped. It adds all of the
	  non-primary weapons (grenades, medkits, etc), but actually equips the exact weapon asked for.
	+ Added "GotoWaypoint" (Bot Menu) to controls->chat options menu

---------------- BUILD 028 - 2.00u (missionpack)

09-09-2002
			Arnout	<rr2do2@splashdamage.com>
	+ Removed respawn queue messages from LMS.
	+ Fixed lieutenant message in voicechat scripts.
	+ Added 'No complaint was filed' message on complaint cancel, gets send to the TK-er.
	+ Removed unused teamscoreboard and scoreboard spectator mode from code.
	+ Removed BotGameIsSinglePlayer from botlib again, functionality was already there as Export_BotLibSetup is called with a singleplayer flag.
	+ Made Tim's change from 06-09 SP only.
	+ Changed FG42's firing rate when scoped to be the same as other sniper rifles (400msec).
	+ Added player rank to crosshairname.
	+ Made mounted MG42's use historical traces.
	+ Upped version number to Wolf 2.00u.
	+ Added team specific respawn point icons.

08-09-2002
			Gordon <djbob@splashdamage.com>
	+ Added ability for botlib to check for singleplayer (Re: tim's comment 06/09) botimport.BotGameIsSinglePlayer, just links directly to the server check
	+ Added "setposition" script command to move an entity directly to a path_corner
	+ Added "setmodelfrombrushmodel" command to set the model for an entity to that of a func_brushmodel

---------------- BUILD 027 - 2.00t (missionpack)

06-09-2002
			Arnout	<rr2do2@splashdamage.com>
	+ Sounds for a constructible that is really a mover (like the tanks) now play on the trigger_objective_info.
	+ Added repairmg42 scriptcommand.
	+ Fixed smoke grenade ending up in a solid causing an infinite loop.
	+ Added knockback on slick for Mobile MG42.
	+ Prevented dynamite and landmines from bouncing whenever stationary.
	+ Undid 'Changed commandmap to display on death and when player presses limbo key'.
	+ Upped version number to Wolf 2.00t.
	
			Ryan <ryan@gmistudios.com>
	+ Checked in bspc fixes. Note: mp_forest requires clipping work and possible further bspc fixes.
	+ In "standstill" mode, dont look for other goals if already in stand() node.
	+ script_mover's now block areas when stationary.

			tim <tim@maddocsoftware.com>
	+ Allow a bot to have no weapon selected in single player. NOTE: BotValidWeaponNumber() to allow 0 as a valid weapon number, but wasn't able
	  to restrict it to missionpack and single player, because the botlib has no notion of either things. If it causes a problem down the road
 	  I'll have to find a better solution. It's just a sanity check, though, so it *should* be ok.
	
05-09-2002
			Arnout <rr2do2@splashdamage.com>
	+ Fixed flickering during mapload. Reason was that just before loadmap was called the screen was cleared and between the loading of lumps the engine forces an updatescreen. Interesting issue, if you turn on r_clear 1, the actual levelshot doesn't seem to be rendered at all (altough it passes through the backend to the OpenGL drivers).
	+ Fixed allied 2 minute and 30 seconds warning (backport from 1.4).

			Gordon <djbob@splashdamage.com>
	+ re-added the TNT explosion spawnflag on target_effect entities, gives the dynamite explosion instead of the puny little grenade one
	
04-09-2002
			Arnout <rr2do2@splashdamage.com>
	+ Lowered sniperrifle recoil by 50%.

			GStrawn <gstrawn@maddocsoftware.com>
	+ prevent bot health from counting down to 70 (i.e. don't set STAT_MAX_HEALTH = 70)
	  This was caused by the bot's handicap being set too low.  The "handicap" should 
	  probably affect something other than the bot's max health.

			Gordon <djbob@splashdamage.com>
	+ Added target_explosion entity, for nice flying rubble effects *cough*
	
03-09-2002
			Arnout <rr2do2@splashdamage.com>
	+ Fixed target finding for misc_constructiblemarker (doh, stupid bug).
	+ Fixed patches clipmodels being broken outside 4096 unit mins and maxs.
	+ Applied map_maxbounds to polylib (consistent with TA exe now).

02-09-2002
			Ian	<ian@maddocsoftware.com>
	+ misc_constructible_markers were trying to g_Find the targets
	  on creation, but sometimes the target hadn't been loaded yet,
	  so it was failing to find it.  No need to find the target then.
	+ Modified bs->idealviewangles to not cause bots to stare at the
	  floor or ceilign when standing...
	+ If MoveToMarker fails due to bad AAS data, it now drops the
	  bot into STAND, so that they'll respond to enemies, etc.
	+ Fixed timing bug with allied bots running away from dynamite.

			Tim 	<tim@maddocsoftware.com>
	+ Added hotkey for selecting bot to team overlay. Transmit info from client 
	  to server via player configstr and store in clientinfo for that client. Note:
	  we need to find a solution for displaying this key if the user binds the
	  functions to another key (how would we display, say, TAB, and how would we
  	  localize it?)

---------------- BUILD 026 - 2.00s (missionpack)

01-09-2002
			Arnout <rr2do2@splashdamage.com>
	+ Tweaked distance explosion sound range for grenade launchers.
	+ Added animation to binoculars weapon.
	+ Added campaign description to campaign overview screen.
	+ Fixed .campaign file parsing in cgame.
	+ Added campaign support as gametype to the create server menu.
	+ Added teamwins to campaign overview screen.
	+ Added stat and medal saving and restoring for sessions.
	+ Upped version number to Wolf 2.00s.
	+ Fixed SP campaign menu.

			Ian	<ian@maddocsoftware.com>
	+ Fixed putting movespeed thing in wrong place (engine side). Doh.
	+ BJ says "MOVE" when you give a movetoloc command.
	+ The presence of FOG on some maps caused the SP allied bots to
	  not shoot at the enemies.  It also caused the names of the bots
	  and the bot_debug data to not show up.  Fixed this.
	+ Bots in FollowLeader who were seeking cover spots had their
	  local variable "target" uninitialized, and this caused them to
	  run backwards or sideways, so I fixed that.
	+ Gave speed bonus to covertops Bots in single player.
	+ Modified Seek Cover spots part of FollowLeader to compare the
	  seek cover spot against the position of the leader to see if
	  it was too far away.
	+ Had to put in a new way of giving bots a speed bonus once
	  g_movespeed was moved to bg_pmove.c.  See the function 
	  "GetBotWalkbonus".
	+ Fixed bots on MoveToLoc turning backwards from time to time...

			Gordon <djbob@splashdamage.com>
	+ Added ability to force the selected spawnpoint for a team via script "forcespawn <spawndescription> <team>" where team is the usual 0 = axis 1 = allies
	+ Changed commandmap to display on death and when player presses limbo key
	+ Added display of rank and class of spectated player
	+ Fixed 2D elements not being displayed behind voicechat
	+ Added auto-spawn button on commandmap

			Tim 	<tim@maddocsoftware.com>
	+ Added display of bot movement and weapon autonomy in team overlay (in single player only)

31-08-2002
			Ian	<ian@maddocsoftware.com>
	+ Fixed manual targetting of destructibles and constructibles by bots to look at the
	  trigger_objective_info and suss out whether to build or blow from the target.
	+ For SP changed the distance an engineer has to be from a target to plant dynamite to
	  be bigger, as the AAS info is frquently trashed by the mere presence of the trigger and
	  objects that need to be built there.  This will need tweaking from time to time.
	+ In SP, Axis bots have unlimited ammo
	+ In SP, Allied bots have unlimited syringes
	+ SP Limbo menu lets you change weapon w/o class change (this is an extension of the hack from 8/30).
	+ New cvar "g_movespeed" affects the speed of the player and the bots (in SP only).
	+ Put in new Class specific Selection and Acknowledgement VO.  This makes it clearer who is
	  getting orders (or being selected).
	+ Removed bunches of MP-related bot chatter.
	+ Fixed movementautonomy position not being updated properly when bots given direct orders
	  to move to a spot.  May be other similar instances...I'll keep my eyes open.

			Tim	<tim@maddocsoftware.com>
	+ Changed bot debugging cvars to only be registered in a single player game
	+ Added movement autonomy to bot debugging
	+ Added weapon autonomy to bot debugging
	+ Added last 3 script statements to bot debugging
	+ Don't let Axis Lieutentants use airstrikes in single player

			Gordon <djbob@splashdamage.com>
	+ Added ability to play animations with ET_MOVERs
	+ Added ability to not have a random start frame for ET_MOVER/ET_GAMEMODEL animations
	+ Added ability to not run through all the animations between a current animation and a new animations( actually, why would we ever not want to do this????)

30-08-2002
			Ian	<ian@maddocsoftware.com>
	+ BOTS: Allied Bots in Single Player now move slightly faster than the player so they can keep up.
	+ Bodies in SP stick around a bit longer
	+ BOT SCRIPTING: Increased number of distinct Bot Scripts available to 256 from 64 (note: this is not
	  tied in any way to entity counts or clients...we could have only 6 bots at a time alive, but need 100
	  distinct scripts over the course of a level.
	+ (This is hacky pending total revision of squad selection and setup for SP): Changed how SetTeam works
	  to allow instant class changes for SP to enable the following to work when you load a map: 
	  Play Cinematic->Setup Player and Squad->Start Mission.  Before this slight change, the player's class
	  was locked as Soldier when the map finished loading.  The hacky thing is that it allows you to switch
	  classes later, too, which is bad, but the whole startup sequence will be reconstructed soon anyway.
	+ Fixed sCheckEngineerTasks to find info_trigger_objectives through a func static associated with them.
	  Designers must add a target to the func_static, and a matching targetname to the info_objective trigger


			Arnout <rr2do2@splashdamage.com>
	+ Added Last Man Standing mode (g_gametype 5).
	+ Fixed error on map_restart when bot_enable was set to 1 but no aas file was present.
	+ Removed sv_gametype from the engine. It's initialization was causing problems.
	+ Redid serversided campaign loading.
	+ Added Campaign gamemode (g_gametype 4), this is basically Wolf MP with campaign map roulation.
	+ Added 'campaign' (starts a campaign) and 'listcampains' (lists available campaigns) commands serversideded.
			
			Ryan <ryan@gmistudios.com>
	+ BOTS: navigational fixes, better movement prediction for direct paths
	+ BOTS: hold position command translates to set autonomy pos, and low movement autonomy. This allows them
		to still function as their class/autonomy permits within a small radius of the hold position.
	+ BOTS: fixed a bug that would cause the bots to not fire at enemies that they should be firing at

29-08-2002
			Tara <tara@maddocsoftware.com>
	+ If you give a bot a MoveToLoc command at a location, an icon will flash there
	+ Some more infrastructure for enabling bots to build constructibles and mount MG42s

		Gary <gstrawn@maddocsoftware.com>
	+ Let the player specify bot targets from across the room.  Simply increased cursor hint range.
	+ Play a sound to indicate that a unit was selected

			Ian	<ian@maddocsoftware.com>
	+ BOTS: Modified FollowLeader so that bots will move quickly to their seek cover locations
	  unless the crouchtowards flag is set.
	+ Changing start up for single player ot not always got to briefing
	  (not 100% done yet)
	+ SCRIPT: Added the following script commands:
		"CloseLimboMenu"
		"OpenLimboMenu"
		"CloseCampaignBriefing"
		"OpenCampaignBriefing"
	+ Changed G_VoiceTo for Single player not to suppress some
	  commands given to bots.
	+ BOTS: changed BotBattleNewNode to not switch to a battle node
	  if we have a user or scripted FOLLOWME command
	+ G_Damage was calling the "death" section of a botscript once
	  for each "hit" in the death frame.  If you had a flamethrower
	  kill it was really obvious.  This made it impossible to do
	  scripting based on the "death" of a bot, so I made it only
	  call that segment once.

	  
			Arnout	<rr2do2@splashdamage.com>
	+ Moved gametype disabling based on worldspawnflags to g_shutdown.
	+ Made allowteams case insensitive.
	+ Added skin support to misc_constructiblemarker.
	+ Fixed deadcounting for bots (it wasn't counting them).
	
			Ryan <ryan@gmistudios.com>
	+ BOTS: navigational fixes on terrain
	+ BOTS: mp_forest tweaks and fixes

			Tim	<tim@maddocsoftware.com>
	+ Added bot "thought bubble" debugging. If cg_debugBot is set, you will see the following information
	  when a bot is in your crosshairs
		- current ainode
		- alert state
		- coords
		- current script function.
	  more features to come

28-08-2002
			Ryan <ryan@gmistudios.com>
	+ BOTS: fixed origin pointer bugs in BotGetOrigin() and BotGetEye()
	+ BOTS: fixed some follow behaviour issues
	+ BOTS: tweaked bot avoidance code

			Tara	<tara@maddocsoftware.com>
	+ On the voice command menu, Move To Location will tell your bots
		to do a context sensitive action.  Point at a wall/floor spot, and the bots will
		move to that location.  Point at a friendly bot and they will follow it.
		Point at an enemy bot and they'll attack it.
		Point at a destructible thing, and engineers will dynamite it.
		Basics for pointing at a busted MG42 and a constructible and having
		engineers fix them are in.  Not quite working.

			Arnout	<rr2do2@splashdamage.com>
	+ Removed hardcoded gametypes from botlib.
	+ Added misc_constructiblemarker entity to be used for the crates etc next to constructibles.
	+ Added waypoint rendering.
	+ Reordered gametypes.
		
			Xinbo	<xkan@maddocsoftware.com>
	+ BOTS: they can be selected with hotkeys (keypad 0-9) and only the selected bots 
